2008-10-20  John Stowers  <john.stowers@gmail.com>

	* NEWS: Update NEWS for release

2008-10-20  John Stowers  <john.stowers@gmail.com>

	* conduit/platform/FileGnomeVfs.py: Only show user visible 
    gnomevfs volumes

2008-10-20  John Stowers  <john.stowers@gmail.com>

	* conduit/platform/FileGio.py:
	* conduit/platform/FileGnomeVfs.py:
	* conduit/platform/__init__.py: Change the base class interface as necessary
    to add a GIO VolumeMonitor implementation
	* conduit/dataproviders/VolumeFactory.py: Derive directly from HalFactory
    and no longer use the Vfs.VolumeMonitor implementations to monitor volumes,
    it was not in the spirit of what other derived classes were using VF for
	* conduit/dataproviders/HalFactory.py: Doc updates.
	* conduit/modules/FileModule/FileModule.py: Use the VolumeMonitor class
    directly, and no longer through VolumeFactory. 
    Fixes #557105

2008-10-20  John Stowers  <john.stowers@gmail.com>

	* conduit/__init__.py: Mark as a stable version.

2008-10-08  John Stowers  <john.stowers@gmail.com>

	* conduit/datatypes/File.py: get_removable_volume_root_uri and 
	is_on_removale_volume are called but not implemented.
	Fixes #555403 (Luca Ognibene)

	* test/python-tests/TestCoreFile.py:
	* test/python-tests/data/folder.list: Add tests for the above

2008-10-08  John Stowers  <john.stowers@gmail.com>

	* conduit/dataproviders/File.py: Call get_removable_volume_info is with a
	File object and not a string. Fixes #555401 (Luca Ognibene)

2008-10-07  John Stowers  <john.stowers@gmail.com>
  
	* conduit/Vfs.py: This patch fix two possible errors:
	1) sync with directories with a ? fails (sanitize is called with %3F instead of
	? so it doesn't work)
	2) if you sync a directory called ? and replace the ? with a space sync fails
	because you can't create a directory called " " (at least on vfat).
    Fixes #555421 (Luca Ognibene)

2008-10-07  John Stowers  <john.stowers@gmail.com>

	* conduit/platform/FileGio.py: Close the FileEnumerator.
	Fixes #555305

2008-10-06  John Stowers  <john.stowers@gmail.com>

	* conduit/Vfs.py:
	* conduit/datatypes/File.py:
	* conduit/platform/FileGio.py:
	* conduit/platform/FileGnomeVfs.py:
	* conduit/platform/__init__.py: Delegate uri joining to the
    File implementation. This improves unicode support when using GIO.
    Fixes #523181

	* test/python-tests/TestCoreFile.py:
	* test/python-tests/TestCoreVfs.py: Test new uri functions

	* test/python-tests/common.py: Dont modifiy PYTHONPATH in tests. GIO
    is the default now

2008-10-05  John Stowers  <john.stowers@gmail.com>

	* conduit/Main.py: Print the file implementations to help
	debugging.

2008-10-05  John Stowers  <john.stowers@gmail.com>

	* test/python-tests/TestCoreConvertAudioVideo.py:
	* test/python-tests/data/folder.list: Fix AudioVideo tests.

2008-10-05  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/UI.py:
	* conduit/modules/iPodModule/iPodModule.py: The gpod module fails
    to import if a different locale is used. 

	* configure.ac: Fix generation of the locale directory in defs.py
    Fixes #532854.

2008-09-01  Halton Huo  <halton.huo@sun.com>

	* m4/python.m4:
	'==' is not recognized for shell, use '=' instead.

2008-09-01  John Carr  <john.carr@unrouted.co.uk>

	* conduit/modules/OSyncEvoModule.py,
	* conduit/dataproviders/Opensync.py:
	python-opensync is broken right now, and this will all need 
	rewriting anyway.

2008-08-31  John Stowers  <john.stowers@gmail.com>

	* scripts/release.sh:
	* NEWS:
	* conduit/__init__.py:
	* configure.ac: Post release version bump to 0.3.15

2008-08-31  John Stowers  <john.stowers@gmail.com>

	* NEWS: Updates for release

2008-08-31  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/BansheeModule/BansheeModule.py:
	* conduit/modules/RhythmboxDBusModule/RhythmboxDBusModule.py:
	* conduit/modules/RhythmboxModule/RhythmboxModule.py:
	Dont show if program not installed

	* conduit/platform/Makefile.am:
	* po/POTFILES.in: Fix build

2008-08-30  John Stowers  <john.stowers@gmail.com>

	* NEWS: Updates

	* conduit/Vfs.py:
	* conduit/datatypes/File.py: Fix file pickle/unpickle.

2008-08-30  John Stowers  <john.stowers@gmail.com>

	* conduit/__init__.py:
	* conduit/defs.py.in: When not installed one can override the the
	FILE/BROWSER/SETTING implementation by using CONDUIT_XX_IMPL env variable.

2008-08-29  John Stowers  <john.stowers@gmail.com>

	* conduit/TypeConverter.py: Dont keep recursing if an intermediate
	conversion fails. Fixes #549751

2008-08-29  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/ConverterModule.py: Dont try and convert non-text
	mimetypes to contact/event. Fixes #549750

2008-08-28  John Stowers  <john.stowers@gmail.com>

	* conduit/Vfs.py:
	* test/python-tests/common.py: XXX_IMPL can now be set via environment
	variables.

2008-08-27  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/UI.py: I think I only need to call the gnome.ui auth
	manager stuff for gnomevfs.

	* conduit/platform/Makefile.am: Add file implementations to dist

2008-08-27  John Stowers  <john.stowers@gmail.com>

	* conduit/datatypes/File.py:
	* conduit/modules/ConverterModule.py:
	* conduit/platform/FileGio.py:
	* conduit/platform/FileGnomeVfs.py:
	* conduit/utils/__init__.py:
	* test/python-tests/TestCoreFile.py: Implement make_directory_and_parents
	in python because it is not wrapped yet. Add tests for this, make_directory
	and delete.

2008-08-23  John Stowers  <john.stowers@gmail.com>

	* conduit/Vfs.py: fat32 filesystems are reported as msdos by gio

2008-08-23  John Stowers  <john.stowers@gmail.com>

	* conduit/utils/__init__.py:
	* test/python-tests/TestCoreUtil.py: More util functions using urllib to
	work around gvfs bugs.

2008-08-23  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/AudioVideoConverterModule.py:
	* conduit/utils/MediaFile.py: Handle missing gstreamer nicer.
	Fixes #548960

2008-08-23  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/UI.py: Set a default window icon.
	Fixes #548974

2008-08-23  John Stowers  <john.stowers@gmail.com>

	* conduit/utils/Makefile.am: Ship MediaFile and GstMetadata.
	Fixes #548959 (Michael Monreal)

2008-08-23  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py: Scale photos in 
	picasa two way. Fixes #548989 (Antonio G)

2008-08-22  John Stowers  <john.stowers@gmail.com>

	* conduit/dataproviders/DataProvider.py:
	* conduit/datatypes/File.py:
	* conduit/modules/N800Module/N800Module.py: Fix doc typos.
	Fixes #548404 (Christian Schlotter)

2008-08-22  John Stowers  <john.stowers@gmail.com>

	* conduit/conduit: Remove bashisms. Fixes #545464 (Christian Schlotter)

2008-08-22  John Stowers  <john.stowers@gmail.com>

	* conduit/conduit: also look in lib/mozilla-firefox for
	run-mozilla.sh. Fixes #546478 (Christian Schlotter)

2008-08-22  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py: More debugging for
	#548659

2008-08-22  John Stowers  <john.stowers@gmail.com>

	* data/conduit.glade: Tidy prefs window as per #547609

2008-08-22  John Stowers  <john.stowers@gmail.com>

	* data/evolution-memos.png:
	* data/evolution-tasks.png:
	* conduit/modules/EvolutionModule/EvolutionModule.py:
	* data/Makefile.am: Use evolution icons. Fixes #547617

2008-08-22  John Stowers  <john.stowers@gmail.com>

	* conduit/Settings.py: No splash by default. Fixes #547615

2008-08-22  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/UI.py: Remove About entry in tray icon menu.
	Fixes #547618

2008-08-22  John Stowers  <john.stowers@gmail.com>

	* conduit/Settings.py:
	* conduit/gtkui/Tree.py: Hide treeview lines. Fixes #547604

2008-08-22  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/BansheeModule/BansheeModule.py: Banshee icon is 
	media-player-banshee. Fixes #547600

2008-08-21  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/iPodModule/config.glade:
	* conduit/modules/iPodModule/iPodModule.py: Fix iPod icon, and make
	sure that the photo dp is configurable.

2008-08-21  John Stowers  <john.stowers@gmail.com>

	* conduit/platform/FileGio.py:
	* conduit/utils/__init__.py:
	* test/python-tests/TestCoreUtil.py: Work around stupid gvfs bug 547133
	by adding an urllib2 based implementation of get_mtime

2008-08-21  John Stowers  <john.stowers@gmail.com>

	* conduit/Vfs.py:
	* conduit/__init__.py:
	* conduit/datatypes/File.py:
	* conduit/platform/FileGio.py:
	* conduit/platform/FileGnomeVfs.py:
	* conduit/platform/FilePython.py:
	* conduit/platform/__init__.py:
	* test/python-tests/TestDataProviderShutterfly.py: Remove the last hard
	dependency on gnomevfs. Add a minimal working Python file implementation
	which lets conduit start up.

2008-08-21  John Stowers  <john.stowers@gmail.com>

	* conduit/Vfs.py:
	* conduit/dataproviders/File.py:
	* conduit/modules/FileModule/FileModule.py:
	* conduit/platform/FileGio.py:
	* conduit/platform/FileGnomeVfs.py:
	* conduit/platform/__init__.py: Move all uri_volume functions into the
	platform implementation dir.

2008-08-21  John Stowers  <john.stowers@gmail.com>

	* conduit/Vfs.py:
	* conduit/dataproviders/File.py:
	* conduit/modules/FileModule/FileConfiguration.py:
	* conduit/platform/FileGnomeVfs.py:
	* conduit/utils/__init__.py:
	* test/python-tests/TestCoreVfs.py: Move _ensure_type into utils as
	ensure_string. Remove uri_make_canonical.

2008-08-21  John Stowers  <john.stowers@gmail.com>

	* conduit/Vfs.py:
	* conduit/platform/FileGio.py:
	* conduit/platform/FileGnomeVfs.py:
	* conduit/platform/FilePython.py:
	* conduit/platform/__init__.py: Move volume monitor into the FileImpl
	classes.

2008-08-21  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/AudioVideoConverterModule.py: Fix typo in conversion
	arguments. Really Fixes #526423 (Alexandre Rosenfeld)

2008-08-21  Alexandre Rosenfeld  <airmind@gmail.com>

	* NEWS:
	* ChangeLog:
	* conduit/*/*.py:
	* data/conduit.glade:
	* test/python-tests/TestCoreConvertAudioVideo.py:
	* test/python-tests/data/audio.list:
	* test/python-tests/data/video.list:
	Merge GSOC08 improved iPod support branch. This adds support for
	writing iPod music,video, and transcoding using GStreamer.
	Fixes #510279.

2008-08-10  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/AmazonS3Module/:
	* conduit/modules/AmazonS3Module/AmazonS3Module.py:
	* conduit/modules/AmazonS3Module/config.glade:
	* data/amazon.png: Preliminary amazon S3 support contributed by
	Christian Schlotter.

2008-08-10  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py: Create the album if 
	it does not exist. Fixes #545824 (Manuel J. Garrido)    

2008-08-07  John Stowers  <john.stowers@gmail.com>

	* conduit/Vfs.py:
	* conduit/datatypes/File.py:
	* conduit/modules/N800Module/N800Module.py:
	* conduit/platform/FileGio.py:
	* conduit/platform/FileGnomeVfs.py:
	* conduit/platform/__init__.py:
	* test/python-tests/TestCoreFile.py:
	* test/python-tests/TestCoreVfs.py: Move some Vfs functions into
	the File class.

	* conduit/platform/FilePython.py: Skeleton implementation.

2008-08-07  John Stowers  <john.stowers@gmail.com>

	* conduit/platform/FileGio.py:
	* conduit/platform/FileGnomeVfs.py:
	* scripts/run-tests.sh: Implement a basic file transfer class.
    Currently blocking on a few GNOME bugs.

2008-08-06  John Stowers  <john.stowers@gmail.com>

	* scripts/release.sh:
	* NEWS:
	* conduit/__init__.py:
	* configure.ac: Post release version bump to 0.3.14

2008-08-06  John Stowers  <john.stowers@gmail.com>

	* scripts/release.sh:
	* NEWS:
	* conduit/__init__.py:
	* configure.ac: Brown paper bag release.

2008-08-05  John Stowers  <john.stowers@gmail.com>

	* conduit/Vfs.py: Be stricter with argument types, converting
	str to unicode.

	* conduit/gtkui/Database.py: Dont emit signals for rows with
	invalid rowrefs.
    
	* conduit/dataproviders/File.py:
	* test/python-tests/TestSyncFileFolder.py: Supply the correct
	number of args to make_thread. Add test for this.
	Fixes #546273

2008-08-05  John Stowers  <john.stowers@gmail.com>

	* conduit/defs.py.in: Specify a default browser when installed.
	Fixes #546343.

2008-08-05  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/Canvas.py:
	* conduit/hildonui/Canvas.py: Dont put a scrollbar on the
	canvas if its not needed. Fixes #546161

>>>>>>> MERGE-SOURCE
2008-08-03  John Stowers  <john.stowers@gmail.com>

	* NEWS:
	* conduit/__init__.py:
	* configure.ac:
	* release.sh: Post release version bump to 0.3.14

2008-08-03  John Stowers  <john.stowers@gmail.com>

	* NEWS: Update for 0.3.13 release.

2008-08-03  John Stowers  <john.stowers@gmail.com>

	* help/C/figures/conduit-dp.png:
	* help/C/figures/conduit-login.png:
	* help/es/es.po:
	* help/Makefile.am: Fix make distcheck.

2008-08-03  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py:
	* test/python-tests/TestDataProviderGoogleCalendar.py:
	* test/python-tests/TestDataProviderYoutube.py: Move
	GoogleCalendar tests to their own file. Disable google
	calendar because its broken.

2008-08-03  John Stowers  <john.stowers@gmail.com>

	* conduit/Settings.py:
	* conduit/Web.py:
	* conduit/__init__.py:
	* conduit/gtkui/UI.py:
	* conduit/modules/TestModule.py:
	* data/conduit.glade:
	* test/python-tests/TestCoreSettings.py:
	* test/python-tests/common.py: Using the built in web browser
    is now the default behaviour. Selected browser is defined in 
    conduit.BROWSER_IMPL.

2008-08-03  John Stowers  <john.stowers@gmail.com>

	* conduit/platform/WebBrowserWebkit.py: Put the browser in a scrolled
	window.

2008-08-03  John Stowers  <john.stowers@gmail.com>

	* conduit/Vfs.py: Ensure that args passed to gnomevfs functions are
	strings and not unicode. Argh
	
	* test/python-tests/TestDataProviderFacebook.py:
	* test/python-tests/TestSyncTomboyiPod.py: Fix tests.

2008-08-03  John Stowers  <john.stowers@gmail.com>

	* conduit/dataproviders/Image.py:
	* conduit/datatypes/Photo.py: Implementation for Phoro.compare() 
	and ImageTwoWay.put. Fixes #543366 (Manuel J. Garrido)

2008-08-03  John Stowers  <john.stowers@gmail.com>

	* conduit/utils/__init__.py: Fix crasher when hiding dialogs.

	* test/python-tests/common.py: Fix Flickr test (was returning unicode
	urls)

2008-08-03  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py: Load the
	photo dictionary in refresh so that delete works.
	Fixes #545728 (Manuel J. Garrido)

2008-08-03  John Stowers  <john.stowers@gmail.com>

	* conduit/Module.py: Remove print spew.
	
	* conduit/Synchronization.py:
	* conduit/gtkui/UI.py:
	* conduit/Web.py: Fix a nasty gtkmozembed threading crash bug caused by
	importing gtkmozembed from a thread that is not the gtk thread.

2008-08-02  John Stowers  <john.stowers@gmail.com>

	* test/python-tests/TestCoreFile2.py:
	* test/python-tests/TestCoreFile.py: Move tests into a single file
	and test both file implementations.

	* conduit/platform/FileGio.py:
	* conduit/platform/FileGnomeVfs.py:
	* scripts/run-tests.sh: FileGio now passes basic file tests.

2008-08-02  John Stowers  <john.stowers@gmail.com>

	* conduit/Main.py:
	* conduit/Settings.py:
	* conduit/__init__.py:
	* conduit/datatypes/File.py:
	* test/python-tests/common.py: Adjusted the manner in which the 
	settings and file implementations can be changed at run (and test) time.

2008-08-02  John Stowers  <john.stowers@gmail.com>

	* test/python-tests/TestCoreFile.py: Test the tempfile handling
	directly.

	* conduit/datatypes/File.py:
	* conduit/platform/FileGnomeVfs.py:
	* conduit/platform/__init__.py: Refactor the returning of local
	paths to make it easier for gio.

	* conduit/platform/FileGio.py: Add basic gio FileImpl implementation

2008-08-02  John Stowers  <john.stowers@gmail.com>

	* NEWS: Update to include recent UI work.
	
	* conduit/Module.py:
	* conduit/SyncSet.py:
	* conduit/gtkui/Canvas.py:
	* conduit/gtkui/UI.py:
	* data/conduit.glade: Add preconfigured example conduits to Knowledge.
	Enable the ability to add these example Conduits to the Canvas from
	a menu item.	

2008-08-02  John Stowers  <john.stowers@gmail.com>

	* conduit/Knowledge.py:
	* conduit/Makefile.am:
	* conduit/gtkui/Makefile.am:
	* conduit/gtkui/Hints.py: Move hints --> Knowledge.

2008-08-02  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/Hints.py:
	* conduit/modules/GoogleModule/GoogleModule.py: Spelling

2008-08-02  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/Canvas.py: Tweak the connecting arrow line widths
	and end positions. Tweak the conduit and dataprovider size.

2008-08-02  John Stowers  <john.stowers@gmail.com>

	* conduit/Settings.py:
	* conduit/gtkui/Canvas.py:
	* conduit/gtkui/UI.py:
	* data/conduit.glade: Hints can be enabled/disabled from the 
	preferences menu.

2008-08-02  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/Canvas.py:
	* conduit/gtkui/Hints.py:
	* conduit/gtkui/Makefile.am: Move hints to their own file.

2008-08-02  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/MsgArea.py: Dont expand the button action area. Timeouts
	can only clear the msg they were connected to.

2008-08-02  John Stowers  <john.stowers@gmail.com>

	* conduit/Conduit.py:
	* conduit/ModuleWrapper.py: Utility functions to test if a conduit can
	be synchronized (it has a source and a sink for example).

2008-08-01  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/Canvas.py: Refactor out the hint handling code to be
	more generic and extensible.

2008-08-01  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/Canvas.py:
	* conduit/hildonui/Canvas.py: Refactor the welcome message handling to
	allow the welcome message to look like an empty conduit.

>>>>>>> MERGE-SOURCE
2008-08-01  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/Canvas.py:
	* conduit/hildonui/Canvas.py: Use Class properties for common
	drawing properties. Hildon fixes.

2008-08-01  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/Canvas.py:
	* conduit/hildonui/Canvas.py: Implement a divider, and a flat box 
	paint style. See ConduitCanvasItem.DIVIDER and ConduitCanvasItem.FLAT_BOX.

2008-08-01  John Stowers  <john.stowers@gmail.com>

	* conduit/hildonui/Canvas.py: Fix hildon build. The hildon UI does
	not used gradients or anything slow like that.

2008-08-01  John Stowers  <john.stowers@gmail.com>

	* NEWS:
	* conduit/gtkui/Canvas.py: Tweak the line widths and color.

2008-07-31  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/Canvas.py: Dont recurse forever when updating the
	background to match the theme on the main canvas.

2008-07-31  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/Canvas.py:
	* conduit/hildonui/Canvas.py: Implement some pretty impressive
	(if I do say so myself) auto-theme change update foo.

2008-07-31  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/Canvas.py:
	* conduit/hildonui/Canvas.py: Refactor all the drawing properties
	into the get_style_properties function. Override this function to
	provide implementations for a themed and unthemed canvas.

2008-07-31  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/Makefile.am:
	* conduit/gtkui/Canvas.py:
	* conduit/gtkui/Util.py: Add some machinery to make it easier to use
	gtk themed colors in the canvas.
	
2008-07-30  John Stowers  <john.stowers@gmail.com>

	* conduit/datatypes/File.py:
	* conduit/platform/FileGnomeVfs.py:
	* conduit/platform/__init__.py: Remove dead code,
	pass all tests.

2008-07-30  John Stowers  <john.stowers@gmail.com>

	* conduit/Vfs.py:
	* conduit/datatypes/File.py:
	* conduit/platform/FileGnomeVfs.py:
	* conduit/platform/__init__.py: Move gnomevfs file code into the
	FileGnomeVfs platform implementation.

	* scripts/run-tests.sh:
	* conduit/conduit: Set PYTHONPATH to pick up gio libs (pygobject > 2.15)

2008-07-30  John Stowers  <john.stowers@gmail.com>

	* scripts/run-tests.sh: Code coverage should include platform
	dir.

2008-07-30  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/Database.py: Fix an off by one error in the database
	gtk.Liststore wrapper. This was exposed by a recent upgrade that changed
	how the gtk.Treeview iterated over its model.

2008-07-30  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/Canvas.py: Expand the canvas when more conduits
	get added. Fixes #516646.

	* conduit/gtkui/UI.py: Account for Canvas scrolled window on DND.
	Fixes #517877

2008-07-30  John Stowers  <john.stowers@gmail.com>

	* help/Makefile.am: Include other figures. Fixes #543534

2008-07-30  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py: Check gmail contact
	has email before adding. Fixes #545129 (Roumano)

2008-07-30  John Stowers  <john.stowers@gmail.com>

	* conduit/Vfs.py:
	* conduit/modules/FileModule/FileConfiguration.py: Dont forget the 
	symlink parameter when creating folder scan threads. Fixes #544712

2008-07-30  John Stowers  <john.stowers@gmail.com>

	* conduit/*:
	* test/*: Merge conduit-platform branch with many architectural 
	improvements. Fixes #509702 
	Fixes #525259

2008-07-24  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/SynceModule.py: You can now view, and create
	sync partnerships from the preferences window.

2008-07-23  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/ConverterModule.py:
	* test/python-tests/TestCoreConvert.py:
	* test/python-tests/TestCoreDatatypes.py:
	* test/python-tests/common.py:
	* test/python-tests/data/bookmark.txt: Add converter and tests
	for bookmark datatype.

2008-07-23  John Stowers  <john.stowers@gmail.com>

	* conduit/datatypes/Bookmark.py:
	* conduit/datatypes/Makefile.am: Add bookmark datatype.
	Fixes #543738 (Andrew Stormont)

2008-07-23  John Stowers  <john.stowers@gmail.com>

	* NEWS:
	* conduit/modules/FeedModule/FeedModule.py: Use feedparser to 
	parse RSS/Atom feed enclosures and media content. Fixes #543685

2008-07-17  John Carr  <john.carr@unrouted.co.uk>

	* conduit/datatypes/Contact.py:
	Make sure that vcard always has a FN and a N (Fixes #528221)

2008-07-17  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GoogleModule/Makefile.am: Fix build.

2008-07-17  Andrew Stormont <andyjstormont@googlemail.com>

	* conduit/Web.py: Add support for webkit web browser.

2008-07-17  John Stowers  <john.stowers@gmail.com>

	* NEWS: Updates

	* help/C/conduit.xml: Clarification of the File->Save menu.
	Fixes #542429

2008-07-17  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/UI.py: Mark for translation. 
	Fixes #542551 (Claude Paroz)

2008-07-17  John Stowers  <john.stowers@gmail.com>

	* conduit/datatypes/File.py: Include tags in the hash of the object.

	* conduit/datatypes/Photo.py: Include underlying file hash plus photo
	metadata (size, caption) in the hash of the object.

	* conduit/modules/GoogleModule/GoogleModule.py:
	* conduit/modules/ZotoModule/ZotoModule.py: Implement more efficient
	_replace_photo(). Fixes #521196 (Matt Brown, Manuel J. Garrido)

2008-07-17  John Stowers  <john.stowers@gmail.com>

	* configure.ac:
	* tools/Makefile.am:
	* tools/totem-plugin/Makefile.am:
	* tools/totem-plugin/conduit.py:
	* tools/totem-plugin/conduit.totem-plugin.in: Add totem plugin.
	Fixes #542239 (Philip Withnall)

2008-07-17  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/SmugMugModule/config.glade: Dont show cleartext 
	password. Fixes #524758

2008-07-16  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/FacebookModule/config.glade:
	* conduit/modules/FacebookModule/FacebookModule.py:
	* conduit/modules/FacebookModule/Makefile.am: You can now specify the
	album that facebook photos are added to.

2008-07-16  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/FacebookModule/FacebookModule.py:
	* conduit/utils/__init__.py:
	* test/python-tests/TestCoreUtil.py: Resize Facebook photos to fit
	inside Facebook maximum size of 604x604.

2008-07-16  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/NetworkModule/*.py:
	Send PROTOCOL_VERSION in the extra info string, and check against
	this to confirm compatibility of remote Conduit instances.

2008-07-15  John Carr  <john.carr@unrouted.co.uk>

	* conduit/modules/EvolutionModule/EvolutionModule.py:
	Make sure that mtime is set correctly...

2008-07-15  John Carr  <john.carr@unrouted.co.uk>

	* conduit/modules/SynceModule.py:
	Add really basic converters

2008-07-07  John Stowers  <john.stowers@gmail.com>

	* conduit/dataproviders/DataProvider.py:
	* conduit/gtkui/UI.py:
	Give factories the ability to put pages in the configuration window
	
2008-07-04 John Stowers  <john.stowers@gmail.com>

	* conduit/platform/WebBrowserMozilla.py:
	* conduit/platform/WebBrowserSystem.py:
	* conduit/Web.py:
	* conduit/platform/__init__.py: Move webbrowser implementations to
	the platform dir, and use the new Singleton to tidy things up

2008-07-03  John Stowers  <john.stowers@gmail.com>

	* conduit/Vfs.py:
	* conduit/dataproviders/VolumeFactory.py: Make VolumeMonitor
    a gobject derived singleon.

2008-07-03  John Stowers  <john.stowers@gmail.com>

	* conduit/Vfs.py:
	* conduit/modules/FileModule/FileModule.py: Make the file object
    a gobject derived class that emits a changed signal. Much more like
    GIO.

2008-07-03  John Stowers  <john.stowers@gmail.com>

	* conduit/utils/Singleton.py:
	* test/python-tests/TestCoreUtil.py: Add a singleton class, necessary
    for the GnomeVfs volume monitor.

2008-07-03  John Stowers  <john.stowers@gmail.com>

	* conduit/Globals.py:
	* conduit/Main.py:
	* conduit/Settings.py:
	* conduit/__init__.py:
	* conduit/defs.py.in:
	* conduit/platform/SettingsPython.py:
	* test/python-tests/TestCoreSettings.py:
	* test/python-tests/common.py: Change initialization order
    so the desired impl is passed to Settings. Test both 
    implementations.

2008-07-03  John Stowers  <john.stowers@gmail.com>

    * test/python-tests/TestCoreConflict.py: Add
    test for conflict resolution and uniqueness. Fixes #530768

2008-07-03  John Stowers  <john.stowers@gmail.com>

    * conduit/gtkui/ConflictResolver.py: Remove threaded
    conflict resolution.

2008-07-03  John Stowers  <john.stowers@gmail.com>

    * conduit/Conduit.py:
    * conduit/Conflict.py:
    * conduit/MappingDB.py:
    * conduit/Synchronization.py:
    * conduit/gtkui/ConflictResolver.py:
    * conduit/modules/TestModule.py: Move the conflict
    resolution to the conflict class

2008-07-03  John Stowers  <john.stowers@gmail.com>

    * conduit/Conduit.py:
    * conduit/Conflict.py:
    * conduit/MappingDB.py:
    * conduit/Synchronization.py:
    * conduit/gtkui/ConflictResolver.py:
    * conduit/modules/TestModule.py: Prevent duplicate 
    conflicts from showing in the UI by creating a hash
    which is invariant depending on the order of sync and source.

2008-06-22  John Carr  <john.carr@unrouted.co.uk>

	* conduit/datatypes/Contact.py:
	Check contact has email property before looping through it.

2008-06-20  John Stowers  <john.stowers@gmail.com>

	* conduit/Settings.py:
	* conduit/platform/__init__.py:
	* conduit/platform/SettingsGConf.py:
	* conduit/platform/SettingsPython.py: Add a native python
    ConfigParser settings implementation

	* test/python-tests/TestCoreSettings.py: Add a few more
    tests

2008-06-20  John Stowers  <john.stowers@gmail.com>

	* conduit/Settings.py:
	* conduit/platform/__init__.py:
	* conduit/platform/SettingsGConf.py: Split backed out into platform specific
	implementation.
	
	* scripts/run-tests.sh: Code coverage the new platform dir.
	
	* test/python-tests/TestCoreSettings.py: Test set_overrides.

2008-06-18  John Carr  <john.carr@unrouted.co.uk>

	* conduit/modules/GoogleModule/GoogleModule.py:
	Fix Contact two way sync (conversion code was trying to 
	convert a contact to a '')

2008-06-17  John Stowers  <john.stowers@gmail.com>

	* conduit/Vfs.py:
	* test/python-tests/TestCoreVfs.py: Check all uir_xxx functions operate
	on a string uri

2008-06-17  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py: Support replacing youtube
	videos. Fixes #538416 (Philip Withnall)

2008-06-07  John Stowers  <john.stowers@gmail.com>

	* ChangeLog:
	* NEWS:
	* conduit/datatypes/Video.py:
	* conduit/modules/GoogleModule/GoogleModule.py:
	* conduit/modules/GoogleModule/atom/Makefile.am:
	* conduit/modules/GoogleModule/atom/__init__.py:
	* conduit/modules/GoogleModule/atom/mock_service.py:
	* conduit/modules/GoogleModule/atom/service.py:
	* conduit/modules/GoogleModule/gdata/Makefile.am:
	* conduit/modules/GoogleModule/gdata/__init__.py:
	* conduit/modules/GoogleModule/gdata/apps/service.py:
	* conduit/modules/GoogleModule/gdata/auth.py:
	* conduit/modules/GoogleModule/gdata/blogger/Makefile.am:
	* conduit/modules/GoogleModule/gdata/blogger/__init__.py:
	* conduit/modules/GoogleModule/gdata/blogger/service.py:
	* conduit/modules/GoogleModule/gdata/calendar/__init__.py:
	* conduit/modules/GoogleModule/gdata/calendar/service.py:
	* conduit/modules/GoogleModule/gdata/media/__init__.py:
	* conduit/modules/GoogleModule/gdata/service.py:
	* conduit/modules/GoogleModule/gdata/test_data.py:
	* conduit/modules/GoogleModule/gdata/urlfetch.py:
	* conduit/modules/GoogleModule/gdata/youtube/Makefile.am:
	* conduit/modules/GoogleModule/gdata/youtube/__init__.py:
	* conduit/modules/GoogleModule/gdata/youtube/service.py:
	* conduit/modules/GoogleModule/youtube-config.glade:
	* configure.ac: Merge youtube upload support, including a svn copy
	of python-gdata. Fixes #522120 (Philip Withnall)

2008-06-07  John Stowers  <john.stowers@gmail.com>

	* conduit/conduit: Detect firefox when it is in lib64
	Fixes #537068 (Michel Alexandre Salim)

2008-06-07  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/SynceModule.py:
	* data/Makefile.am: New features deserve new icons.

2008-06-07  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/FacebookModule/FacebookModule.py: add _get_albums and
	_get_photos. Now someone just needs to implement get() around these
	
	* test/python-tests/TestDataProviderFacebook.py: Test new functions, and
	fix long standing bug where using image dataprovider tests would
	not work with facebook.

2008-06-07  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py:
	* test/python-tests/TestDataProviderGoogleDocuments.py: Properly support
	replace and delete(). Fixes #510120

2008-06-07  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py:
	* conduit/modules/GoogleModule/documents-config.glade: Make 
	into a sink and implement put()

	* test/python-tests/TestDataProviderGoogleDocuments.py: Add make test use
	proper format (common.test_dataprovider)

2008-06-07  John Stowers  <john.stowers@gmail.com>

	* conduit/datatypes/File.py:
	* test/python-tests/TestCoreFile2.py:
	* test/python-tests/data/file.list: Add a ProxyFile class. This takes
	a remote uri, a mtime, and a size as its args. It can then be compared
	against a local file, and will not becore a *true* local file, until
	it is transferred to a writable filesystem.

2008-06-07  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/iPodModule/__init__.py:
	* test/python-tests/TestDataProvideriPod.py: Fix ipod test.

2008-06-05  John Stowers  <john.stowers@gmail.com>

	* conduit/Synchronization.py: If we are older, then the dp should not
	have raised the conflict, so this test can be removed.
	
	* conduit/dataproviders/File.py: If we are newer then we can
	overwrite the file. Fixes #532545
	
	* test/python-tests/TestSyncFolderFolder2.py: More exhaustive tests for
	folder sync.

2008-06-04  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GoogleModule/atom/Makefile.am:
	* conduit/modules/GoogleModule/atom/__init__.py:
	* conduit/modules/GoogleModule/atom/mock_service.py:
	* conduit/modules/GoogleModule/atom/service.py:
	* conduit/modules/GoogleModule/gdata/Makefile.am:
	* conduit/modules/GoogleModule/gdata/__init__.py:
	* conduit/modules/GoogleModule/gdata/apps/service.py:
	* conduit/modules/GoogleModule/gdata/auth.py:
	* conduit/modules/GoogleModule/gdata/blogger/Makefile.am:
	* conduit/modules/GoogleModule/gdata/blogger/__init__.py:
	* conduit/modules/GoogleModule/gdata/blogger/service.py:
	* conduit/modules/GoogleModule/gdata/calendar/__init__.py:
	* conduit/modules/GoogleModule/gdata/calendar/service.py:
	* conduit/modules/GoogleModule/gdata/media/__init__.py:
	* conduit/modules/GoogleModule/gdata/service.py:
	* conduit/modules/GoogleModule/gdata/test_data.py:
	* conduit/modules/GoogleModule/gdata/urlfetch.py:
	* conduit/modules/GoogleModule/gdata/youtube/Makefile.am:
	* conduit/modules/GoogleModule/gdata/youtube/__init__.py:
	* conduit/modules/GoogleModule/gdata/youtube/service.py:
	* configure.ac: Import gdata with youtube support

2008-06-04  John Stowers  <john.stowers@gmail.com>

	* conduit/datatypes/Video.py:
	* conduit/modules/GoogleModule/GoogleModule.py:
	* conduit/modules/GoogleModule/youtube-config.glade: Merge initial
	patch from Philip Withnall.

2008-06-04  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/NetworkModule/Server.py:
	* conduit/modules/NetworkModule/XMLRPCUtils.py:
	Add _configurable_ = True/False to dataproviders

2008-06-04  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/Canvas.py: Double click on dp does
	nothing if its not configurable.

	* conduit/hildonui/Canvas.py: Set the configure menu
	item to insensitive if the dp isnt configurable.

2008-06-04  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/BackpackModule/BackpackModule.py:
	* conduit/modules/BansheeModule/BansheeModule.py:
	* conduit/modules/BoxDotNetModule/BoxDotNetModule.py:
	* conduit/modules/EvolutionModule/EvolutionModule.py:
	* conduit/modules/FacebookModule/FacebookModule.py:
	* conduit/modules/FeedModule/FeedModule.py:
	* conduit/modules/FileModule/FileModule.py:
	* conduit/modules/FlickrModule/FlickrModule.py:
	* conduit/modules/FspotModule/FspotModule.py:
	* conduit/modules/GConfModule/GConfModule.py:
	* conduit/modules/GoogleModule/GoogleModule.py:
	* conduit/modules/N800Module/N800Module.py:
	* conduit/modules/PhoneModule/PhoneModule.py:
	* conduit/modules/PicasaDesktopModule/PicasaDesktopModule.py:
	* conduit/modules/RTMModule/RTMModule.py:
	* conduit/modules/ShutterflyModule/ShutterflyModule.py:
	* conduit/modules/SmugMugModule/SmugMugModule.py:
	* conduit/modules/SynceModule.py:
	* conduit/modules/TomboyModule.py:
	* conduit/modules/ZotoModule/ZotoModule.py:
	* conduit/modules/iPodModule/iPodModule.py:
	* conduit/modules/NetworkModule/Server.py:
	* conduit/modules/NetworkModule/XMLRPCUtils.py:
	Add _configurable_ = True/False to dataproviders

2008-06-04  John Stowers  <john.stowers@gmail.com>

	* NEWS:
	* conduit/__init__.py:
	* configure.ac: Version bump to 0.3.12. Cross fingers this time.

2008-06-04  John Stowers  <john.stowers@gmail.com>

	* Makefile.am:
	* NEWS:
	* conduit/__init__.py:
	* conduit/modules/GoogleModule/gdata/Makefile.am:
	* configure.ac: Is it possible to wear two brown paper
	bags simultaenously?

2008-06-04  John Stowers  <john.stowers@gmail.com>

	* NEWS:
	* conduit/__init__.py:
	* configure.ac: Version bump to 0.3.12

2008-06-04  John Stowers  <john.stowers@gmail.com>

	* NEWS: Update NEWS for release.

2008-06-04  John Stowers  <john.stowers@gmail.com>

	* NEWS:
	* conduit/__init__.py:
	* configure.ac: Update version numbers to 0.3.11.1 in preparation for
	brown paper bag release.

2008-06-04  John Stowers  <john.stowers@gmail.com>

	* conduit/SyncSet.py: Dont store the application version in the
	settings.xml file. Store a settings-version variable instead.
	Fixes #536400.

2008-06-03  John Carr  <john.carr@unrouted.co.uk>

	* conduit/modules/FlickrModule/flickrapi/Makefile.am:
	We had missing files. Include them.

2008-06-03  John Carr  <john.carr@unrouted.co.uk>

	* conduit/modules/gdata/Makefile.am:
	* configure.ac:
	Include contacts stuff in our shipped GData.
	Fixes #536485 (Andreas Böttger)

2008-06-02  John Carr  <john.carr@unrouted.co.uk>

	* conduit/modules/SynceModule.py:
	Keep self.objects around longer, so that conflict handling copes
	better.

2008-06-03  John Stowers  <john.stowers@gmail.com>

	* NEWS:
	* conduit/__init__.py:
	* configure.ac: Version bump to 0.3.12

2008-06-03  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/ZotoModule/Makefile.am: Fix build.

2008-06-03  John Stowers  <john.stowers@gmail.com>

	* NEWS: Update NEWS for release.

2008-06-03  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py: Disable Google docs
	uploader from release.

2008-06-01  John Carr  <john.carr@unrouted.co.uk>

	* conduit/modules/SynceModule.py:
	Add Tasks endpoint which looks like it might have some infrastructure
	in place.
	Add hooks so SynceContacts & co can provide objects for the XML foo.
	Use array.array to properly encode/decode data for SyncEngine
	Getting, Adding and Deleting are now (seemingly) stable.
	Modify needs more work... Damn conflcit code.

2008-06-01  John Stowers  <john.stowers@gmail.com>

	* Makefile.am:
	* doap.rdf.in: Remove obsolete DOAP foo.

2008-06-01  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/Makefile.am:
	* conduit/modules/ZotoModule/Makefile.am:
	* configure.ac: Add zoto dataprovider to dist.

2008-06-01  John Stowers  <john.stowers@gmail.com>

	* conduit/DBus.py:
	* conduit/Main.py:
	* conduit/dataproviders/HalFactory.py:
	* conduit/dataproviders/SimpleFactory.py:
	* conduit/dataproviders/VolumeFactory.py:
	* tools/conduit-client: Fix small bugs and tidy up 
    the usage of DBus, no longer import the 
    (depreciated dbus.glib).

2008-06-01  John Stowers  <john.stowers@gmail.com>

	* tools/conduit-client:
	* tools/example-dbus-gui-remote.py: Update
    to use the new progress signal.

2008-06-01  John Stowers  <john.stowers@gmail.com>

	* conduit/Conduit.py:
	* conduit/DBus.py:
	* conduit/Synchronization.py:
	* conduit/gtkui/Canvas.py:
	* conduit/modules/TestModule.py: When emitting progress
    signals, also include in that signal the UIDs of data
    successfully processed since the last update.

	* tools/eog-plugin/conduit.py: Update to use the new 
    functionality.

2008-06-01  John Stowers  <john.stowers@gmail.com>

	* conduit/Synchronization.py: Only emit progress when 
    progress changes by > 5%. Decreases CPU usage and helps
    responsiveness.

2008-05-31  John Carr  <john.carr@unrouted.co.uk>

	* conduit/modules/SynceModule.py:
	Use Prefill (means we get all data, not just changes)
	For now, return "Notes". Easy testing & capturing of XML to disk..

2008-05-31  John Carr  <john.carr@unrouted.co.uk>

	* conduit/modules/SynceModule.py:
	Some shiny Windows Mobile 5/6 support. Depends on
	SynCE 0.11.1 with synce-hal.

2008-05-25  John Stowers  <john.stowers@gmail.com>

	* conduit/Main.py:
	* conduit/modules/TestModule.py: Add a ZotoModule
	test.

2008-05-25  John Stowers  <john.stowers@gmail.com>

	* conduit/Main.py:
	* conduit/modules/TestModule.py: Print overridden settings.

2008-05-25  John Stowers  <john.stowers@gmail.com>

	* conduit/hildonui/Canvas.py: Handle resize event.

2008-05-25  John Stowers  <john.stowers@gmail.com>

	* conduit/hildonui/Canvas.py:
	* conduit/hildonui/List.py:
	* conduit/hildonui/UI.py: Pyflakes cleanups

2008-05-25  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/Canvas.py:
	* conduit/gtkui/Tree.py:
	* conduit/hildonui/Canvas.py:
	* conduit/hildonui/List.py:
	* conduit/hildonui/UI.py: Make the hildon canvas inherit from the 
	gtk one, and share more code between the two.

2008-05-25  John Stowers  <john.stowers@gmail.com>

	* conduit/Main.py:
	* conduit/Settings.py:
	* conduit/hildonui/Canvas.py:
	* test/python-tests/common.py: Add the ability to override conduit
	settings for the session. Use this where appropriate.
	
	* conduit/modules/GoogleModule/GoogleModule.py: Make some classes private

2008-05-24  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py: Share some more code
	between google dataproviders. Pass on proxy settings to	them.

	* test/python-tests/TestCoreSettings.py: Add proxy env var parsing test.

2008-05-24  John Stowers  <john.stowers@gmail.com>

	* conduit/Settings.py:
	* conduit/Web.py: Add proxy support (both env var and gconf) to the built
	in browser.

2008-05-12  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py:
	* conduit/modules/GoogleModule/documents-config.glade:
	* test/python-tests/TestDataProviderGoogleDocuments.py: Small fixes to
	google docs.

2008-05-08  John Stowers  <john.stowers@gmail.com>

	* scripts/continuous-tester.sh: Fix USAGE
	
	* conduit/modules/GoogleModule/GoogleModule.py:
	* test/python-tests/TestDataProviderGoogleDocuments.py: Some more API
	cleanup and tests.

2008-05-08  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py:
	* test/python-tests/TestDataProviderGoogleDocuments.py: Add in-process
	support for google docs upload and download. Upload and download currently
	working, now it needs to be wrapped in the conduit dataprovider interface

2008-05-07  John Stowers  <john.stowers@gmail.com>

	* conduit/datatypes/Contact.py: Add methods for setting the vcard
	email and name attributes.

	* NEWS:
	* conduit/modules/GoogleModule/atom/__init__.py:
	* conduit/modules/GoogleModule/atom/service.py:
	* conduit/modules/GoogleModule/contacts_example.py:
	* conduit/modules/GoogleModule/gdata/__init__.py:
	* conduit/modules/GoogleModule/gdata/apps/Makefile.am:
	* conduit/modules/GoogleModule/gdata/apps/__init__.py:
	* conduit/modules/GoogleModule/gdata/apps/service.py:
	* conduit/modules/GoogleModule/gdata/base/Makefile.am:
	* conduit/modules/GoogleModule/gdata/base/__init__.py:
	* conduit/modules/GoogleModule/gdata/base/service.py:
	* conduit/modules/GoogleModule/gdata/calendar/__init__.py:
	* conduit/modules/GoogleModule/gdata/calendar/service.py:
	* conduit/modules/GoogleModule/gdata/codesearch/Makefile.am:
	* conduit/modules/GoogleModule/gdata/codesearch/__init__.py:
	* conduit/modules/GoogleModule/gdata/codesearch/service.py:
	* conduit/modules/GoogleModule/gdata/contacts/Makefile.am:
	* conduit/modules/GoogleModule/gdata/contacts/__init__.py:
	* conduit/modules/GoogleModule/gdata/contacts/service.py:
	* conduit/modules/GoogleModule/gdata/docs/Makefile.am:
	* conduit/modules/GoogleModule/gdata/docs/__init__.py:
	* conduit/modules/GoogleModule/gdata/docs/service.py:
	* conduit/modules/GoogleModule/gdata/exif/__init__.py:
	* conduit/modules/GoogleModule/gdata/geo/__init__.py:
	* conduit/modules/GoogleModule/gdata/media/__init__.py:
	* conduit/modules/GoogleModule/gdata/photos/__init__.py:
	* conduit/modules/GoogleModule/gdata/photos/service.py:
	* conduit/modules/GoogleModule/gdata/service.py:
	* conduit/modules/GoogleModule/gdata/spreadsheet/Makefile.am:
	* conduit/modules/GoogleModule/gdata/spreadsheet/__init__.py:
	* conduit/modules/GoogleModule/gdata/spreadsheet/service.py:
	* conduit/modules/GoogleModule/gdata/spreadsheet/text_db.py:
	* conduit/modules/GoogleModule/gdata/test_data.py:
	* conduit/modules/GoogleModule/gdata/urlfetch.py: Update to version 
	1.0.12.1 of python-gdata. This release adds native support for google 
	contacts
	
	* conduit/modules/GoogleModule/GoogleModule.py:
	* test/python-tests/common.py:
	* test/python-tests/data/1.vcard:	
	* test/python-tests/TestCoreContact.py:
	* test/python-tests/TestDataProviderGoogleContacts.py: Add two way sync
	support for google contacts. This still needs work in converting all
	the gdata attributes, detecting duplicate contacts with the same email
	address, and general testing, but it is a start

	* test/python-tests/TestDataProviderPicasa.py: Fix picasa get() tests


2008-05-07  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/Canvas.py:
	* conduit/hildonui/Canvas.py:
	* conduit/hildonui/UI.py: Stop maemo version from crashing when closed.
	small fixes to improve consistency between hildon and gtk UIs. Dont
	set application name twice.

2008-05-06  Kjartan Maraas  <kmaraas@gnome.org>

	* conduit/modules/iPodModule/config.glade:
	Don't translate widget label.

2008-05-07  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/BackpackModule/backpack/bptest.py:
	* conduit/modules/BackpackModule/backpack/cgi/reminder.py:
	* conduit/modules/BackpackModule/backpack/cgi/todo.py:
	* conduit/modules/BackpackModule/backpack/data/email.xml:
	* conduit/modules/BackpackModule/backpack/data/emaillist.xml:
	* conduit/modules/BackpackModule/backpack/data/error404.xml:
	* conduit/modules/BackpackModule/backpack/data/export.xml:
	* conduit/modules/BackpackModule/backpack/data/list.xml:
	* conduit/modules/BackpackModule/backpack/data/listitem.xml:
	* conduit/modules/BackpackModule/backpack/data/notelist.xml:
	* conduit/modules/BackpackModule/backpack/data/page.xml:
	* conduit/modules/BackpackModule/backpack/data/pages.xml:
	* conduit/modules/BackpackModule/backpack/data/pagesfortag.xml:
	* conduit/modules/BackpackModule/backpack/data/reminders.xml:
	* conduit/modules/BackpackModule/backpack/data/search.xml:
	* conduit/modules/BackpackModule/backpack/wapsupport.py:

2008-05-07  John Stowers  <john.stowers@gmail.com>

	* NEWS:
	* conduit/modules/FlickrModule/FlickrModule.py:
	* conduit/modules/FlickrModule/flickrapi/LICENSE:
	* conduit/modules/FlickrModule/flickrapi/__init__.py:
	* conduit/modules/FlickrModule/flickrapi/cache.py:
	* conduit/modules/FlickrModule/flickrapi/exceptions.py:
	* conduit/modules/FlickrModule/flickrapi/multi-username.patch:
	* conduit/modules/FlickrModule/flickrapi/multipart.py:
	* conduit/modules/FlickrModule/flickrapi/tokencache.py:
	* conduit/modules/FlickrModule/flickrapi/xmlnode.py: Update to latest version
	of flickrapi and adapt to API changes.
	
	* conduit/modules/RTMModule/rtm.py: Remove logging.basicConfig() call which
	overrides conduits log settings and screws up everything.

2008-05-06  John Stowers  <john.stowers@gmail.com>

	* NEWS:
	* conduit/modules/FacebookModule/pyfacebook/__init__.py:
	* conduit/modules/FacebookModule/pyfacebook/no-print-at-import.patch:
	* test/python-tests/TestDataProviderFacebook.py:
	* test/python-tests/TestDataProviderFlickr.py: Update to latest version
	of pyfacebook.

2008-05-06  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/FspotModule/FspotModule.py: Remove the depreciated
	non-dbus FSpot dataprovider

2008-05-06  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py: Add magic numbers in case
	anyone wants to work on youtube video upload.

2008-05-06  John Stowers  <john.stowers@gmail.com>

	* conduit/Vfs.py:
	* conduit/dataproviders/File.py:
	* conduit/modules/FileModule/FileConfiguration.py:
	* conduit/modules/FileModule/FileModule.py:
	* conduit/modules/FileModule/config.glade:
	* conduit/modules/N800Module/N800Module.py:
	* conduit/modules/PhoneModule/PhoneModule.py:
	* conduit/modules/TestModule.py:
	* test/python-tests/TestCoreVfs.py:
	* test/python-tests/TestDataProviderFolder.py:
	* test/python-tests/TestSyncFolderFolder.py: Configuration option in all
	file/folder dataproviders allowing them to follow symlinks.
	Fixes #530929 (P. Henrique Silva)

2008-05-05  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/FlickrModule/FlickrModule.py: Dont duplicate first
	photo when creating photosets. Fixes #530980 (P. Henrique Silva)

2008-05-05  John Stowers  <john.stowers@gmail.com>

	* NEWS: Mention new zoto module
	* conduit/dataproviders/Image.py:
	* conduit/datatypes/Photo.py:
	* conduit/modules/FlickrModule/FlickrModule.py:
	* conduit/modules/GoogleModule/GoogleModule.py: 
	* conduit/modules/ZotoModule/ZotoModule.py: Add captions to photos
	when uploading. Fixes #521810 and #530979.

2008-05-05  John Carr <john.carr@unrouted.co.uk>

	* conduit/conduit: Use /bin/sh, as Maemo doesn't have bash

2008-05-04  John Carr <john.carr@unrouted.co.uk>

	* conduit/__init__.py: Maemo fix. .config might not actually
	exist, so if it doesn't.. then created it.

2008-05-04  John Carr <john.carr@unrouted.co.uk>

	* conduit/conduit: Cope with Firefox 3 on Hardy

2008-05-02  Manuel J. Garrido <manuel.garrido@gmail.com>

	* data/zoto.png:
	* conduit/modules/ZotoModule/*: Add two way Zoto 
	module

2008-04-30  John Stowers  <john.stowers@gmail.com>

	* NEWS:
	* conduit/__init__.py:
	* configure.ac: Version bump to 0.3.11

2008-04-30  John Stowers  <john.stowers@gmail.com>

	* NEWS: Update NEWS for release
	* po/*: Pass make distcheck

2008-04-17  John Carr  <john.carr@unrouted.co.uk>

	* conduit/modules/iPodModule/Makefile.am: Add missing
	autotools foo, so the new jhbuild thingy works for our GNOME friends

2008-04-13  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/Canvas.py: Remove workarounds for goocanvas versions
	< 0.9.0.

	* conduit/Vfs.py:
	* conduit/datatypes/File.py: Move get_relative_uri into Vfs class.
	
	* conduit/dataproviders/File.py: Be more careful about joining uri components
	when put()ing files that originated from another group. Fixes #527438
	
	* test/python-tests/TestCoreVfs.py: Test new Vfs functions
	
	* test/python-tests/TestDataProviderFolder.py:
	* test/python-tests/TestSyncFolderFolder.py: Test all put() scenarios of the
	folder data provider.

2008-04-11  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/FlickrModule/FlickrModule.py: Set the caption
	of returned photos.

	* conduit/datatypes/Contact.py: Add prototypes for setters for 
	common contact data.
	
	* conduit/modules/GoogleModule/GoogleModule.py:
	* conduit/modules/GoogleModule/Makefile.am:
	* conduit/modules/GoogleModule/contacts-config.glade:
	* test/python-tests/TestDataProviderGoogle.py: First try at a gdata based
	google contacts dataprovider. Patch by Kevin Kubasik

2008-04-11  Kevin Kubasik  <kevin@kubasik.net>

	* conduit/modules/RTMModule/Makefile.am:
	* conduit/modules/RTMModule/RTMModule.py:
	* conduit/modules/RTMModule/config.glade:
	* conduit/modules/RTMModule/rtm.py: Add preliminary support for remember
	the milk.

2008-04-08  John Stowers  <john.stowers@gmail.com>

	* conduit/Synchronization.py:
	* conduit/dataproviders/DataProvider.py:
	* conduit/gtkui/Canvas.py:
	* conduit/modules/NetworkModule/XMLRPCUtils.py: Remove get_status_text()
	and just make the dataprovider status be a string.

2008-04-07  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/PicasaDesktopModule/PicasaDesktopModule.py: Less debug
	spam at startup

	* conduit/utils/__init__.py: Add utility functions for setting the dialog
	cursor

	* conduit/modules/BoxDotNetModule/BoxDotNetModule.py:
	* conduit/modules/FlickrModule/FlickrModule.py:
	* conduit/modules/GoogleModule/GoogleModule.py: Set dialog cursor when 
	doing background work.

2008-04-07  John Stowers  <john.stowers@gmail.com>

	* conduit/Synchronization.py: Add run_blocking_dataprovider_function_calls()
	which allows an arbitary function to be executed by the sync manager, and
	get a (callback via sync-completed) when the function returns

	* conduit/utils/__init__.py: Add run_dialog_non_blocking() which does
	as the name suggests.

	* conduit/modules/FlickrModule/FlickrModule.py:
	* conduit/modules/GoogleModule/GoogleModule.py:	
	* conduit/modules/BoxDotNetModule/BoxDotNetModule.py:
	* conduit/modules/BoxDotNetModule/config.glade: Use the above two functions
	to prevent lockups when forced to login from the configure dialog.
	Fixes #526292

2008-04-05  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/iPodModule/iPodModule.py: Add an encoding
	declaration to the note. Fixes #510101 (tumi.st@gmail.com)

2008-04-05  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GmailModule/GmailModule.py:
	* conduit/modules/GmailModule/Makefile.am:
	* conduit/modules/GmailModule/config.glade:
	* conduit/modules/GmailModule/libgmail/CHANGELOG:
	* conduit/modules/GmailModule/libgmail/COPYING:
	* conduit/modules/GmailModule/libgmail/Makefile.am:
	* conduit/modules/GmailModule/libgmail/README:
	* conduit/modules/GmailModule/libgmail/gmail_transport.py:
	* conduit/modules/GmailModule/libgmail/lgconstants.py:
	* conduit/modules/GmailModule/libgmail/libgmail.py:
	* conduit/modules/Makefile.am:
	* configure.ac:
	* test/python-tests/TestDataProviderGmail.py: Remove Gmail email support.
	It no longer works, and will be obsoleted by an imap based email sync tool,
	and the use of gdata for contacts.

2008-04-05  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/iPodModule/iPodModule.py: Make iPod names consistant
	and check that ipods support photos before adding the photo dataprovider

2008-04-05  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/NetworkModule/NetworkModule.py: Dont enable network 
	sync support on systems with < python2.5

2008-04-04  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/Makefile.am:
	* conduit/modules/iPodModule.py:
	* conduit/modules/iPodModule/config.glade:
	* conduit/modules/iPodModule/iPodModule.py:
	* configure.ac: Move iPodModule to its own folder, and add the ability to
	list and delete photo albums from the device.

2008-04-04  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/FileModule/FileModule.py: Be more robust when reading
	the group file.

2008-04-04  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/FlickrModule/FlickrModule.py: Refactor the photoset
	code to be more readable and consistent with GoogleModule.
	
	* conduit/modules/GoogleModule/GoogleModule.py:
	* conduit/modules/GoogleModule/picasa-config.glade: User gtk.ComboBoxEntry
	for the album entry and refactor the album code to close match
	FlickrModule (i.e. no explicit album creation, it happens automatically
	when you put a photo into a non existant album).

2008-03-29  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/modules/BoxDotNetModule/BoxDotNetModule.py:
	* conduit/modules/BoxDotNetModule/config.glade: Give the user the
	option to load the list of folders on request; we do this
	automatically if we're already logged in.  The user can still fill in
	a text freely, that way we don't force him to login at configure time.

2008-03-29  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/modules/FlickrModule/FlickrModule.py:
	* conduit/modules/FlickrModule/config.glade:  Give user the option to
	load existing photosets from flickr

2008-03-29  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/PhoneModule/Data.py:
	* conduit/modules/PhoneModule/Gammu.py:
	* conduit/modules/PhoneModule/PhoneModule.py:
	* conduit/modules/PhoneModule/ScanThreads.py:
	* conduit/modules/PhoneModule/__init__.py: Add initial mobile phone support
	based on python-bluetooth/bluez and gammu. 
	
	* scripts/ListPhones.py: Utility script to list connected phones

2008-03-28  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/NetworkModule/XMLRPCUtils.py: Use cPickle instead
	of pickle. Improves network sync performance, but we still use too much
	memory.

2008-03-28  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py:
	* conduit/modules/GoogleModule/picasa-config.glade: Make picasa
	configuration dialog better by allowing the user to login and pick and
	album from a list, instead of just filling out the credentials.  Fixes
	#523915

2008-03-28  John Stowers  <john.stowers@gmail.com>

	* conduit/DeltaProvider.py: Only convert LUIDs to unicode if they
	are not allready.
	
	* conduit/Synchronization.py:
	* conduit/datatypes/DataType.py:
	* conduit/datatypes/File.py:
	* conduit/datatypes/__init__.py:
	* test/python-tests/TestCoreSyncLogic.py: Remove COMPARISON_UNEQUAL, it was
	not used. Use COMPARISON_UNKNOWN instead
	
	* conduit/dataproviders/File.py: Refactor put() to raise a conflict any time
	we try to modify a file that not both known, and older than the file being
	put. Fixes #520785

2008-03-27  John Stowers  <john.stowers@gmail.com>

	* conduit/Conduit.py:
	* conduit/DBus.py:
	* conduit/Main.py:
	* conduit/Module.py:
	* conduit/TypeConverter.py:
	* conduit/dataproviders/DataProvider.py:
	* conduit/gtkui/Canvas.py:
	* conduit/gtkui/Tree.py:
	* conduit/gtkui/UI.py:
	* conduit/modules/BackpackModule/BackpackModule.py:
	* conduit/modules/EvolutionModule/EvolutionModule.py:
	* conduit/modules/FacebookModule/FacebookModule.py:
	* conduit/modules/FlickrModule/FlickrModule.py:
	* conduit/modules/GoogleModule/GoogleModule.py:
	* conduit/modules/iPodModule.py:
	* conduit/utils/__init__.py:
	* test/python-tests/TestCoreUtil.py: Remove some of the useless debug print
	at application startup. Add utils.get_module_information which prints the
	version and location of a loaded module. Use this new function to print
	version information about gdata, pyfacebook, etc

2008-03-26  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/TestModule.py: Disable annoying SimpleFactory test
	
	* conduit/modules/TomboyModule.py: Replace slashes in note titles with
	underscores. Fixes #524451

2008-03-26  John Stowers  <john.stowers@gmail.com>

	* conduit/Vfs.py: Joining unstarted threads either throws an AssertionError
	or a RuntimeError, depending on the phase of the moon. Catch both.

2008-03-26  John Stowers  <john.stowers@gmail.com>

	* conduit/*.py:
	* test/python-tests/*.py: Move Utils.py to its own module, conduit.utils
	Fixes #520748 (Claude Paroz)

2008-03-26  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/RhythmboxDBusModule/Makefile.am:
	* conduit/modules/RhythmboxDBusModule/RhythmboxDBusModule.py:
	* conduit/modules/RhythmboxDBusModule/config.glade: Add experimental
	Rhythmbox (via DBus) music dataprovider. Fixes #510127 (Alexandre Rosenfeld)

2008-03-26  Claude Paroz <claude@2xlibre.net>

	* data/conduit.glade: Limit capitalization to titles and menu items. Fixed
	typo. Fixes #517928

2008-03-22  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/modules/FspotModule/config.glade:
	* conduit/modules/FspotModule/FspotModule.py:  Add possibility to
	configuration dialog to create tags in F-Spot.  Fixes #517536

2008-03-22  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/modules/TomboyModule.py: Use tuples instead of strings for
	checking the Tomboy version. Fixes #523692

2008-03-21  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/Canvas.py: Implement hackish word breaking and ellipsizing
	to stop dataprovider names getting too big. Fixes #523579

2008-03-21  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/Canvas.py: Call update_appearance whenever a dp is
	added to/removed from a conduit. Fixes #523575

2008-03-21  John Stowers  <john.stowers@gmail.com>

	* conduit/dataproviders/File.py: Recreate the .conduit group file
	every time, after parsing it. Fixes #523551

2008-03-21  John Stowers  <john.stowers@gmail.com>

	* NEWS:
	* conduit/__init__.py:
	* configure.ac: Version bump to 0.3.10

2008-03-19  John Stowers  <john.stowers@gmail.com>

	* help/*: Add network sync docs. Fixes #515328 (Brent Gueth)

2008-03-16  John Stowers  <john.stowers@gmail.com>

	* conduit/Main.py: Add -w and -x switches to the command line arguments.
	These allow you to whitelist/blacklist certain files from being loaded.
	
	* conduit/Module.py:
	* conduit/ModuleWrapper.py:
	* conduit/Vfs.py:
	* conduit/dataproviders/File.py: Strip special characters from filenames
	when synchronizing with legacy filesystems (fat, ntfs). Fixes #522436
	
	* test/python-tests/TestCoreVfs.py:
	* test/python-tests/common.py: Tests for the above

2008-03-15  John Stowers  <john.stowers@gmail.com>

	* conduit/dataproviders/VolumeFactory.py:
	* conduit/modules/FileModule/FileModule.py: Misc fixes to removable 
	volume support.

2008-03-15  John Stowers  <john.stowers@gmail.com>

	* conduit/Vfs.py:
	* conduit/modules/FileModule/FileModule.py: Even if a removable volume
	does not contain previously synchronized groups, still create a 
	preconfigured dataprovider. This really helps discoverability.

2008-03-14  John Stowers  <john.stowers@gmail.com>

	* conduit/ModuleWrapper.py: Initialize variables better
	
	* conduit/dataproviders/__init__.py: Fix Media category icon

2008-03-14  John Stowers  <john.stowers@gmail.com>

	* conduit/Vfs.py:
	* test/python-tests/TestCoreVfs.py: Add functions (and tests) for getting 
	the root uri for a removable volume.
	
	* conduit/dataproviders/File.py:
	* conduit/modules/FileModule/FileModule.py: Save the sync groups relative
	path and group name if it is stored on a removable volume. When a removable
	volume is inserted, check for this information and create a preconfigured
	folder dataprovider. Fixes #511691
	
	* test/python-tests/TestDataProviderFolder.py:
	* test/python-tests/data/folder.list: Tests for above.

2008-03-14  John Stowers  <john.stowers@gmail.com>

	* conduit/Module.py:
	* conduit/ModuleWrapper.py:
	* conduit/TypeConverter.py:
	* conduit/dataproviders/DataProvider.py:
	* conduit/dataproviders/VolumeFactory.py:
	* conduit/gtkui/Tree.py:
	* conduit/modules/AudioVideoConverterModule.py:
	* conduit/modules/ConverterModule.py:
	* conduit/modules/FileModule/FileModule.py:
	* conduit/modules/NetworkModule/Client.py:
	* conduit/modules/PhotoConverterModule.py:
	* conduit/modules/TestModule.py:
	* conduit/modules/TomboyModule.py:
	* test/python-tests/common.py: Add the plumbing needed for better removable
	volume support. This involves being able to specify your own keys (to
	be used in DND from tree to canvas), while leaving the actual instantiating
	key unchanged. I also cleaned up a number of other warts, such as making
	ModuleWrapper have a much saner API.

2008-03-13  Chris Rivera <chrismrivera@gmail.com>

	* conduit/modules/NetworkModule/Peers.py: Use correct dbus 
	types for avahi AddService().
	
	* conduit/modules/NetworkModule/Server.py: Adds missing parameters to 
	is_configured()

2008-03-13  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/Tree.py: Remove magic numbers and unneeded columns in the 
	dataprovider treemodel.

2008-03-13  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/Tree.py:
	* conduit/gtkui/UI.py:
	* conduit/hildonui/List.py:
	* conduit/hildonui/UI.py: Connect to, and use the GLOBAL.moduleManager
	from the tree/list model classes. Get sources, sinks and twoways at once
	and dont emit signals at initial load. Seems to make Conduit start
	quicker.

2008-03-12  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/Vfs.py: Don't escape the filename, it only causes sync
	conflicts when working with unicode objects
	* conduit/DeltraProvider.py: Make sure everything is converted to
	unicode when comparing.  Fixes #519708

2008-03-12  John Stowers  <john.stowers@gmail.com>

	* conduit/Vfs.py: Remove unneeded print

	* conduit/dataproviders/File.py:
	* conduit/datatypes/File.py: Calculate relative path as needed

	* test/python-tests/TestSyncFolderFolder.py:
	* test/python-tests/common.py: Test Unicode filenames

2008-03-10  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/gtkui/UI.py: Set flag that we should check if the
	SyncManager is busy in the next animation cycle instead of trying to
	stop the animation directly when the sync completes.  Sometimes the
	SyncManager reports to be still busy even though the sync has
	completed.  Fixes #521349

2008-03-10  Matt Brown  <matt@mattb.net.nz>

	* conduit/dataproviders/Image.py:
	* conduit/datatypes/Photo.py: 
	* conduit/modules/FspotModule/FspotModule.py: Add caption support 
	to photo datatype and Image dataprovider. Modify F-Spot provider to
	set captions on images retrived from F-Spot. Fixes #521194

2008-03-09  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py: revert to using the
	old method for getting youtube videos; but use the correct href.
	Fixes #518704

2008-03-09  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/TestModule.py:
	* test/python-tests/TestCoreConduit.py:
	* test/python-tests/TestCoreSyncTestDataProviders.py: Make the fail refresh
	sink twoway, and test some more error paths.

2008-03-09  John Stowers  <john.stowers@gmail.com>

	* NEWS:
	* conduit/Settings.py: Restore expanded treeview columns by default.
	
	* conduit/gtkui/Tree.py: Remove unused unworking DND cancel code.

	* data/conduit.glade: Fix warning about unknown radio button groups

2008-03-09  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/Tree.py: Print category name in debug message
		
	* conduit/gtkui/UI.py: Tidy up the code for animating the status icon.

2008-03-07  John Stowers  <john.stowers@gmail.com>

	* conduit/Synchronization.py: Refactor error handling to be more robust. 
    Synchronizations should always complete, even if some data is missed. 
	This should improve the reports of conduit synchronization stopping mid
	way.
	
	* conduit/dataproviders/File.py:
	* conduit/datatypes/File.py: Throw a FileTransferError if the user
	cancels the sync.

2008-03-07  John Stowers  <john.stowers@gmail.com>

	* conduit/Main.py:
	* conduit/Synchronization.py:
	* conduit/gtkui/UI.py: Add the ability to cancel synchronization without
	quitting conduit. Fixes bug #510124
	
	* data/conduit.glade: Add Cancel options to the main menu, and to the tray
	icon.

2008-03-07  John Stowers  <john.stowers@gmail.com>

	* conduit/Utils.py:
	* conduit/modules/TomboyModule.py:
	* test/python-tests/TestCoreUtil.py: Always extract the note title from
	the tomboy xml file.

2008-03-06  John Carr <john.carr@unrouted.co.uk>

	*conduit/modules/TomboyModule.py: Fix a typo (should handle syncing two
	existing tomboys together better now)

2008-02-27  John Stowers  <john.stowers@gmail.com>

	* conduit/Main.py: Remove -dev suffixes from config/db files
	
	* conduit/__init__.py: Store conduit configuration in fd.o compliant
	$XDG_CONFIG_HOME. Fixes bug #518592
	
	* conduit/dataproviders/DataProvider.py: Add class props to base class to
	fix network sync errors with one-way data sources
	
	* conduit/modules/NetworkModule/XMLRPCUtils.py: Differentiate remote data
	providers on the canvas by prefixing their name with 'Remote '

2008-02-27  John Stowers  <john.stowers@gmail.com>

	* conduit/ModuleWrapper.py:
	* conduit/dataproviders/DataProvider.py:
	* conduit/gtkui/Canvas.py: Add get_name() to the DataProviderBase class
	which provides a way for dataproviders to change the name they
	are displayed as on the Canvas.

	* conduit/modules/BoxDotNetModule/BoxDotNetModule.py:
	* conduit/modules/FileModule/FileModule.py: Use the selected folder as
	the display name. Fixes bug #512230

2008-02-27  John Stowers  <john.stowers@gmail.com>

	* test/python-tests/TestCoreSyncLogic.py:
	Refactor tests to share more code and add the basis for slow-sync
	tests.

2008-02-27  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/EvolutionModule/EvolutionModule.py:
	Move some more common code into EvoBase class
	
	* test/python-tests/TestDataProviderEvolution.py:
	* test/python-tests/TestSyncEvolutionFolder.py: Add evolution tests

2008-02-27  John Stowers  <john.stowers@gmail.com>

	* conduit/Main.py:
	* conduit/SyncSet.py:
	* conduit/__init__.py:
	* conduit/defs.py.in:
	* conduit/gtkui/UI.py:
	* conduit/hildonui/UI.py:
	* conduit/modules/GmailModule/GmailModule.py:
	* conduit/modules/NetworkModule/Peers.py:
	* configure.ac: Removed some unused autoconf expansions in defs.py.in
	s/conduit.APPVERSION/conduit.VERSION/ and replace Conduit.APPNAME with
	a hardcoded 'Conduit'. Remove gnome.init and gnome.help_display and just 
	open a ghelp URI directly (makes help work when uninstalled)

2008-02-26  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py: Fix youtube bug which failed
	at returning videos added or favorited by a specific user.

2008-02-23  John Stowers  <john.stowers@gmail.com>

	* NEWS:
	* configure.ac: No longer check for dbus in configure. Just check for
	python-dbus instead

2008-02-19  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/UI.py:
	* data/COPYING:
	* data/Makefile.am: Attribute tango derived icons to satisfy cc-by-sa 2.5

2008-02-19  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GmailModule/GmailModule.py:
	* conduit/modules/GmailModule/config.glade: Add ability to specify your
	own labels when saving emails.

2008-02-18  John Stowers  <john.stowers@gmail.com>

	* NEWS:
	* conduit/__init__.py:
	* configure.ac:
	* scripts/release.sh: Version bump 0.3.9

2008-02-18  John Stowers  <john.stowers@gmail.com>

	* NEWS: Update NEWS for release

2008-02-18  John Stowers  <john.stowers@gmail.com>

	* NEWS: New icons are NEWS

2008-02-17  John Stowers  <john.stowers@gmail.com>

	* Makefile.am: Remove the autogenerated NEWS and TODO commands

2008-02-15  John Stowers  <john.stowers@gmail.com>

	* configure.ac:
	* data/icons/hicolor/26x26/Makefile.am:
	* data/icons/hicolor/26x26/apps/Makefile.am:
	* data/icons/hicolor/Makefile.am: Restore the 26x26 icon needed by maemo.

2008-02-15  John Stowers  <john.stowers@gmail.com>

	* data/icons/hicolor/26x26/Makefile.am:
	* data/icons/hicolor/26x26/apps/Makefile.am: Remove unused icon	size.

	* configure.ac:
	* data/icons/hicolor/24x24/apps/Makefile.am:
	* data/icons/hicolor/Makefile.am:
	* data/icons/hicolor/scalable/apps/conduit.svg:
	* data/logo.svg:
	* website/conduit-32.svg:
	* website/conduit_header.svg: Updated conduit icons and artwork. 
	Contributed by mejogid.

2008-02-15  John Stowers  <john.stowers@gmail.com>

	* data/conduit.desktop.in.in: Pull in debian patches which make the 
	desktop file xdg compliant. Fixes bug #516567 (Jose Carlos Garcia Sogo)

2008-02-15  John Stowers  <john.stowers@gmail.com>

	* conduit/datatypes/Audio.py:
	* conduit/datatypes/Photo.py:
	* conduit/datatypes/Video.py:
	* conduit/modules/AudioVideoConverterModule.py:
	* conduit/modules/FeedModule/FeedModule.py: Put the common mimetype testing
	logic into the appropriate datatype. Fixes bug #516523

	* test/python-tests/TestDataProviderFeed.py: Add an mp3 podcast feed test

2008-02-15  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/UI.py: Better approach to supporting RGBA colormaps.
	Fixes bug #515648 (Jon Bolt, Andrea Cimitan)

2008-02-15  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GoogleModule/gdata/media/Makefile.am: s/libgdata/gdata
	Fixes bug #516410

2008-02-14  John Stowers  <john.stowers@gmail.com>

	* conduit/__init__.py:
	* configure.ac: Version bump 0.3.8

2008-02-14  John Stowers  <john.stowers@gmail.com>

	* scripts/maintainer.py: Remove duplicate function
	* scripts/release.sh: Pass inferior arguments

2008-02-14  John Stowers  <john.stowers@gmail.com>

	* scripts/maintainer.py: Split versoin into majmin version for download url
	* scripts/release-template.txt: Fix download URL in release template

2008-02-14  John Stowers  <john.stowers@gmail.com>

	* NEWS:
	* scripts/maintainer.py:
	* scripts/release-template.txt:
	* scripts/release.sh: Add maintainer.py to help me do releases more
	frequently

2008-02-14  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/NetworkModule/XMLRPCUtils.py: Add allow_none to Server
	objects. This should fix the two way network sync bugs people were seeing

2008-02-14  John Stowers  <john.stowers@gmail.com>

	* test/python-tests/TestCoreSettings.py: Fix settings test
	s/gui_expanded_columns/gui_expanded_rows

2008-02-13  John Stowers  <john.stowers@gmail.com>

	* conduit/*:
	* data/*:
	* tools/*: Add more svn:ignores

2008-02-13  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py: don't import urllib2,
	we don't need it anymore

2008-02-13  John Stowers  <john.stowers@gmail.com>

	* conduit/Settings.py:
	* conduit/gtkui/Tree.py:
	* conduit/gtkui/UI.py: Save and restore expanded dataprovider treeview
	categories. Disabled by default until it gets more testing.

2008-02-12  John Stowers  <john.stowers@gmail.com>

	* conduit/Settings.py:
	* conduit/gtkui/UI.py: Make the rgba colormap a gconf option until I can
	work out why it corrupts screen rendering on my system
	
	* conduit/modules/FileModule/FileConfiguration.py: Finally save and restore
	the selected folder correctly. Fixes bug #510523

2008-02-12  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/UI.py: Disable rgba colormap, it breaks the gtkmozembed
	browser in weird ways
	
	* conduit/modules/FacebookModule/FacebookModule.py: Update to new 
	is_configured() API

2008-02-11  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/UI.py: Added RGBA support for conduit. Fixes #515648 (Jon Bolt)

2008-02-10  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py: Fix test. Import urllib2

	* test/python-tests/TestCoreSyncLogic.py:
	* test/python-tests/TestCoreSyncTestDataProviders.py:
	* test/python-tests/TestSyncImageSync.py:
	* test/python-tests/TestSyncTomboyFolder.py:
	* test/python-tests/TestSyncTomboyiPod.py: Fix conflict tests. 
	Call set_two_way_sync_policy() after prepare()

2008-02-10  John Stowers  <john.stowers@gmail.com>

	* data/conduit.glade: Add conflict_* and deleted_* radio items to a group
	so that only one can be active at a time.
	
	* conduit/Conduit.py:
	* conduit/Conflict.py:
	* conduit/gtkui/ConflictResolver.py:
	* conduit/modules/TestModule.py:
	* data/icons/hicolor/16x16/actions/Makefile.am: Add an icon for 
	conflict-skip and swap the function of conflict-ask. The states for conflict
	resolution (by the user) are now ask->skip->put/delete->skip

2008-02-10  John Stowers  <john.stowers@gmail.com>

	* conduit/Conduit.py:
	* conduit/gtkui/UI.py: Show the conflict resolution icons in the
	preferences dialog to help the user become familiar with them.

2008-02-10  John Stowers  <john.stowers@gmail.com>

	* conduit/gtkui/UI.py:
	* data/conduit.glade: Add a 'developer' submenu to the help menu if the 
	user is running a development version. This submenu contains items 
	which link to the newly improved developer documentation. The linked 
	pages are displayed in conduit's built in web browser.

2008-02-09  John Stowers  <john.stowers@gmail.com>

	* conduit/Conduit.py:
	* conduit/Settings.py:
	* conduit/SyncSet.py:
	* conduit/Synchronization.py:
	* conduit/gtkui/Canvas.py:
	* conduit/gtkui/UI.py:
	* conduit/hildonui/UI.py:
	* data/conduit.glade:
	* test/python-tests/common.py: Conflict settings are now per Conduit,
	with a configurable default in the preferences window. Fixes bug #510094

2008-02-09  John Stowers  <john.stowers@gmail.com>

	* conduit/hildonui/Canvas.py:
	* data/conduit.glade: Change Dataprovider to Data Provider in all UI
	strings. Patch from Ted Percival

2008-02-08  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/modules/GoogleModule/youtube-config.glade: Switch position
	of the ok and cancel button.

2008-02-08  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py: Youtube changed
	apparently changed for data format, use a new trick to get the flv
	files. Fixes #514589.

2008-02-08  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/modules/FlickrModule/flickrapi/__init__.py:
	* conduit/modules/FlickrModule/flickrapi/reportinghttp.py:
	* conduit/modules/FlickrModule/flickrapi/multi-username.patch: Remove
	the code that changes the configuration of our logger.  Fixes #515270.

2008-02-08  John Stowers  <john.stowers@gmail.com>

	* doc/ExampleModule.py: Make the example dataprovider twoway and 
	more exemplary and remove the live.gnome.org xmlrpc business because
	thats broken with the new moinmoin version anyway.

2008-02-07  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/data/conduit.glade: Make the Conflict	Preferences a bit 
	better.	Fixes bug #512540

2008-02-07  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py: Fix PicasaTwoWay
	set_configuration bug introduced in last commit

2008-02-07  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py:
	* test/python-tests/TestDataProviderGoogle.py: Cleanup GoogleModule.py to
	match our coding convention and share more code in the GoogleBase
	class. Fixes bug #514729

2008-02-06  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/DBus.py: fix dbus exposed IsConfigured method

2008-02-07  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py:
	* test/python-tests/TestDataProviderTomboy.py: Minor code cleanups
	
	* test/python-tests/TestDataProviderGoogle.py: Add test for the
	GoogleCalendar and Youtube dataproviders

2008-02-06  John Stowers  <john.stowers@gmail.com>

	* conduit/Web.py: Implement a better approach to lazy importing 
	gtkmozembed which fixes bug #512379.

2008-02-06  John Stowers  <john.stowers@gmail.com>

	* test/python-tests/common.py: Test is_configured() in all configure calls.

2008-02-06  John Stowers  <john.stowers@gmail.com>

	* conduit/dataproviders/Image.py:
	* conduit/modules/FlickrModule/FlickrModule.py:
	* conduit/modules/GoogleModule/GoogleModule.py:
	* conduit/modules/ShutterflyModule/ShutterflyModule.py:
	* conduit/modules/SmugMugModule/SmugMugModule.py: Add username property
	back to relevant modules. The last commit broke it.

2008-02-06  John Stowers  <john.stowers@gmail.com>

	* conduit/Synchronization.py:
	* conduit/dataproviders/DataProvider.py:
	* conduit/dataproviders/File.py:
	* conduit/dataproviders/Image.py:
	* conduit/modules/BackpackModule/BackpackModule.py:
	* conduit/modules/BansheeModule/BansheeModule.py:
	* conduit/modules/BoxDotNetModule/BoxDotNetModule.py:
	* conduit/modules/FileModule/FileModule.py:
	* conduit/modules/FlickrModule/FlickrModule.py:
	* conduit/modules/FspotModule/FspotModule.py:
	* conduit/modules/GmailModule/GmailModule.py:
	* conduit/modules/GoogleModule/GoogleModule.py:
	* conduit/modules/N800Module/N800Module.py:
	* conduit/modules/PicasaDesktopModule/PicasaDesktopModule.py:
	* conduit/modules/RhythmboxModule/RhythmboxModule.py:
	* conduit/modules/ShutterflyModule/ShutterflyModule.py:
	* conduit/modules/SmugMugModule/SmugMugModule.py:
	* conduit/modules/TestModule.py: Change is_configuration prototype
	to accept a isSource and a isTwoWay argument. This gives dataproviders
	enough information to make their configuration dependant on whether they
	are source/sink or one/two-way. Fixes bug #510091

2008-02-05  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GmailModule/GmailModule.py: Share some more code with
	the GmailEmailTwoWay dataprovider
	
	* test/python-tests/TestDataProviderGmail.py:
	* test/python-tests/common.py: Test GmailContactSource

2008-02-05  John Stowers  <john.stowers@gmail.com>

	* conduit/datatypes/Contact.py:
	* conduit/modules/GmailModule/GmailModule.py:
	* test/python-tests/TestCoreContact.py: Add a function to parse a vcf file
	into multiple Contact objects and use this to get the Gmail contacts 
	datasource to work and not be useless.

2008-02-05  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GmailModule/GmailModule.py:
	* conduit/modules/GmailModule/config.glade: First attempt at getting all 
	gmail contacts via the export to vcard URL. This should be sufficient, 
	and probbably the best way to get a oneway gmail contact dp going.

2008-02-04  John Stowers  <john.stowers@gmail.com>

	* conduit/Settings.py:
	* conduit/gtkui/Canvas.py: Specify the initial canvas size in gconf to make
	things easier to adjust on small screens (like the eeepc)

2008-01-28  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/modules/GoogleModule/youtube-config.glade:
	* conduit/modules/GoogleModule/Makefile.am:
	* conduit/modules/GoogleModule/GoogleModule.py: move youtube dataprovider
	to GoogleModule, and make it use gdata api, 
	fixes bug #510129 (Renato Araujo Oliveira Filho)

	* conduit/modules/Makefile.am: deleted and moved to GoogleModule
	* conduit/modules/YouTubeModule/*: deleted and moved to GoogleModule

2008-01-27  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/modules/FspotModule.py:
	* conduit/modules/FspotDbusModule.py: Move the dbus dataprovider in
	the FspotModule.py file, remove the old file.  No longer load the
	FSpotSource dataprovider, but always load the FSpotDBusTwoWay and
	error on refresh when the dbus interface is not there.  This more or
	less fixes bug #512146  (John Stowers)

2008-01-26  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/TomboyModule.py:
	* test/python-tests/TestDataProviderTomboy.py: Update to use the newer
	Tomboy S/GetNoteComplete API. This finally allows lossless sync of Tomboy
	notes including metadata such as tags. Fixes bug #510107

2008-01-24  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/modules/FspotModule/FspotDbusModule.py: Handle error when
	delete fails; and more important: the module is configured ok when no
	tag is selected.  When it's used as source it will sync the complete
	f-spot db, when it's used as sink no additional tags will be
	introduced

	* conduit/modules/GoogleModule/GoogleModule.py: Adds the photo tags
	when we're getting a file

2008-01-23  John Stowers  <john.stowers@gmail.com>

	* conduit/Main.py: Improve help message

	* conduit/modules/NetworkModule/Client.py:
	* conduit/modules/NetworkModule/Server.py:
	* conduit/modules/NetworkModule/XMLRPCUtils.py: Dont create a new Peerlister
	every time. Small improvements to hopefully improve cancellation.

	* tools/eog-plugin/conduit.py:
	* tools/eog-plugin/config.glade: Add Facebook and ShutterFly support. Clear
	the sidebar when sync finishes

2008-01-22  John Stowers  <john.stowers@gmail.com>

	* tools/eog-plugin/conduit.py: Improve eog plugin to show status while 
	synchronizing

2008-01-22  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GmailModule/GmailModule.py:
	* test/python-tests/TestDataProviderGmail.py: Fix GmailEmailTwoWay and
	add working test

2008-01-22  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GmailModule/GmailModule.py:
	* conduit/modules/GmailModule/config.glade: Fix the config window
	so that it saves configuration information and hides the password.
	Fixes bug #511017 (Julian Rötter)

2008-01-21  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GmailModule/GmailModule.py:
	* conduit/modules/GmailModule/Makefile.am:
	* conduit/modules/GmailModule/libgmail-0.1.6.2/CHANGELOG:
	* conduit/modules/GmailModule/libgmail-0.1.6.2/COPYING:
	* conduit/modules/GmailModule/libgmail-0.1.6.2/Makefile.am:
	* conduit/modules/GmailModule/libgmail-0.1.6.2/PKG-INFO:
	* conduit/modules/GmailModule/libgmail-0.1.6.2/README:
	* conduit/modules/GmailModule/libgmail-0.1.6.2/lgconstants.py:
	* conduit/modules/GmailModule/libgmail-0.1.6.2/libgmail.py:
	* conduit/modules/GmailModule/libgmail-0.1.6.2/setup.py:
	* conduit/modules/GmailModule/libgmail/CHANGELOG:
	* conduit/modules/GmailModule/libgmail/COPYING:
	* conduit/modules/GmailModule/libgmail/Makefile.am:
	* conduit/modules/GmailModule/libgmail/README:
	* conduit/modules/GmailModule/libgmail/gmail_transport.py:
	* conduit/modules/GmailModule/libgmail/lgconstants.py:
	* conduit/modules/GmailModule/libgmail/libgmail.py:
	* configure.ac:
	* scripts/update-3rdparty-libs.sh: Update libgmail to the CVS version

2008-01-20  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/iPodModule.py:
	* test/python-tests/TestDataProvideriPod.py:
	* test/python-tests/common.py:
	* test/python-tests/data/resources-ipod/iTunes/iTunesDB.ext: Fix ipod photos
	test (borrowed example test setup code from libgpod). Use the sample test
	functions for the ipod tests

2008-01-20  John Stowers  <john.stowers@gmail.com>

	* configure.ac: Pass make distcheck

2008-01-20  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/FileModule/FileConfiguration.py:
	* conduit/modules/FileModule/FileModule.py: Use set/get_current_folder_uri
	in the folderchooser. Fixes bug #510523

	* conduit/modules/FlickrModule/FlickrModule.py: Typo

	* conduit/modules/GoogleModule/libgdata/Makefile.am: Oops, rm directory

2008-01-20  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/GoogleModule/GoogleModule.py:
	* conduit/modules/GoogleModule/Makefile.am:
	* conduit/modules/GoogleModule/atom/Makefile.am:
	* conduit/modules/GoogleModule/gdata/Makefile.am:
	* conduit/modules/GoogleModule/gdata/calendar/Makefile.am:
	* conduit/modules/GoogleModule/gdata/exif/Makefile.am:
	* conduit/modules/GoogleModule/gdata/geo/Makefile.am:
	* conduit/modules/GoogleModule/gdata/media/Makefile.am:
	* conduit/modules/GoogleModule/gdata/photos/Makefile.am:
	* conduit/modules/GoogleModule/libgdata/atom/Makefile.am:
	* conduit/modules/GoogleModule/libgdata/atom/__init__.py:
	* conduit/modules/GoogleModule/libgdata/atom/service.py:
	* conduit/modules/GoogleModule/libgdata/gdata/Makefile.am:
	* conduit/modules/GoogleModule/libgdata/gdata/__init__.py:
	* conduit/modules/GoogleModule/libgdata/gdata/auth.py:
	* conduit/modules/GoogleModule/libgdata/gdata/calendar/Makefile.am:
	* conduit/modules/GoogleModule/libgdata/gdata/calendar/__init__.py:
	* conduit/modules/GoogleModule/libgdata/gdata/calendar/service.py:
	* conduit/modules/GoogleModule/libgdata/gdata/exif/Makefile.am:
	* conduit/modules/GoogleModule/libgdata/gdata/exif/__init__.py:
	* conduit/modules/GoogleModule/libgdata/gdata/geo/Makefile.am:
	* conduit/modules/GoogleModule/libgdata/gdata/geo/__init__.py:
	* conduit/modules/GoogleModule/libgdata/gdata/media/Makefile.am:
	* conduit/modules/GoogleModule/libgdata/gdata/media/__init__.py:
	* conduit/modules/GoogleModule/libgdata/gdata/photos/Makefile.am:
	* conduit/modules/GoogleModule/libgdata/gdata/photos/__init__.py:
	* conduit/modules/GoogleModule/libgdata/gdata/photos/service.py:
	* conduit/modules/GoogleModule/libgdata/gdata/service.py:
	* configure.ac: Move libgdata -> gdata to be consistent with other modules
	and because it seems to be the easiest way to accomodate the case where
	the user has gdata installed, but an older version without photo support

2008-01-20  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* configure.ac: include our gdata copy in the build
	* conduit/modules/GoogleModule/libgdata/*: Include our own copy of
	python-gdata. Currently at version 1.0.10; this will allow us to
	remove code when it's shipped on all new distro versions.

	* conduit/modules/Makefile.am: 
	* conduit/modules/PicasaModule/*: remove PicasaModule directory, it
	has moved to GoogleModule

	* conduit/modules/GoogleModule/GoogleModule.py: Move PicasaModule
	code, try to import our own gdata copy when the system one doesn't
	work, make PicasaTwoWay use the gdata bindings instead of our own
	limited custom ones. Fixes #510471
	
	* test/python-tests/TestDataProviderPicasa: change test to work with
	new gdata bindings

2008-01-19  John Stowers  <john.stowers@gmail.com>

	* test/python-tests/common.py:
	* test/python-tests/data/audio.list:
	* test/python-tests/data/file.list:
	* test/python-tests/data/image.list:
	* test/python-tests/data/simple-1.vcard:
	* test/python-tests/data/video.list: Add mechanism for specifying resources
	that live on a local machine, and can be used as part of the test process.
	This means that we can use local media, etc as resources for testing AV
	conversion, and not have to get files from the web
	
	* test/python-tests/TestCoreConvertAudioVideo.py: Test AV conversion of
	the local resources, as defined above

2008-01-19  John Stowers  <john.stowers@gmail.com>

	* conduit/datatypes/Video.py:
	* conduit/modules/AudioVideoConverterModule.py: Be more robust with
	audio/video mimetype dectection and conversion

2008-01-19  John Stowers  <john.stowers@gmail.com>

	* conduit/dataproviders/Image.py: Fix sync "crashing": NameError: 
	global name 'Rid' is not defined. Reported by maxxer

2008-01-18  John Stowers  <john.stowers@gmail.com>

	* conduit/Main.py:
	* conduit/Utils.py:
	* conduit/dataproviders/VolumeFactory.py:
	* conduit/modules/TomboyModule.py: Change Utils.dbus_service_available 
	so that the bus parameter is optional

	* scripts/continuous-tester.sh:
	* test/python-tests/TestDataProviderTomboy.py:
	* test/python-tests/TestSyncTomboyFolder.py:
	* test/python-tests/TestSyncTomboyiPod.py: Skip tomboy tests if tomboy
	is not running

	* test/python-tests/common.py: Run the sync tests by default

2008-01-18  John Carr  <john.carr@unrouted.co.uk>

	* conduit/modules/N800Module/N800Module.py: Update to detect N810

2008-01-18  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/FacebookModule/FacebookModule.py:
	* conduit/modules/FacebookModule/pyfacebook/__init__.py:
	* conduit/modules/FacebookModule/pyfacebook/no-print-at-import.patch:
	* scripts/update-3rdparty-libs.sh: Update to new pyfacebook

2008-01-18  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/FlickrModule/FlickrAPI/Makefile.am:
	* conduit/modules/FlickrModule/FlickrAPI/PKG-INFO:
	* conduit/modules/FlickrModule/FlickrAPI/flickrapi.py:
	* conduit/modules/FlickrModule/FlickrAPI/get-token-for-username.patch:
	* conduit/modules/FlickrModule/FlickrAPI/setup.py:
	* conduit/modules/FlickrModule/FlickrModule.py:
	* conduit/modules/FlickrModule/Makefile.am:
	* conduit/modules/FlickrModule/flickrapi/Makefile.am:
	* conduit/modules/FlickrModule/flickrapi/__init__.py:
	* conduit/modules/FlickrModule/flickrapi/multi-username.patch:
	* conduit/modules/FlickrModule/flickrapi/multipart.py:
	* conduit/modules/FlickrModule/flickrapi/reportinghttp.py:
	* conduit/modules/FlickrModule/flickrapi/tokencache.py:
	* conduit/modules/FlickrModule/flickrapi/xmlnode.py:
	* configure.ac:
	* scripts/update-3rdparty-libs.sh:
	* test/python-tests/TestDataProviderFlickr.py: Update to new flickrapi

2008-01-17  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/FspotModule/FspotModule.py:
	* conduit/modules/FspotModule/config.glade: Sort the tags by name and
	allow search as you type in the config window. Fixes bug #509021 (maxxer)

2008-01-17  John Stowers  <john.stowers@gmail.com>

	* conduit/TypeConverter.py: Always use the most specific converter if
	available
	
	* conduit/modules/TomboyModule.py:
	* test/python-tests/TestDataProviderTomboy.py:
	* test/python-tests/TestSyncTomboyFolder.py: Use a TomboyNote datatype
	and implement converters. Update the tests to use this API

2008-01-17  John Stowers  <john.stowers@gmail.com>

	* conduit/__init__.py:
	* configure.ac: Post-release version bump

2008-01-17  John Carr <john.carr@unrouted.co.uk>

	* conduit/Conduit.py:
	* conduit/SyncSet.py:
	* conduit/gtkui/Canvas.py:
	* data/conduit.glade: Add preference to conduit right click menu
	to enable 'Always up to Date' style sync

2008-01-17  John Stowers  <john.stowers@gmail.com>

	* conduit/TypeConverter.py:
	* test/python-tests/TestCoreConvertSubtypesArgs.py: Conversions are now
	performed recursively. Fixes Tomboy <--> Folder sync bug

2008-01-17  John Stowers  <john.stowers@gmail.com>

	* conduit/datatypes/Email.py:
	* conduit/modules/GmailModule/GmailModule.py: Fix to retain subject in put()

	* conduit/modules/BackpackModule/BackpackModule.py: Implement get() and 
	get_all(). Not two-way yet, but needed to implement these for tests.
	
	* conduit/modules/ShutterflyModule/ShutterflyModule.py: fix get()
	
	* conduit/modules/BoxDotNetModule/BoxDotNetModule.py:
	* test/python-tests/TestDataProviderBackpack.py:
	* test/python-tests/TestDataProviderBoxDotNet.py:
	* test/python-tests/TestDataProviderGmail.py: Fix tests

	* test/python-tests/common.py: Generalise do_dataprovider_test to support
	and DataType

2008-01-17  John Stowers  <john.stowers@gmail.com>

	* conduit/dataproviders/File.py:
	* conduit/modules/BoxDotNetModule/BoxDotNetModule.py:
	* conduit/modules/GConfModule/GConfModule.py:
	* conduit/modules/TomboyModule.py: Fix bug in twoway GConf to folder sync
	where Rids() get confused if data is converted. The general solution to
	this is to always return a new datatype.get_rid() from put() if you are
	a twoway sync. I repeat, if you are a DataProviderTwoWay, and unless you 
	are smart or have special requirements (such as conserving bandwidth) the
	final line in put() should look like return self.get(LUID).get_rid()
	
	* test/python-tests/common.py: split out dp_image_dataprovider_tests into
	do_dataprovider_tests and put get() put() delete() tests in there
	
	* test/python-tests/TestDataProviderBoxDotNet.py: Use do_dataprovider_tests

2008-01-17  John Stowers  <john.stowers@gmail.com>

	* scripts/continuous-tester.sh:
	* test/python-tests/TestDataProviderFacebook.py:
	* test/python-tests/TestDataProviderFlickr.py: Run the non-interactive
	dataprovider tests by default

2008-01-17  John Stowers  <john.stowers@gmail.com>

	* test/python-tests/TestDataProviderFlickr.py:
	* test/python-tests/TestDataProviderPicasa.py:
	* test/python-tests/TestDataProviderShutterfly.py:
	* test/python-tests/TestDataProviderSmugMug.py:
	* test/python-tests/common.py: Move functions to ImageDataProvider specific 
	functions into SimpleTest.do_image_dataprovider_tests(). Connect this up to
	test the image DPs.

2008-01-16  John Stowers  <john.stowers@gmail.com>

	* conduit/modules/BackpackModule/BackpackModule.py: Fix refresh() behaviour
	so that we dont recreate the backpack API everytime, but we do check for
	new notes
	
	* test/python-tests/TestDataProviderBackpack.py: Fix test and add test
	for deleting notes

2008-01-16  Jeremy Slater <jasl8r@gmail.com>

	* conduit/modules/ShutterflyModule/ShutterflyModule.py:
	* conduit/modules/ShutterflyModule/shutterfly/shutterfly.py:
	Fixes:
	Simultaneous logins now work
	The correct LUID is returned after uploading a photo
	Uploading no longer hangs, worked around a bug in urllib2

	Additions:
	delete() support
	get() support (but Shutterfly is only a data sink for now)
	
2008-01-16  John Stowers  <john.stowers@gmail.com>

	* conduit/__init__.py:
	* configure.ac: Post-release version bump

2008-01-16  John Stowers  <john.stowers@gmail.com>

	* Makefile.am: Fix Makefile.am typo (so I can call make release)

2008-01-16  John Carr <john.carr@unrouted.co.uk>

	* conduit/datatypes/DataType.py: Use rid instead of hash when testing
	if two datatypes are equal
	
	* conduit/modules/TomboyModule.py: Add a string.partition alternative for
	those people using Python 2.4

2008-01-16  John Stowers  <john.stowers@gmail.com>

	* conduit/datatypes/File.py: When setting filename, ensure it is a string
	because gnomevfs does not like unicode
	
	* conduit/modules/FeedModule/FeedModule.py:
	* conduit/modules/FeedModule/config.glade: Add support for video enclosures
    and retain the title and extension when downloading
    
	* test/python-tests/TestDataProviderFeed.py: Add test for RSSSource

2008-01-15  John Stowers  <john.stowers@gmail.com>

	* conduit/DeltaProvider.py:
	* conduit/datatypes/__init__.py:
	* test/python-tests/TestCoreSyncWithConversion.py: Small fixes

	* conduit/datatypes/File.py: Split the force_new_{mtime,filename} out so
	they can be called directly
	
	* conduit/modules/GConfModule/GConfModule.py: Dont trigger an autosync if
	we were responsible for the change

	* scripts/continuous-tester.sh:
	* scripts/upload-doc.sh: Use getopt. dbus-launch optional. Misc fixes

	* conduit/modules/TestModule.py: Add TestFolderTwoWay 

	* test/python-tests/TestCoreSyncTestDataProviders.py: Test TestFolderTwoWay

	* test/python-tests/TestSyncGConfFolder.py: Add test. Illustrates bug where
	a mapping gets reversed on the 3rd modification.

2008-01-15  John Stowers  <john.stowers@gmail.com>

	* scripts/run-tests.sh:
	* scripts/upload-doc.sh: Delete extraneous files on server during rsync

2008-01-15  John Stowers  <john.stowers@gmail.com>

	* conduit/MappingDB.py: Add debugging prints
	
	* conduit/Web.py:
	* conduit/modules/FacebookModule/FacebookModule.py: When using the system
	web browser (i.e. when under test) add a configurable sleep	delay
	and sleep before the fist try_login call (because if you dont, facebook
	invalidates your login credentials)
	
	* conduit/modules/GConfModule/GConfModule.py: Add ability to specify the
	gconf paths to watch. No gui for this yet

	* conduit/modules/NetworkModule/Peers.py:
	* conduit/modules/NetworkModule/Server.py: Error checking when starting
	the peer announcer to prevent hang on shutdown
	
	* scripts/continuous-tester.sh: Update before running tests
	
	* test/python-tests/TestCoreSyncLogic.py:
	* test/python-tests/TestDataProviderFacebook.py: Add photo upload test

	* test/python-tests/common.py: Explicitly set IS_DEVELOPMENT_VERSION

2008-01-15  John Stowers  <john.stowers@gmail.com>

	* scripts/continuous-tester.sh: Run scripts with full path

2008-01-15  John Stowers  <john.stowers@gmail.com>

	* scripts/continuous-tester.sh: Add date stamp, don't sleep when not 
	looping and quiet output of doc scripts
	
	* scripts/make-doc.sh: Add --quiet command line argument
	
	* scripts/run-tests.sh:
	* scripts/upload-doc.sh: Quiet rsync output

2008-01-15  John Stowers  <john.stowers@gmail.com>

	* scripts/continuous-tester.sh: Enalbe code coverage and remember to svn up

	* scripts/run-tests.sh: Add timestamp to test results

	* tools/conduit-client: Fix typo in help

2008-01-15  John Stowers  <john.stowers@gmail.com>

	* Makefile.am:
	* conduit/modules/NetworkModule/Makefile.am:
	* data/Makefile.am: Misc autotools fixes

	* conduit/Settings.py: make save settings and gtkmozembed browser default
	
	* scripts/continuous-tester.sh: New script that continually runs the 
	conduit test suite when it detects that SVN has changed

	* test/python-tests/TestCoreSyncWithConversion.py: Test mapping retention
	through the conversion barrier

2008-01-14  John Stowers  <john.stowers@gmail.com>

	* conduit/ModuleWrapper.py: Refactor to use keyword args in the constructor

	* conduit/DBus.py:
	* conduit/Module.py:
	* conduit/SyncSet.py:
	* conduit/dataproviders/DataProvider.py:
	* conduit/gtkui/Tree.py:
	* conduit/hildonui/UI.py:
	* test/python-tests/TestSyncTomboyiPod.py:
	* test/python-tests/common.py: Update to new ModuleWrapper API
	
	* conduit/gtkui/UI.py: Display files that failed to load in the prefs window
	
	* scripts/build-svn-packages.sh: Fix repo url

2008-01-14  John Stowers <john.stowers@gmail.com>

	* conduit/modules/TestModule.py: Add TestFileTwoWay and change the
	default behaviour for emitting change_detected to require configuring the
	dataprovider
	
	* test/python-tests/TestCoreSyncTestDataProviders.py: Test TestFileTwoWay

2008-01-14  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/DataProvider.py: Add get_status()

	* conduit/modules/NetworkModule/Server.py: Add is_configured() to return
	False so that a sync cannot be initiated from the Server end
	
	* conduit/modules/NetworkModule/XMLRPCUtils.py: Marshall some more functions
	over xmlrpc so the GUI displays sensible messages on both ends
	
	* test/python-tests/data/1.png: Add test image for photo tests

2008-01-14  John Stowers <john.stowers@gmail.com>

	* conduit/modules/NetworkModule/Server.py: Return the server from 
	share_dataprovider so the tests can use it

	* test/python-tests/common.py: Add get_dataprovider_factory function and
	update networked_dataprovider to the new API
	
	* test/python-tests/TestDataProviderNetwork.py: Add simple test

2008-01-14  John Carr <john.carr@unrouted.co.uk>

	* test/python-tests/AutoGenerate.py:
	* test/python-tests/common.py:
	* test/python-tests/AutoSoup.py:
	Fixes to test suite so that it reflects recent changes in Conduit SVN

2008-01-14  John Stowers <john.stowers@gmail.com>

	* conduit/Vfs.py:
	* conduit/datatypes/File.py:
	* test/python-tests/TestCoreVfs.py: Move make_directory_and_parents
	to Vfs and add uri_join
	
	* conduit/modules/N800Module/N800Module.py: Use the new uri functions

2008-01-13  Jonny Lamb  <jonnylamb@jonnylamb.com>

	* scripts/build-stationary-packages.sh: Updated Conduit SVN address
	and enabled handling paths with spaces in them.

	* scripts/build-svn-packages.sh: Updated Conduit SVN address, enabled
	handling paths with spaces in them, and updated jsogo's packaging repo
	address to his git one.

2008-01-13  John Stowers <john.stowers@gmail.com>

	* test/python-tests/TestCoreDatatypes.py:
	* conduit/datatypes/DataType.py: Pickle improvemets

	* conduit/modules/PhotoConverterModule.py:
	* conduit/datatypes/Audio.py:
	* conduit/datatypes/Photo.py:
	* conduit/datatypes/Video.py: Rename functions to avoid collision with
	File.get_size()

	* conduit/TypeConverter.py: Print traceback when conversion fails
	
	* conduit/modules/FspotModule/FspotDbusModule.py: Oh DBus why wont you 
	marshall dbus.String to str

2008-01-13  John Stowers <john.stowers@gmail.com>

	* conduit/modules/NetworkModule/Client.py:
	* conduit/modules/NetworkModule/Server.py: Be more robust when dataproviders
	become available or unavailable

2008-01-13  John Stowers <john.stowers@gmail.com>

	* conduit/modules/NetworkModule/Client.py: Remove race condition modifying
	a dict while iterating.
	
	* conduit/modules/NetworkModule/Peers.py: Move avahi imports to top and
	add missing functions.

	* conduit/modules/TestModule.py: Inherit from _TestBase so we have a 
	persistant ID
	
	* test/python-tests/TestCoreSyncTestDataProviders.py: Test not configured
	sinks
	
	* conduit/datatypes/File.py: Ensure we re-read the fileInfo

2008-01-13  John Stowers <john.stowers@gmail.com>

	* conduit/Utils.py: Ensure random string has min length of 1

	* conduit/modules/N800Module/N800Module.py: Ensure consistent appearance
	when an encoding is not specified

	* conduit/modules/TestModule.py: Consolidate a lot of TestModule code into
	base classes

	* test/python-tests/TestCoreDatatypes.py:
	* test/python-tests/TestCoreSyncTestDataProviders.py:
	* test/python-tests/common.py: Test more of TestModule

2008-01-12  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/NetworkModule/Peers.py:
	No python-avahi dep (should minimize this)

2008-01-12  John Carr <john.carr@unrouted.co.uk>

	* test/python-tests/AutoSoup.py:
	Fix broken auto tests

2008-01-12  John Stowers <john.stowers@gmail.com>

	* conduit/Conduit.py: Dont crash trying to connect to signals on a 
	missing dataprovider
	
	* conduit/datatypes/File.py: Serialize more file properties

	* test/python-tests/common.py:	
	* conduit/modules/NetworkModule/Client.py:
	* conduit/modules/NetworkModule/XMLRPCUtils.py: Rename the client and
	server dataproviders to	be more clear
	
	* conduit/modules/TestModule.py: Update test dateproviders to return Rid
	
	* conduit/dataproviders/AutoSync.py:
	* test/python-tests/TestCoreUp2Date.py: Remove broken AutoSync test

2008-01-12  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/__init__.py:
	Fix typo (thanks gdiepen)

2008-01-12  John Stowers <john.stowers@gmail.com>

	* conduit/modules/NetworkModule/Client.py:
	* conduit/modules/NetworkModule/Server.py:
	* conduit/modules/NetworkModule/XMLRPCUtils.py: Move the xmlrpc server and
	client into the same file so they can be kept in sync easier

2008-01-12  John Stowers <john.stowers@gmail.com>

	* conduit/Utils.py: Add a decorator to log function calls

	* conduit/modules/NetworkModule/Client.py:
	* conduit/modules/NetworkModule/Peers.py:
	* conduit/modules/NetworkModule/Server.py:
	* conduit/modules/NetworkModule/XMLRPCUtils.py: Fix exception --> fault
	marshalling bugs, and improve xmlrpc logging

2008-01-12  John Stowers <john.stowers@gmail.com>

	* conduit/modules/NetworkModule/Client.py:
	* conduit/modules/NetworkModule/Server.py:
	* conduit/modules/NetworkModule/XMLRPCUtils.py:
	* conduit/modules/NetworkModule/__init__.py: Marshall exceptions to 
	xmlrpc faults. Fix a number of bugs relating to pickling of objects
	into xmlrpclib.Binary types
	
	* scripts/run-tests.sh: Add ability to list the available tests

2008-01-12  John Stowers <john.stowers@gmail.com>

	* conduit/Exceptions.py: Call Exception constructor instead of using __str__
	to return messages
	
	* conduit/Synchronization.py:
	* conduit/TypeConverter.py: Upadate to new Exceptions API

	* test/python-tests/TestCoreConduit.py:
	* test/python-tests/TestCoreConvertSubtypesArgs.py: Test Exceptions

2008-01-11  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/iPodModule.py:
	Oops, variable collision! Fix to have base_uri (which is our target folder)
	and uri (which is the current uri that we are checking for / writing to)

2008-01-11  John Stowers <john.stowers@gmail.com>

	* scripts/ListDBus.py:
	* scripts/run-tests.sh:
	* test/python-tests/TestDataProviderBoxDotNet.py:
	* test/python-tests/TestDataProviderFlickr.py:
	* test/python-tests/common.py: Add non-interactive test switch

	* conduit/datatypes/File.py:
	* conduit/modules/FspotModule/FspotDbusModule.py: Fix Fspot bug with misuse
	of force_new_filename

2008-01-11  John Stowers <john.stowers@gmail.com>

	* test/python-tests/TestCoreConvert.py:
	* test/python-tests/TestDataProvideriPod.py:
	* test/python-tests/common.py: Test iPod contacts and calendar

2008-01-10  John Carr <john.carr@unrouted.co.uk>

	*  conduit/modules/FspotModule/config.glade:
	Search in combobox (patch from maxxer)

2008-01-10  John Carr <john.carr@unrouted.co.uk>

	*  conduit/modules/FspotModule/FspotModule.py:
	Sort tags properly. Fixes #508645 (maxxer)

2008-01-11  John Stowers <john.stowers@gmail.com>

	* test/python-tests/TestDataProvideriPod.py:
	* test/python-tests/common.py: Fix behaviour of new_file and friends to
	make the fake ipod tests pass
	
	* conduit/modules/N800Module/N800Module.py:
	* conduit/modules/N800Module/__init__.py:
	* test/python-tests/TestDataProviderN800.py: Simplify and test the 
	N800Module

2008-01-10  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/Makefile.am:
	* po/POTFILES.in:
	Don't ship TestModule or the OpenSync stuff (just yet).

2008-01-10  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/NetworkModule/Client.py:
	* conduit/modules/NetworkModule/Peers.py:
	Avahi might not be running - don't let that kill us. Also fix typo in logging.

2008-01-10  John Carr <john.carr@unrouted.co.uk>

	* conduit/Makefile.am:
	We have a ChangeLog file that we maintain in SVN - don't overwrite it
	in release process

	* conduit/dataproviders/AutoSync.py:
	Remove the old AutoSync - fancy it is, stable it cannot be in a reasonable
	time. For now we'll just request an ordinary sync. Leaving the added/modified/deleted
	framework in place for future work, and for the proposed conduitlib.

2008-01-10  John Stowers <john.stowers@gmail.com>

	* conduit/Utils.py:
	* conduit/Vfs.py:
	* conduit/dataproviders/File.py:
	* conduit/gtkui/ConflictResolver.py:
	* conduit/modules/FileModule/FileConfiguration.py:
	* test/python-tests/TestCoreFile.py:
	* test/python-tests/TestCoreUtil.py:
	* test/python-tests/TestCoreVfs.py: Move all gnomevfs functions from 
	Utils.py to Vfs.py and add utility function to check a uri exists
	
	* conduit/modules/PicasaDesktopModule/Makefile.am:
	* conduit/modules/PicasaDesktopModule/config.glade:
	* conduit/modules/PicasaDesktopModule/PicasaDesktopModule.py: Add reverse 
	engineered support for Picasa v2.7

2008-01-10  Aidan Skinner <aidan@skinner.me.uk>

	* data/icons/hicolor/16x16/hildon/Makefile.am: Add missing file

2008-01-10  John Stowers <john.stowers@gmail.com>

	* conduit/Database.py:
	* conduit/Utils.py:
	* conduit/modules/FileModule/FileConfiguration.py:
	* conduit/modules/FileModule/FileModule.py:
	* test/python-tests/TestSyncFolderFolder.py:
	* test/python-tests/common.py: Move more Vfs functions into Utils and share
	some more code among the File dataproviders and config dialogs
	
	* conduit/dataproviders/File.py:
	* test/python-tests/TestSyncFileFolder.py: Remove files from filesource that
	have been deleted and add test.
	
	* conduit/gtkui/ConflictResolver.py:
	* data/conduit.glade: Ensure when collapsed, the conflict expander moves
	out of the way

2008-01-10  John Stowers <john.stowers@gmail.com>

	* conduit/Utils.py:
	* conduit/Vfs.py: Add functions to strip illegal filesystem characters.
	Borrowed from soundjuicer #321436

2007-12-22  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/gtkui/Canvas.py:
	* conduit/hildonui/Canvas.py:
	* conduit/hildonui/UI.py: Add sync all button and some general cleanup

	* configure.ac:
	* data/icons/hicolor/Makefile.am:
	* data/icons/hicolor/16x16/Makefile.am:
	* data/icons/hicolor/16x16/hildon/conduit-twoway.png:
	* data/icons/hicolor/16x16/hildon/conduit-source.png:
	* data/icons/hicolor/16x16/hildon/conduit-sink.png:
	* data/icons/hicolor/26x26/apps/conduit.png:
	* data/icons/hicolor/26x26/apps/Makefile.am:
	* data/icons/hicolor/26x26/Makefile.am: Add some hildon specific icons so that they are
	shown properly in the DataProvider selection pane

2008-01-06  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/PicasaModule/PicasaAPI/picasaweb.py:
	Closes #507465 - this string shouldn't be translated

2008-01-03  Jonny Lamb  <jonnylamb@jonnylamb.com>

	* conduit/Makefile.am: Add reference to hildonui directory.

	* conduit/hildonui/Makefile.am: Create missing Makefile.am file.

	* conduit/modules/Makefile.am: Updated references to SUBDIRS and
	modules in the current directory.
	
	* conduit/modules/FspotModule/Makefile.am:
	* conduit/modules/GConfModule/Makefile.am:
	* conduit/modules/N800Module/Makefile.am:
	* conduit/modules/NetworkModule/Makefile.am:
	* conduit/modules/RhythmboxModule/Makefile.am:
	* conduit/modules/ShutterflyModule/Makefile.am:
	* conduit/modules/ShutterflyModule/shutterfly/Makefile.am: Create
	missing Makefile.am files.
	
	* configure.ac: Update now that there are more Makefiles to create.

2007-12-26  John Carr <john.carr@unrouted.co.uk>

	* data/conduit.glade:
	* conduit/modules/FspotModule/FspotDbusModule.py:
	* conduit/modules/SynceModule.py: Fix some strings
	as per #505259

2007-12-23  John Carr <john.carr@unrouted.co.uk>

	* conduit/datatypes/Makefile.am:
	* conduit/dataproviders/Makefile.am:
	* conduit/Makefile.am: Fix some missing autofoo that was stopping
	clean installs running correctly

2007-12-22  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/hildonui/UI.py:
	* conduit/hildonui/Canvas.py: add context menus to conduit and 
	dataprovider items, re-order the methods to make code clearer, 
	drop unnecessary methods

	* conduit/modules/FileModule/FileConfiguration.py: keep working even
	when icons don't load

2007-12-08  John Stowers <john.stowers@gmail.com>

	* conduit/Synchronization.py:
	* conduit/TypeConverter.py: Improve error reporting in failed conversions

	* conduit/modules/ConverterModule.py:
	* test/python-tests/TestCoreConvert.py:
	* test/python-tests/data/setting.txt: Add conversions for file->setting
	and text->setting

2007-12-08  John Stowers <john.stowers@gmail.com>

	* conduit/Synchronization.py: Remove unused exception catching and
	print more useful error messages on error
	
	* conduit/modules/ConverterModule.py: Dont raise exceptions if not 
	necessary. Just return None instead

2007-12-07  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/Contact.py:
	* conduit/datatypes/Email.py:
	* conduit/datatypes/Event.py:
	* conduit/datatypes/Text.py:
	* test/python-tests/TestCoreDatatypes.py: Improve and test that datatypes
	pickle and unpickle correctly

	* test/python-tests/common.py: Add a global except hook that stops tests
	from hanging and ensures they exit

2007-12-07  John Stowers <john.stowers@gmail.com>

	* conduit/modules/TestModule.py:
	* conduit/datatypes/Text.py: The text parameter of the Text
	datatype is compulsory

	* conduit/dataproviders/Opensync.py:
	* conduit/datatypes/Contact.py:
	* conduit/datatypes/Setting.py:
	* conduit/modules/ConverterModule.py:
	* conduit/modules/EvolutionModule/EvolutionModule.py:
	* conduit/modules/iPodModule.py:
	* test/python-tests/AutoSoup.py:
	* test/python-tests/TestCoreContact.py:
	* test/python-tests/common.py: Remove the URI parameter from
	the Contact datatype

2007-12-07  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/Opensync.py:
	* conduit/datatypes/Event.py:
	* conduit/modules/ConverterModule.py:
	* conduit/modules/EvolutionModule/EvolutionModule.py:
	* conduit/modules/GoogleModule/GoogleModule.py:
	* conduit/modules/iPodModule.py:
	* test/python-tests/TestCoreEvent.py: Remove the URI parameter from
	the Event datatype

2007-12-07  John Stowers <john.stowers@gmail.com>

	reviewed by: <delete if not using a buddy>

	* conduit/datatypes/Text.py: Remove the use of md5. Datatype instances
	should not call set_UID on themselves
	
	* conduit/datatypes/__init__.py:
	* conduit/modules/ConverterModule.py:
	* test/python-tests/TestCoreConvert.py:
	* test/python-tests/TestCoreDatatypes.py:
	* test/python-tests/common.py: Test constructing and inspecting the
	core datatypes

2007-12-07  John Stowers <john.stowers@gmail.com>

	* conduit/modules/Makefile.am:
	* conduit/modules/SettingsModule/GConfUtils.py:
	* conduit/modules/SettingsModule/Makefile.am:
	* conduit/modules/SettingsModule/SettingsModule.py:
	* conduit/modules/SettingsModule/config.glade:
	* conduit/modules/SettingsModule/layout_loader.py:
	* conduit/modules/SettingsModule/layout_save.py:
	* conduit/modules/SettingsModule/settings/Makefile.am:
	* conduit/modules/SettingsModule/settings/gnome-panel.cfg:
	* conduit/modules/SettingsModule/settings/nautilus.cfg:
	* conduit/modules/SettingsModule/settings/ssh.cfg: Remove obsolete
	settings module

2007-12-07  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/Setting.py:
	* conduit/modules/ConverterModule.py:
	* conduit/modules/GConfModule/GConfModule.py:
	* test/python-tests/TestCoreConvert.py:
	* test/python-tests/common.py: Test the settings datatype

2007-12-07  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/Setting.py:
	* conduit/modules/ConverterModule.py:
	* conduit/modules/GConfModule/GConfModule.py: Make gconf-setting into
	a basic key:value setting type

2007-12-07  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/Email.py:
	* conduit/datatypes/Note.py:
	* conduit/modules/ConverterModule.py:
	* conduit/modules/GmailModule/GmailModule.py:
	* test/python-tests/TestCoreConvert.py:
	* test/python-tests/TestCoreEmail.py:
	* test/python-tests/common.py:
	* test/python-tests/data/1.email: Improve email datatype

2007-12-07  John Stowers <john.stowers@gmail.com>

	* scripts/coverage.py:
	* scripts/run-tests.sh: Improve coverage.py to save coverage files
	with the full path not just filename

2007-12-06  Claude Paroz  <claude@2xlibre.net>

	* data/conduit.glade: Stock labels should not have the translatable
	property set.

2007-12-05 20:31  John Stowers <john.stowers@gmail.com>

	* conduit/Database.py: Fix attribution for threadsafe genericDB
	  wrapper

2007-12-05 20:12  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/File.py: Dont recreate a RID in file/folder
	  sync. We can re-use the supplied file one but with a new UID

2007-12-05 20:11  John Stowers <john.stowers@gmail.com>

	* branches/pystore, conduit/Database.py, conduit/gtkui/Database.py,
	  conduit/gtkui/UI.py,
	  conduit/modules/FileModule/FileConfiguration.py,
	  test/python-tests/TestCoreMappingDB.py, tools/test-db-wrapper,
	  tools/test-db-wrapper/main.glade, tools/test-db-wrapper/main.py:
	  Clean up the DB abstraction layer with attribution to original
	  author. Move obsolete pystore branch and move example into tools
	  dir

2007-12-05 19:02  John Stowers <john.stowers@gmail.com>

	* conduit/MappingDB.py: Remove crusty :memory: files

2007-12-05 10:12  John Stowers <john.stowers@gmail.com>

	* scripts/run-tests.sh: Fix a bug which prevented from running
	  combinations of test classes

2007-12-05 10:06  John Stowers <john.stowers@gmail.com>

	* conduit/Database.py, conduit/MappingDB.py,
	  conduit/dataproviders/DataProvider.py, conduit/gtkui/UI.py,
	  scripts/update-3rdparty-libs.sh,
	  test/python-tests/TestSyncFolderFolder.py: Many small changes,
	  tidy and fixes

2007-12-05 10:03  John Stowers <john.stowers@gmail.com>

	* test/python-tests/TestSyncFolderFolder.py: Expand the folder sync
	  to test one way sync, and the mappingDB

2007-12-05 04:24  John Stowers <john.stowers@gmail.com>

	* conduit/Utils.py, conduit/modules/TestModule.py,
	  test/python-tests/TestCoreUtil.py: Test some the utility
	  functions and improve the image resize algorithm in Utils

2007-12-04 21:30  John Stowers <john.stowers@gmail.com>

	* conduit/modules/BackpackModule/BackpackModule.py,
	  conduit/modules/BackpackModule/Makefile.am,
	  conduit/modules/BackpackModule/backpack,
	  conduit/modules/BackpackModule/backpack-1.1,
	  conduit/modules/BackpackModule/backpack/COPYING,
	  conduit/modules/BackpackModule/backpack/Makefile.am,
	  conduit/modules/BackpackModule/backpack/backpack.py,
	  conduit/modules/BackpackModule/backpack/bptest.py,
	  conduit/modules/BackpackModule/backpack/cgi,
	  conduit/modules/BackpackModule/backpack/cgi/reminder.py,
	  conduit/modules/BackpackModule/backpack/cgi/todo.py,
	  conduit/modules/BackpackModule/backpack/data,
	  conduit/modules/BackpackModule/backpack/data/email.xml,
	  conduit/modules/BackpackModule/backpack/data/emaillist.xml,
	  conduit/modules/BackpackModule/backpack/data/error404.xml,
	  conduit/modules/BackpackModule/backpack/data/export.xml,
	  conduit/modules/BackpackModule/backpack/data/list.xml,
	  conduit/modules/BackpackModule/backpack/data/listitem.xml,
	  conduit/modules/BackpackModule/backpack/data/notelist.xml,
	  conduit/modules/BackpackModule/backpack/data/page.xml,
	  conduit/modules/BackpackModule/backpack/data/pages.xml,
	  conduit/modules/BackpackModule/backpack/data/pagesfortag.xml,
	  conduit/modules/BackpackModule/backpack/data/reminders.xml,
	  conduit/modules/BackpackModule/backpack/data/search.xml,
	  conduit/modules/BackpackModule/backpack/wapsupport.py,
	  configure.ac, scripts/run-tests.sh,
	  scripts/update-3rdparty-libs.sh: Update to new backpack API

2007-12-04 20:10  John Stowers <john.stowers@gmail.com>

	* scripts/run-tests.sh, test/python-tests/TestBackpack.py,
	  test/python-tests/TestBoxDotNet.py,
	  test/python-tests/TestConduit.py,
	  test/python-tests/TestContact.py,
	  test/python-tests/TestConvert.py,
	  test/python-tests/TestConvertSubtypesArgs.py,
	  test/python-tests/TestCoreConduit.py,
	  test/python-tests/TestCoreContact.py,
	  test/python-tests/TestCoreConvert.py,
	  test/python-tests/TestCoreConvertSubtypesArgs.py,
	  test/python-tests/TestCoreDBus.py,
	  test/python-tests/TestCoreDate.py,
	  test/python-tests/TestCoreEvent.py,
	  test/python-tests/TestCoreFile.py,
	  test/python-tests/TestCoreFile2.py,
	  test/python-tests/TestCoreMappingDB.py,
	  test/python-tests/TestCoreSettings.py,
	  test/python-tests/TestCoreSyncLogic.py,
	  test/python-tests/TestCoreSyncTestDataProviders.py,
	  test/python-tests/TestCoreTempFile.py,
	  test/python-tests/TestCoreUp2Date.py,
	  test/python-tests/TestDBus.py,
	  test/python-tests/TestDataProviderBackpack.py,
	  test/python-tests/TestDataProviderBoxDotNet.py,
	  test/python-tests/TestDataProviderFlickr.py,
	  test/python-tests/TestDataProviderGmail.py,
	  test/python-tests/TestDataProviderPicasa.py,
	  test/python-tests/TestDataProviderShutterfly.py,
	  test/python-tests/TestDataProviderSmugMug.py,
	  test/python-tests/TestDataProviderTomboy.py,
	  test/python-tests/TestDataProvideriPod.py,
	  test/python-tests/TestDate.py, test/python-tests/TestEvent.py,
	  test/python-tests/TestFile.py, test/python-tests/TestFile2.py,
	  test/python-tests/TestFlickr.py, test/python-tests/TestGmail.py,
	  test/python-tests/TestMappingDB.py,
	  test/python-tests/TestPicasa.py,
	  test/python-tests/TestSettings.py,
	  test/python-tests/TestShutterfly.py,
	  test/python-tests/TestSmugMug.py,
	  test/python-tests/TestSyncLogic.py,
	  test/python-tests/TestSyncTestDPs.py,
	  test/python-tests/TestTempFile.py,
	  test/python-tests/TestTomboy.py,
	  test/python-tests/TestUp2Date.py, test/python-tests/TestiPod.py:
	  Seperate all the tests into four categories, Core*, Sync*,
	  DataProvider* and Auto*. If no other argument is specified then
	  run the Core* tests automatically

2007-12-04 11:37  John Stowers <john.stowers@gmail.com>

	* AUTHORS: Update AUTHORS so that svn2cl works again

2007-12-04 11:37  John Stowers <john.stowers@gmail.com>

	* conduit/gtkui/UI.py: Update AUTHORS so that svn2cl works again

2007-12-04 11:22  John Stowers <john.stowers@gmail.com>

	* conduit/Synchronization.py,
	  conduit/dataproviders/DataProvider.py,
	  conduit/dataproviders/File.py, conduit/dataproviders/Opensync.py,
	  conduit/modules/BansheeModule/BansheeModule.py,
	  conduit/modules/EvolutionModule/EvolutionModule.py,
	  conduit/modules/FeedModule/FeedModule.py,
	  conduit/modules/FspotModule/FspotDbusModule.py,
	  conduit/modules/FspotModule/FspotModule.py,
	  conduit/modules/GmailModule/GmailModule.py,
	  conduit/modules/GoogleModule/GoogleModule.py,
	  conduit/modules/NetworkModule/Client.py,
	  conduit/modules/NetworkModule/Server.py,
	  conduit/modules/SettingsModule/SettingsModule.py,
	  conduit/modules/TestModule.py, conduit/modules/TomboyModule.py,
	  conduit/modules/YouTubeModule/YouTubeModule.py,
	  conduit/modules/iPodModule.py,
	  test/python-tests/TestSyncLogic.py,
	  test/python-tests/TestUp2Date.py: Add aborted, error and conflict
	  as parameters to dataprovider.finish()

2007-12-04 11:10  John Stowers <john.stowers@gmail.com>

	* test/python-tests/TestUp2Date.py: Fix typo in AutoSync test
	  import

2007-12-04 10:43  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/AutoSync.py,
	  test/python-tests/TestUp2Date.py: Fix autosync testing without
	  breaking MRO

2007-12-04 10:30  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/AutoSync.py,
	  test/python-tests/TestUp2Date.py: Disable AutoSync. With AutoSync
	  enabled TestSyncFolderFolder fails

2007-12-04 09:50  John Stowers <john.stowers@gmail.com>

	* scripts/run-tests.sh, test/python-tests/TestFile.py: Store and
	  use some files on GNOME servers for the conduit TestFile unit
	  test. This means Jc2k should now be able to run this test

2007-12-04 05:26  John Stowers <john.stowers@gmail.com>

	* conduit/Conduit.py, conduit/Synchronization.py: Be smarter about
	  autosync. Dont start one if a sync is in progress because it
	  causes everything to hang

2007-12-04 03:58  John Stowers <john.stowers@gmail.com>

	* conduit/Utils.py, conduit/modules/FileModule/FileModule.py,
	  test/python-tests/TestFile.py: Remove no longer needed functions
	  in conduit.Utils

2007-12-04 03:35  John Stowers <john.stowers@gmail.com>

	* conduit/Utils.py, conduit/dataproviders/File.py,
	  conduit/modules/FileModule/FileConfiguration.py,
	  conduit/modules/FileModule/FileModule.py,
	  test/python-tests/TestFile.py: Tidy conduit.Utils to explicitly
	  separate the uri manipulation functions from the rest

2007-12-04 03:09  John Stowers <john.stowers@gmail.com>

	* conduit/modules/NetworkModule/Server.py: Small fix to stop
	  network modules hanging shutdown

2007-12-03 20:39  John Stowers <john.stowers@gmail.com>

	* conduit/gtkui/UI.py: Clear the model in the prefs window when
	  clearing the mapping DB

2007-12-03 02:40  John Stowers <john.stowers@gmail.com>

	* conduit/Settings.py, conduit/Synchronization.py, conduit/Web.py:
	  Fix a stupid bug causing threads to hang and autosync to
	  generally fail because of local name colisions by calling
	  variables conduit

2007-12-03 02:37  John Stowers <john.stowers@gmail.com>

	* conduit/modules/FacebookModule/FacebookModule.py,
	  conduit/modules/FacebookModule/pyfacebook/__init__.py,
	  scripts/update-3rdparty-libs.sh: Upgrade to the newer facebook
	  api and fix bug where successive logins failed if the first login
	  attempt was cancelled

2007-12-02 18:50  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/gtkui/Canvas.py: Add the popup menus again, they got lost

2007-12-02 11:56  John Stowers <john.stowers@gmail.com>

	* conduit/modules/NetworkModule/Server.py: Simpler cancellable
	  XMLRPCServer implementation

2007-11-30 21:07  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/Opensync.py,
	  conduit/modules/OSyncEvoModule.py,
	  conduit/modules/OpensyncModule, conduit/modules/SynceModule.py:
	  Make opensync plugin use more consistent with 'native' plugins

2007-11-29 10:41  John Stowers <john.stowers@gmail.com>

	* conduit/hildonui/Canvas.py: Commit thomasvm work on improved
	  hildon UI

2007-11-29 10:40  John Stowers <john.stowers@gmail.com>

	* conduit/hildonui/UI.py: Commit thomasvm work on improved hildon
	  UI

2007-11-29 10:39  John Stowers <john.stowers@gmail.com>

	* conduit/Utils.py, conduit/dataproviders/File.py,
	  conduit/datatypes/File.py,
	  conduit/modules/FeedModule/FeedModule.py,
	  conduit/modules/YouTubeModule/YouTubeModule.py: Improve import
	  behaviour of gnomevfs on maemo. Patch by thomasvm

2007-11-29 10:36  John Stowers <john.stowers@gmail.com>

	* conduit/Exceptions.py,
	  conduit/modules/FspotModule/FspotModule.py: Improve FSpot
	  behaviour when no PHOTO_DB is found. Patch by thomasvm

2007-11-29 10:32  John Stowers <john.stowers@gmail.com>

	* conduit/Settings.py, conduit/modules/GConfModule/GConfModule.py,
	  conduit/modules/SettingsModule/GConfUtils.py,
	  conduit/modules/SettingsModule/SettingsModule.py: Protect gconf
	  imports so they work on maemo. Patch by thomasvm

2007-11-29 10:28  John Stowers <john.stowers@gmail.com>

	* conduit/Vfs.py, conduit/dataproviders/VolumeFactory.py,
	  conduit/modules/FileModule/FileModule.py: Abstract the volume
	  monitoring functions and use this abstraction where necessary.
	  Will make porting to maemo easier and remove dependance on
	  gnomevfs. Patch by thomasvm

2007-11-29 10:24  John Stowers <john.stowers@gmail.com>

	* conduit/SyncSet.py: Add some utility functions to SyncSet. Needed
	  by hildonui. Patch by thomasvm

2007-11-29 09:56  John Stowers <john.stowers@gmail.com>

	* conduit/gtkui/Canvas.py: Apply canvas related parts of thomasvm
	  n800 patch

2007-11-29 09:48  John Stowers <john.stowers@gmail.com>

	* conduit/gtkui/Canvas.py, data/conduit.glade: Remove the
	  CANVAS_INITIAL_WIDTH hardcoding, remove the horizontal
	  scrollbars, and improve the drawing of the conduits on the canvas

2007-11-29 09:32  John Stowers <john.stowers@gmail.com>

	* data/conduit.glade: Considerably improve the initial sizing and
	  expansion of the conduit main window

2007-11-29 00:43  John Stowers <john.stowers@gmail.com>

	* MAINTAINERS: Add johncarr and thomasvm to MAINTAINERS

2007-11-29 00:30  John Stowers <john.stowers@gmail.com>

	* MAINTAINERS: Test commit. Add myself to maintainers

2007-11-21 21:10  John Stowers <john.stowers@gmail.com>

	* conduit/modules/TomboyModule.py: Tomboy typo conversion was
	  backwards

2007-11-21 20:59  John Stowers <john.stowers@gmail.com>

	* conduit/modules/ConverterModule.py,
	  conduit/modules/GConfModule/GConfModule.py,
	  conduit/modules/iPodModule.py: Small improvements to gconf sync

2007-11-21 15:17  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/AutoSync.py: Ooops. Don't do that anymore

2007-11-21 11:37  John Carr <john.carr@unrouted.co.uk>

	* conduit/Synchronization.py, conduit/dataproviders/AutoSync.py:
	  Decorate get_changes and finish so that autosync takes over after
	  first sync

2007-11-21 09:46  John Carr <john.carr@unrouted.co.uk>

	* conduit/Synchronization.py,
	  conduit/dataproviders/DataProvider.py: Changes to get_changes to
	  make autosync decoration easier...

2007-11-21 09:12  John Stowers <john.stowers@gmail.com>

	* conduit/DeltaProvider.py, conduit/modules/iPodModule.py: Make
	  ipod photos work to some extent, at least now that i have an ipod

2007-11-20 22:08  John Carr <john.carr@unrouted.co.uk>

	* conduit/Conduit.py: Rough and ready patch to sync as soon as new
	  data is available

2007-11-20 20:42  John Stowers <john.stowers@gmail.com>

	* test/python-tests/TestConvert.py,
	  test/python-tests/TestTomboy.py, test/python-tests/TestiPod.py,
	  test/python-tests/common.py: Update tomboy and ipod tests, move
	  some new data functions into common.py

2007-11-20 20:41  John Stowers <john.stowers@gmail.com>

	* conduit/modules/iPodModule.py: Use conduit builting functions a
	  bit smarter, comment out ipod photos as there is no real chance
	  it will be working before next release

2007-11-20 12:04  John Stowers <john.stowers@gmail.com>

	* test/python-tests/TestiPod.py: update test to new note api

2007-11-20 12:04  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/Note.py, conduit/modules/TomboyModule.py,
	  conduit/modules/iPodModule.py: Move tomboy to use its own note
	  type and the new conversion infrastructure. Update ipod to pickle
	  raw notes. Its just easier

2007-11-19 04:20  John Stowers <john.stowers@gmail.com>

	* conduit/modules/AudioVideoConverterModule.py,
	  test/python-tests/TestConvertAudioVideo.py: Test the AV converter

2007-11-19 04:19  John Stowers <john.stowers@gmail.com>

	* test/python-tests/TestConvertSubtypesArgs.py: Improve conversion
	  tests and coverage of typeconverter

2007-11-19 04:18  John Stowers <john.stowers@gmail.com>

	* conduit/TypeConverter.py, conduit/gtkui/Canvas.py: Allow multiple
	  conversions. Data may be converted through a number of types if
	  necessary to pass it from A to B

2007-11-18 21:56  John Stowers <john.stowers@gmail.com>

	* conduit/gtkui/ConflictResolver.py, conduit/gtkui/Tree.py,
	  conduit/gtkui/UI.py, conduit/hildonui/UI.py,
	  conduit/modules/BackpackModule/backpack-1.1/backpack.py,
	  conduit/modules/BackpackModule/config.glade,
	  conduit/modules/BansheeModule/BansheeModule.py,
	  conduit/modules/BansheeModule/config.glade,
	  conduit/modules/BoxDotNetModule/BoxDotNetModule.py,
	  conduit/modules/BoxDotNetModule/config.glade,
	  conduit/modules/EvolutionModule/EvolutionModule.py,
	  conduit/modules/EvolutionModule/config.glade,
	  conduit/modules/FacebookModule/FacebookModule.py,
	  conduit/modules/FeedModule/config.glade,
	  conduit/modules/FileModule/FileConfiguration.py,
	  conduit/modules/FlickrModule/FlickrModule.py,
	  conduit/modules/FlickrModule/config.glade,
	  conduit/modules/FspotModule/FspotDbusModule.py,
	  conduit/modules/FspotModule/FspotModule.py,
	  conduit/modules/GConfModule/GConfModule.py,
	  conduit/modules/GmailModule/GmailModule.py,
	  conduit/modules/GmailModule/config.glade,
	  conduit/modules/GoogleModule/GoogleModule.py,
	  conduit/modules/N800Module/N800Module.py,
	  conduit/modules/NetworkModule/Server.py,
	  conduit/modules/OpensyncModule/EvolutionAdaptor.py,
	  conduit/modules/OpensyncModule/SynceAdaptor.py,
	  conduit/modules/PicasaModule/PicasaAPI/picasaweb.py,
	  conduit/modules/PicasaModule/PicasaModule.py,
	  conduit/modules/RhythmboxModule/RhythmboxModule.py,
	  conduit/modules/SettingsModule/GConfUtils.py,
	  conduit/modules/SettingsModule/SettingsModule.py,
	  conduit/modules/SettingsModule/layout_loader.py,
	  conduit/modules/SettingsModule/layout_save.py,
	  conduit/modules/ShutterflyModule/ShutterflyModule.py,
	  conduit/modules/ShutterflyModule/shutterfly/shutterfly.py,
	  conduit/modules/SmugMugModule/SmugMugModule.py,
	  data/conduit.glade, po/POTFILES.in, po/POTFILES.skip,
	  po/conduit.pot, po/fr.po: Many many many i8n improvements. Patch
	  from Milo Casagrande

2007-11-18 20:14  John Stowers <john.stowers@gmail.com>

	* test/python-tests/TestConvert.py: Update note to new API

2007-11-16 21:04  John Carr <john.carr@unrouted.co.uk>

	* conduit/gtkui/Database.py: Python 2.4 fixery

2007-11-16 00:29  John Stowers <john.stowers@gmail.com>

	* conduit/modules/FspotModule/FspotDbusModule.py,
	  conduit/modules/NetworkModule/NetworkModule.py,
	  conduit/modules/TomboyModule.py: enable some of the factories now
	  that Jc2k fixed bug in #1079

2007-11-16 00:26  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/Contact.py, conduit/datatypes/Email.py,
	  conduit/datatypes/Event.py, conduit/datatypes/File.py,
	  conduit/datatypes/Text.py: add get_hash methods to some more
	  datatypes. Event and contact ones could be better

2007-11-15 23:47  John Stowers <john.stowers@gmail.com>

	* scripts/run-tests.sh, test/python-tests/TestSyncLogic.py: add
	  extensive logic tests. We now test every LOC in the core sync
	  logic

2007-11-15 23:46  John Stowers <john.stowers@gmail.com>

	* conduit/Synchronization.py: copy the lists in get_changes because
	  we were munging them in place. Is this a bug?

2007-11-15 22:27  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/HalFactory.py,
	  conduit/modules/OpensyncModule/OpensyncModule.py,
	  conduit/modules/OpensyncModule/SynceAdaptor.py: Another HAL
	  variation, where volumes aren't involved. Support plug and play
	  of Windows CE devices (RNDIS mode).

2007-11-15 22:26  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/VolumeFactory.py: Autotest fixery

2007-11-15 11:13  John Stowers <john.stowers@gmail.com>

	* conduit/Database.py, conduit/MappingDB.py,
	  conduit/Synchronization.py,
	  conduit/modules/FspotModule/FspotDbusModule.py,
	  conduit/modules/TestModule.py,
	  test/python-tests/TestSyncLogic.py, test/python-tests/common.py:
	  Fix reporting of sync and conflict errors

2007-11-15 06:20  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/SimpleFactory.py,
	  conduit/dataproviders/VolumeFactory.py: Whoops..

2007-11-15 03:29  John Stowers <john.stowers@gmail.com>

	* conduit/Makefile.am, conduit/dataproviders/Makefile.am,
	  conduit/datatypes/Makefile.am: Autotools updates

2007-11-14 22:40  John Carr <john.carr@unrouted.co.uk>

	* conduit/Hal.py, conduit/Module.py,
	  conduit/dataproviders/DataProvider.py,
	  conduit/modules/N800Module/N800Module.py,
	  conduit/modules/OpensyncModule/SynceAdaptor.py,
	  conduit/modules/TestModule.py, conduit/modules/iPodModule.py:
	  Make HAL stuff easier to extend

2007-11-14 11:54  John Stowers <john.stowers@gmail.com>

	* conduit/Conflict.py, conduit/Synchronization.py,
	  conduit/gtkui/ConflictResolver.py, conduit/modules/TestModule.py:
	  Fix so that conflicts can be resolved again

2007-11-14 11:28  John Stowers <john.stowers@gmail.com>

	* conduit/Synchronization.py, conduit/gtkui/ConflictResolver.py,
	  conduit/modules/TomboyModule.py: Fix a bug where types were not
	  converted in a 2way sync. Change the prototype of put_data to
	  accept a rid, and use the rid pre-converstion (because rids
	  may/should change when a type is converted, e.g. its hash
	  changes)

2007-11-14 09:45  John Stowers <john.stowers@gmail.com>

	* conduit/MappingDB.py, conduit/modules/TomboyModule.py: Fixed the
	  backwards mapping bug. Gotcha ya bugger

2007-11-14 05:08  John Stowers <john.stowers@gmail.com>

	* conduit/Synchronization.py, conduit/dataproviders/File.py,
	  conduit/datatypes/DataType.py, conduit/datatypes/File.py,
	  conduit/datatypes/Note.py, conduit/modules/ConverterModule.py,
	  conduit/modules/NetworkModule/NetworkModule.py,
	  conduit/modules/TomboyModule.py: Refactor and simplify the tomboy
	  dp to some extent. Illustrates some brokenness in twoway sync
	  logic

2007-11-12 23:12  John Stowers <john.stowers@gmail.com>

	* test/python-tests/TestConvert.py: Retaining mtime in conversion
	  is no longer mandatory

2007-11-12 11:30  John Stowers <john.stowers@gmail.com>

	* conduit/Conduit.py, conduit/SyncSet.py,
	  conduit/Synchronization.py, test/python-tests/TestConduit.py,
	  test/python-tests/common.py: Test the behaviour of the Conduit
	  class

2007-11-12 11:29  John Stowers <john.stowers@gmail.com>

	* conduit/DBus.py, test/python-tests/TestDBus.py: Expose the save
	  and lod xml methods of syncset over DBus and test them

2007-11-12 11:28  John Stowers <john.stowers@gmail.com>

	* scripts/coverage.py: Upgrade to new version of coverage.py

2007-11-12 03:12  John Stowers <john.stowers@gmail.com>

	* conduit/DBus.py, test/python-tests/TestFile.py,
	  test/python-tests/TestSettings.py: Test fixes so can be run from
	  virtual console

2007-11-12 02:43  John Stowers <john.stowers@gmail.com>

	* conduit/Settings.py, test/python-tests/TestSettings.py: Test the
	  settings code

2007-11-12 01:55  John Stowers <john.stowers@gmail.com>

	* conduit/Database.py, conduit/dataproviders/DataProvider.py,
	  test/python-tests/TestMappingDB.py: Make most of the tests pass
	  again

2007-11-11 23:00  John Stowers <john.stowers@gmail.com>

	* conduit/Logging.py, conduit/modules/NetworkModule/Peers.py,
	  conduit/modules/NetworkModule/Server.py,
	  test/python-tests/common.py: Fix logging in tests and hangs due
	  to the network server

2007-11-10 15:16  John Stowers <john.stowers@gmail.com>

	* conduit/Conduit.py, conduit/DBus.py, conduit/Database.py,
	  conduit/DeltaProvider.py, conduit/Hal.py, conduit/Logging.py,
	  conduit/Main.py, conduit/MappingDB.py, conduit/Module.py,
	  conduit/ModuleWrapper.py, conduit/Settings.py,
	  conduit/SyncSet.py, conduit/Synchronization.py,
	  conduit/TypeConverter.py, conduit/Utils.py, conduit/Web.py,
	  conduit/__init__.py, conduit/conduit.real,
	  conduit/dataproviders/AutoSync.py,
	  conduit/dataproviders/DataProvider.py,
	  conduit/dataproviders/File.py, conduit/dataproviders/Image.py,
	  conduit/datatypes/Contact.py, conduit/datatypes/DataType.py,
	  conduit/datatypes/Email.py, conduit/datatypes/Event.py,
	  conduit/datatypes/File.py, conduit/datatypes/Note.py,
	  conduit/datatypes/Text.py, conduit/datatypes/__init__.py,
	  conduit/gtkui/Canvas.py, conduit/gtkui/ConflictResolver.py,
	  conduit/gtkui/Database.py, conduit/gtkui/SimpleConfigurator.py,
	  conduit/gtkui/Tree.py, conduit/gtkui/UI.py,
	  conduit/hildonui/List.py, conduit/hildonui/UI.py,
	  conduit/modules/AudioVideoConverterModule.py,
	  conduit/modules/BackpackModule/BackpackModule.py,
	  conduit/modules/BansheeModule/BansheeModule.py,
	  conduit/modules/BoxDotNetModule/BoxDotNetModule.py,
	  conduit/modules/ConverterModule.py,
	  conduit/modules/EvolutionModule/EvolutionModule.py,
	  conduit/modules/FacebookModule/FacebookModule.py,
	  conduit/modules/FeedModule/FeedModule.py,
	  conduit/modules/FileModule/FileConfiguration.py,
	  conduit/modules/FileModule/FileModule.py,
	  conduit/modules/FlickrModule/FlickrModule.py,
	  conduit/modules/FspotModule/FspotDbusModule.py,
	  conduit/modules/FspotModule/FspotModule.py,
	  conduit/modules/GConfModule/GConfModule.py,
	  conduit/modules/GmailModule/GmailModule.py,
	  conduit/modules/GoogleModule/GoogleModule.py,
	  conduit/modules/N800Module/N800Module.py,
	  conduit/modules/NetworkModule/Client.py,
	  conduit/modules/NetworkModule/Peers.py,
	  conduit/modules/NetworkModule/Server.py,
	  conduit/modules/OpensyncModule/OpensyncBase.py,
	  conduit/modules/OpensyncModule/OpensyncModule.py,
	  conduit/modules/PhotoConverterModule.py,
	  conduit/modules/PicasaModule/PicasaModule.py,
	  conduit/modules/RhythmboxModule/RhythmboxModule.py,
	  conduit/modules/SettingsModule/SettingsModule.py,
	  conduit/modules/ShutterflyModule/ShutterflyModule.py,
	  conduit/modules/SmugMugModule/SmugMugModule.py,
	  conduit/modules/TestModule.py, conduit/modules/TomboyModule.py,
	  conduit/modules/YouTubeModule/YouTubeModule.py,
	  conduit/modules/iPodModule.py: Depreciate conduit.log* in favour
	  of python loggging module. Apologies for pain and breakage. I
	  would not do this if I had not been drinking. That is all. John

2007-11-10 11:06  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/iPodModule.py: Fix iPod HAL stuff

2007-11-09 21:26  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/OpensyncModule/OpensyncBase.py,
	  test/python-tests/AutoSoup.py: Fixes based on tests against
	  opensync head

2007-11-09 18:45  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/OpensyncModule/EvolutionAdaptor.py,
	  test/python-tests/AutoSoup.py: OpenSync borging. _Evolution mixin
	  to share some of config stuff. Add test stubs, commented out due
	  to osync vformat bug.

2007-11-09 14:42  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/OpensyncModule/EvolutionAdaptor.py,
	  conduit/modules/OpensyncModule/OpensyncBase.py: OpenSync
	  fixery... Can sync to their evo plugin :)

2007-11-09 13:48  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/gtkui/Canvas.py, conduit/hildonui,
	  conduit/hildonui/List.py, conduit/hildonui/UI.py,
	  conduit/hildonui/__init__.py: Add start of a hildon ui, more to
	  come...

2007-11-09 08:42  John Carr <john.carr@unrouted.co.uk>

	* conduit/MappingDB.py: Fix stooopid bug. Lost so many hours to
	  this bugger.

2007-11-08 15:45  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/OpensyncModule/EvolutionAdaptor.py,
	  conduit/modules/OpensyncModule/OpensyncBase.py,
	  conduit/modules/OpensyncModule/OpensyncModule.py: Show the (test)
	  opensync evo plugins

2007-11-08 12:53  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/OpensyncModule/EvolutionAdaptor.py,
	  conduit/modules/OpensyncModule/OpensyncBase.py,
	  conduit/modules/OpensyncModule/OpensyncModule.py: OS support foo

2007-11-08 10:31  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/OpensyncModule.py: Whoops, you shouldnt be there

2007-11-08 08:54  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/OpensyncModule,
	  conduit/modules/OpensyncModule/EvolutionAdaptor.py,
	  conduit/modules/OpensyncModule/OpensyncBase.py,
	  conduit/modules/OpensyncModule/OpensyncModule.py,
	  conduit/modules/OpensyncModule/SynceAdaptor.py,
	  conduit/modules/OpensyncModule/__init__.py: Because of how
	  OpenSync works, i can't autoprobe.. yet. For now, I have to wrap
	  everything manually...

2007-11-08 02:51  John Stowers <john.stowers@gmail.com>

	* conduit/modules/NetworkModule/Client.py,
	  conduit/modules/NetworkModule/NetworkModule.py,
	  conduit/modules/NetworkModule/Peers.py,
	  conduit/modules/NetworkModule/Server.py: Tidy up NM imports

2007-11-08 02:37  John Stowers <john.stowers@gmail.com>

	* conduit/modules/NetworkModule/Client.py,
	  conduit/modules/NetworkModule/Server.py: Give some classes
	  sensible names and add some docs

2007-11-08 02:15  John Stowers <john.stowers@gmail.com>

	* conduit/modules/NetworkModule/Client.py,
	  conduit/modules/NetworkModule/Server.py: Support removing dps
	  from NM

2007-11-08 01:37  John Stowers <john.stowers@gmail.com>

	* conduit/modules/NetworkModule/Client.py,
	  conduit/modules/NetworkModule/NetworkModule.py,
	  conduit/modules/NetworkModule/Server.py: Stop NM hanging on exit

2007-11-07 23:00  John Stowers <john.stowers@gmail.com>

	* conduit/modules/NetworkModule/Client.py,
	  conduit/modules/NetworkModule/NetworkModule.py,
	  conduit/modules/NetworkModule/Server.py,
	  conduit/modules/TestModule.py: More xmlrpc improvements. The
	  local DP UID is the remote host and the remote UID combined

2007-11-07 22:42  John Stowers <john.stowers@gmail.com>

	* conduit/Conduit.py, conduit/modules/NetworkModule/Client.py,
	  conduit/modules/NetworkModule/NetworkModule.py,
	  conduit/modules/NetworkModule/Peers.py,
	  conduit/modules/NetworkModule/Server.py: More work on xmlrpc foo

2007-11-07 15:41  John Carr <john.carr@unrouted.co.uk>

	* test/python-tests/TestSmugMug.py: The new way..

2007-11-07 14:38  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/modules/ShutterflyModule/shutterfly/shutterfly.py,
	  test/python-tests/TestShutterfly.py: * Add shutterfly test
	  * use photo id as dict key in getPhotos of shutterfly api

2007-11-07 09:14  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/iPodModule.py: Fix iPod stuff

2007-11-07 03:08  John Stowers <john.stowers@gmail.com>

	* conduit/Database.py, scripts/run-tests.sh,
	  test/python-tests/TestSyncLogic.py: Start passing tests..... WOW

2007-11-07 02:11  John Stowers <john.stowers@gmail.com>

	* conduit/modules/TestModule.py: Add option to change mtime and
	  hash in test source

2007-11-07 01:35  John Stowers <john.stowers@gmail.com>

	* conduit/modules/TestModule.py: TestModule typo

2007-11-07 01:13  John Stowers <john.stowers@gmail.com>

	* conduit/DeltaProvider.py, conduit/datatypes/__init__.py:
	  TestSource -> TestSink kind of works....

2007-11-07 00:52  John Stowers <john.stowers@gmail.com>

	* conduit/Database.py, conduit/MappingDB.py,
	  conduit/modules/FileModule/FileConfiguration.py: Another way to
	  encode field types. Necessary becaues the order is important

2007-11-07 00:00  John Stowers <john.stowers@gmail.com>

	* conduit/DeltaProvider.py, conduit/Synchronization.py,
	  conduit/datatypes/__init__.py, conduit/modules/TestModule.py: Be
	  paranoid about datatypes going into the DB as they are reflected
	  in conparisons

2007-11-06 23:59  John Stowers <john.stowers@gmail.com>

	* conduit/Database.py, conduit/MappingDB.py: Store mtimes as
	  datetime.datetime in DB.

2007-11-06 10:56  John Stowers <john.stowers@gmail.com>

	* conduit/MappingDB.py, conduit/datatypes/__init__.py,
	  conduit/modules/TestModule.py: Need to be a lot more careful
	  about types

2007-11-06 04:49  John Stowers <john.stowers@gmail.com>

	* conduit/DB.py: remove DB.py

2007-11-06 04:45  John Stowers <john.stowers@gmail.com>

	* conduit/Conduit.py, conduit/DB.py, conduit/Database.py,
	  conduit/DeltaProvider.py, conduit/Main.py, conduit/MappingDB.py,
	  conduit/Synchronization.py, conduit/gtkui/ConflictResolver.py,
	  conduit/gtkui/Database.py, conduit/gtkui/UI.py,
	  scripts/run-tests.sh, test/python-tests/TestMappingDB.py,
	  test/python-tests/TestSyncImageSync.py: Move to a sqlite based
	  mappingDB and merge with the rid work. Lots is still broken,
	  especially the deltaprovider

2007-11-05 22:51  John Stowers <john.stowers@gmail.com>

	* conduit/DeltaProvider.py, conduit/datatypes/DataType.py,
	  conduit/datatypes/__init__.py, conduit/modules/TomboyModule.py:
	  Docs for the tomboy dp re: rids. Add __eq__ and __hash__ for rid

2007-11-05 21:06  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/iPodModule.py: Remove test that got away

2007-11-05 21:00  John Carr <john.carr@unrouted.co.uk>

	* conduit/Synchronization.py, conduit/dataproviders/File.py,
	  conduit/dataproviders/Image.py, conduit/datatypes/__init__.py,
	  conduit/modules/BackpackModule/BackpackModule.py,
	  conduit/modules/BoxDotNetModule/BoxDotNetModule.py,
	  conduit/modules/EvolutionModule/EvolutionModule.py,
	  conduit/modules/FacebookModule/FacebookModule.py,
	  conduit/modules/FlickrModule/FlickrModule.py,
	  conduit/modules/FspotModule/FspotDbusModule.py,
	  conduit/modules/GConfModule/GConfModule.py,
	  conduit/modules/GmailModule/GmailModule.py,
	  conduit/modules/GoogleModule/GoogleModule.py,
	  conduit/modules/NetworkModule/Client.py,
	  conduit/modules/NetworkModule/Server.py,
	  conduit/modules/OpensyncModule.py,
	  conduit/modules/PicasaModule/PicasaModule.py,
	  conduit/modules/ShutterflyModule/ShutterflyModule.py,
	  conduit/modules/SmugMugModule/SmugMugModule.py,
	  conduit/modules/TestModule.py, conduit/modules/TomboyModule.py,
	  conduit/modules/iPodModule.py: RID phase 1. Trunk is already
	  broken, lets cause some real headaches.

2007-11-05 20:56  John Carr <john.carr@unrouted.co.uk>

	* conduit/datatypes/File.py: delete() case for file sync

2007-11-05 05:06  John Stowers <john.stowers@gmail.com>

	* conduit/Main.py, conduit/Module.py,
	  conduit/modules/NetworkModule/Client.py,
	  conduit/modules/NetworkModule/NetworkModule.py,
	  conduit/modules/NetworkModule/Peers.py,
	  conduit/modules/NetworkModule/Server.py,
	  test/python-tests/common.py: Remove twisted dependecy and start a
	  new threaded xmlrpc server on a different port for each shared
	  dataprovider

2007-11-05 00:19  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/File.py, conduit/modules/ConverterModule.py:
	  Strip the file extension when converting files to notes

2007-11-04 01:11  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/Audio.py, conduit/datatypes/Video.py,
	  conduit/modules/AudioVideoConverterModule.py,
	  conduit/modules/PhotoConverterModule.py: Use the filename
	  extesion functions in the AV converter

2007-11-04 00:18  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/File.py, conduit/datatypes/Photo.py,
	  conduit/modules/N800Module/N800Module.py,
	  conduit/modules/PhotoConverterModule.py,
	  conduit/modules/TestModule.py: Refactor the photo converter to be
	  more sensible. I hope

2007-11-03 15:50  John Carr <john.carr@unrouted.co.uk>

	* tools/example-dbus-gui-remote.py: Fix typo; Thanks sandy

2007-11-02 21:56  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/File.py: Add a function to change a files
	  extension

2007-11-02 12:25  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/dataproviders/Image.py, conduit/datatypes/DataType.py,
	  conduit/modules/FacebookModule/FacebookModule.py,
	  conduit/modules/FlickrModule/FlickrModule.py,
	  conduit/modules/FspotModule/FspotDbusModule.py,
	  conduit/modules/PhotoConverterModule.py,
	  conduit/modules/PicasaModule/PicasaAPI/picasaweb.py,
	  conduit/modules/PicasaModule/PicasaModule.py,
	  conduit/modules/ShutterflyModule/ShutterflyModule.py,
	  conduit/modules/SmugMugModule/SmugMugModule.py: Add tag support
	  to image providers that support it.

2007-11-02 06:10  John Stowers <john.stowers@gmail.com>

	* conduit/modules/BoxDotNetModule/BoxDotNetAPI/boxdotnet.py,
	  conduit/modules/BoxDotNetModule/BoxDotNetModule.py,
	  conduit/modules/ConverterModule.py: Explicitly set the filename
	  in box.net uploads

2007-11-01 20:04  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/Makefile.am: This file is gone... Again,
	  thanks lool

2007-11-01 19:59  John Carr <john.carr@unrouted.co.uk>

	* configure.ac: Include Banshee support in configure.ac - from lool

2007-11-01 11:45  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/File.py, conduit/datatypes/File.py,
	  conduit/modules/AudioVideoConverterModule.py,
	  conduit/modules/PhotoConverterModule.py: Store the relative path
	  in the file, and add a function to retain information in the
	  File->Photo/Music/Video step

2007-11-01 11:45  John Stowers <john.stowers@gmail.com>

	* conduit/modules/N800Module/N800Module.py: Scale photos to n800
	  screen size

2007-11-01 10:50  John Stowers <john.stowers@gmail.com>

	* conduit/modules/BansheeModule/BansheeModule.py,
	  conduit/modules/FlickrModule/FlickrModule.py,
	  conduit/modules/FspotModule/FspotDbusModule.py,
	  conduit/modules/FspotModule/FspotModule.py,
	  conduit/modules/PicasaModule/PicasaModule.py,
	  conduit/modules/SmugMugModule/SmugMugModule.py: Convert
	  dataproviders to use the non file types they say they do

2007-11-01 09:39  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/BansheeModule,
	  conduit/modules/BansheeModule/BansheeModule.py,
	  conduit/modules/BansheeModule/Makefile.am,
	  conduit/modules/BansheeModule/config.glade,
	  conduit/modules/Makefile.am: Banshee Source from Don Smith.
	  Thanks\!

2007-11-01 06:07  John Carr <john.carr@unrouted.co.uk>

	* conduit/Synchronization.py, conduit/datatypes/Contact.py,
	  conduit/datatypes/DataType.py, conduit/datatypes/Event.py,
	  conduit/datatypes/Note.py, conduit/datatypes/__init__.py: Unbreak
	  some stuff xD - sorry peeps

2007-11-01 06:00  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/SynceModule.py: Do this through opensync wrapper.
	  So much more sane that way

2007-10-31 10:57  John Stowers <john.stowers@gmail.com>

	* conduit/Conduit.py, conduit/SyncSet.py: Call unitialize() of all
	  dps when removed. Stops hang on exit due to threadsafeDB

2007-10-31 08:57  John Stowers <john.stowers@gmail.com>

	* conduit/modules/ShutterflyModule,
	  conduit/modules/ShutterflyModule/ShutterflyModule.py,
	  conduit/modules/ShutterflyModule/shutterfly,
	  conduit/modules/ShutterflyModule/shutterfly.glade,
	  conduit/modules/ShutterflyModule/shutterfly/shutterfly.py,
	  data/shutterfly.png: Add Shutterfly image dataprovider.
	  Contributed by Jeremy Slater <jasl8r@gmail.com>

2007-10-31 04:17  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/File.py,
	  conduit/modules/FspotModule/FspotModule.py,
	  conduit/modules/N800Module/N800Module.py,
	  conduit/modules/TestModule.py,
	  conduit/modules/YouTubeModule/YouTubeModule.py: Fix youtube video
	  source to support transcoding better

2007-10-30 22:09  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/File.py, conduit/datatypes/Photo.py,
	  conduit/modules/N800Module/N800Module.py,
	  conduit/modules/PhotoConverterModule.py: Add a n800 photo dp and
	  some preset encodings

2007-10-30 20:40  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/DataType.py: fix typo and be stronger typed

2007-10-30 20:36  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/File.py, conduit/datatypes/Photo.py,
	  conduit/modules/AudioVideoConverterModule.py,
	  conduit/modules/PhotoConverterModule.py,
	  test/python-tests/TestTempFile.py: Refactor a large part of the
	  File tempfile handling and port the converters over to the new
	  functions

2007-10-30 20:10  John Carr <john.carr@unrouted.co.uk>

	* conduit/Synchronization.py, conduit/datatypes/DataType.py:
	  Refactor data comparisons a little (towards opensync and gconf
	  support)

2007-10-30 10:30  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/Audio.py, conduit/datatypes/File.py,
	  conduit/datatypes/Video.py, conduit/datatypes/__init__.py,
	  conduit/modules/AudioVideoConverterModule.py,
	  conduit/modules/N800Module/N800Module.py: the n800 vidoe and
	  audio encoders now work

2007-10-30 09:17  John Stowers <john.stowers@gmail.com>

	* conduit/modules/N800Module/N800Module.py,
	  conduit/modules/TestModule.py: Add basic config dialogs to the
	  n800 audio and video dps

2007-10-30 08:45  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/Video.py,
	  conduit/modules/AudioVideoConverterModule.py: Add flv preset and
	  bug fixes to video conversion

2007-10-30 03:40  John Stowers <john.stowers@gmail.com>

	* conduit/Utils.py, conduit/modules/AudioVideoConverterModule.py,
	  conduit/modules/FFmpegConverterModule.py: put the mencoder based
	  converter back and use it optionally

2007-10-30 02:31  John Stowers <john.stowers@gmail.com>

	* conduit/Utils.py, conduit/modules/FFmpegConverterModule.py: Split
	  out more of the command line conversion logic into base class

2007-10-30 01:25  John Stowers <john.stowers@gmail.com>

	* conduit/modules/N800Module/N800Module.py: Create seperate file,
	  audio and video n800 dps

2007-10-30 01:05  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/File.py,
	  conduit/modules/FFmpegConverterModule.py,
	  conduit/modules/TestModule.py: Add in some tempfile sugar to keep
	  the files around after they are transcoded

2007-10-30 00:41  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/Audio.py, conduit/datatypes/Video.py,
	  conduit/modules/FFmpegConverterModule.py,
	  conduit/modules/N800Module/N800Module.py,
	  conduit/modules/RhythmboxModule/RhythmboxModule.py,
	  conduit/modules/TestModule.py: Test the Audio and Video
	  conversions

2007-10-29 23:48  John Stowers <john.stowers@gmail.com>

	* conduit/modules/FFmpegConverterModule.py,
	  conduit/modules/N800Module/N800Module.py: Re-arrange default
	  presets in the FFmpeg encoder

2007-10-29 23:48  John Stowers <john.stowers@gmail.com>

	* conduit/modules/RhythmboxModule,
	  conduit/modules/RhythmboxModule/RhythmboxModule.py,
	  conduit/modules/RhythmboxModule/config.glade: Add RB playlist
	  sync

2007-10-29 22:00  John Stowers <john.stowers@gmail.com>

	* conduit/TypeConverter.py, conduit/datatypes/Audio.py,
	  conduit/datatypes/Music.py, conduit/datatypes/Video.py,
	  conduit/modules/PhotoConverterModule.py,
	  test/python-tests/TestConvertSubtypesArgs.py: s/music/audio and
	  add video type

2007-10-29 12:46  John Stowers <john.stowers@gmail.com>

	* conduit/modules/MusicConverterModule.py: Remove because never
	  used

2007-10-29 12:44  John Stowers <john.stowers@gmail.com>

	* conduit/modules/MencoderConverterModule.py: Remove the mencoder
	  converter because the FFmpeg one is better

2007-10-29 12:42  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/Photo.py: use proportional resize function in
	  Utils

2007-10-29 12:39  John Stowers <john.stowers@gmail.com>

	* conduit/Utils.py, conduit/modules/FFmpegConverterModule.py: Add a
	  FFmpeg based audio and video converter

2007-10-29 09:27  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/GConfModule/GConfModule.py: Pickle gconf-setting
	  stuff so we can network them

2007-10-29 09:24  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/GConfModule/GConfModule.py: Stupid GConf typo

2007-10-29 04:35  John Stowers <john.stowers@gmail.com>

	* conduit/modules/N800Module, conduit/modules/N800Module.py,
	  conduit/modules/N800Module/N800Module.py, data/n800.png: Move
	  n800 to subdir

2007-10-29 04:34  John Stowers <john.stowers@gmail.com>

	* conduit/Utils.py, conduit/modules/MencoderConverterModule.py: Add
	  start of mencoder based video encoder

2007-10-29 01:17  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/DataProvider.py,
	  conduit/modules/FileModule/FileModule.py: Gross hackery to save
	  the folder group

2007-10-29 00:27  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/File.py,
	  conduit/modules/FileModule/FileConfiguration.py,
	  conduit/modules/FileModule/FileModule.py: Fix detection of
	  file/folder types in the file dp configuration wizard, and
	  replace _IDX constants where appropriate

2007-10-28 23:42  John Stowers <john.stowers@gmail.com>

	* conduit/modules/N800Module.py: Commit the n800 module which uses
	  the new file dataprovider base class

2007-10-28 23:41  John Stowers <john.stowers@gmail.com>

	* conduit/Database.py, conduit/MappingDB.py, conduit/Utils.py,
	  conduit/gtkui/Database.py: Fix missing unique list error

2007-10-28 22:23  John Carr <john.carr@unrouted.co.uk>

	* conduit/Database.py: Work on python2.4

2007-10-28 20:11  John Carr <john.carr@unrouted.co.uk>

	* conduit/Main.py: Work in python 2.4

2007-10-28 15:29  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/NetworkModule/Client.py: Post refactor fixery

2007-10-28 13:06  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/GConfModule/GConfModule.py: Add a whitelist so we
	  don't sync every last key. TODO: GUIsvn diff

2007-10-25 05:46  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/AutoSync.py,
	  conduit/modules/FileModule/FileModule.py,
	  conduit/modules/GConfModule/GConfModule.py,
	  conduit/modules/TomboyModule.py,
	  test/python-tests/TestUp2Date.py: Infrastructure for automatic
	  syncing

2007-10-25 02:50  John Stowers <john.stowers@gmail.com>

	* conduit/gtkui/Canvas.py: Fix DND_TARGETS

2007-10-24 12:11  John Stowers <john.stowers@gmail.com>

	* conduit/gtkui/Makefile.am: Fix autofoo for new gtkui layout

2007-10-24 12:02  John Stowers <john.stowers@gmail.com>

	* conduit/Makefile.am, configure.ac, doc/ExampleModule.py,
	  po/POTFILES.in, po/POTFILES.skip, scripts/run-tests.sh: Fix
	  autofoo for new gtkui layout

2007-10-24 11:52  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py, conduit/Conflict.py, conduit/Globals.py,
	  conduit/GtkDatabase.py, conduit/GtkUI.py, conduit/Main.py,
	  conduit/ModuleWrapper.py, conduit/Tree.py, conduit/Utils.py,
	  conduit/Web.py, conduit/dataproviders/SimpleConfigurator.py,
	  conduit/datatypes/Photo.py, conduit/gtkui,
	  conduit/gtkui/Canvas.py, conduit/gtkui/ConflictResolver.py,
	  conduit/gtkui/Database.py, conduit/gtkui/SimpleConfigurator.py,
	  conduit/gtkui/Tree.py, conduit/gtkui/UI.py,
	  conduit/gtkui/__init__.py,
	  conduit/modules/BackpackModule/BackpackModule.py,
	  conduit/modules/BoxDotNetModule/BoxDotNetModule.py,
	  conduit/modules/EvolutionModule/EvolutionModule.py,
	  conduit/modules/FacebookModule/FacebookModule.py,
	  conduit/modules/FeedModule/FeedModule.py,
	  conduit/modules/FileModule/FileConfiguration.py,
	  conduit/modules/FlickrModule/FlickrModule.py,
	  conduit/modules/FspotModule/FspotDbusModule.py,
	  conduit/modules/FspotModule/FspotModule.py,
	  conduit/modules/GmailModule/GmailModule.py,
	  conduit/modules/GoogleModule/GoogleModule.py,
	  conduit/modules/NetworkModule/NetworkModule.py,
	  conduit/modules/PhotoConverterModule.py,
	  conduit/modules/PicasaModule/PicasaModule.py,
	  conduit/modules/SettingsModule/SettingsModule.py,
	  conduit/modules/SmugMugModule/SmugMugModule.py,
	  conduit/modules/TestModule.py, conduit/modules/TomboyModule.py,
	  conduit/modules/YouTubeModule/YouTubeModule.py: Move all gtk
	  stuff to the gtkui package. Dynamically import all usage of gtk.
	  This means that when run with the -c command line switch conduit
	  has NO dependency on Gtk. Replace gtk.main with gobject. This
	  means that conduits only hard dependancy is gobject, and gnomevfs

2007-10-22 12:30  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/GoogleModule/GoogleModule.py: Fail less violently
	  if GData foo isn't available

2007-10-22 12:29  John Carr <john.carr@unrouted.co.uk>

	* test/python-tests/AutoSoup.py,
	  test/python-tests/TestSyncTomboyiPod.py: Point iPod tests at
	  right place..

2007-10-22 11:23  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/OpensyncModule.py: Don't error when OpenSync
	  support isnt there

2007-10-21 11:43  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/GConfModule/GConfModule.py: Minor gconf sync
	  changes

2007-10-20 17:23  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/GConfModule,
	  conduit/modules/GConfModule/GConfModule.py: Translate between
	  gconf types and python types

2007-10-20 10:49  John Stowers <john.stowers@gmail.com>

	* conduit/Database.py, conduit/GtkDatabase.py,
	  conduit/modules/FileModule/FileConfiguration.py: Remove remaining
	  gtk deps in FileModule, and split out GTK dependant DB stuff into
	  GtkDatabase.py

2007-10-20 10:39  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/File.py,
	  conduit/modules/FileModule/FileConfiguration.py,
	  conduit/modules/FileModule/FileModule.py,
	  conduit/modules/FileModule/Makefile.am: Split most of FileModule
	  out into a common base class at conduit/dataproviders/File.py.
	  Use the generic Database abstraction in this new baseclass to
	  remove the dependancy on the Gtk.ListStore

2007-10-20 10:37  John Stowers <john.stowers@gmail.com>

	* conduit/Utils.py: Make folderscanners args more generic

2007-10-20 10:37  John Stowers <john.stowers@gmail.com>

	* conduit/Database.py: Add new database abstraction layer

2007-10-20 10:36  John Stowers <john.stowers@gmail.com>

	* conduit/Main.py, conduit/SyncSet.py,
	  conduit/dataproviders/DataProvider.py: Add uninitialize to
	  dataprovider base class

2007-10-19 22:09  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/modules/FspotModule/FspotDbusModule.py: Handle read only
	  in fspot dbus provider

2007-10-19 08:21  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules, conduit/modules/BoxDotNetModule,
	  conduit/modules/BoxDotNetModule/BoxDotNetAPI,
	  conduit/modules/FacebookModule,
	  conduit/modules/FacebookModule/pyfacebook,
	  conduit/modules/GmailModule,
	  conduit/modules/GmailModule/libgmail-0.1.6.2,
	  conduit/modules/GoogleModule, conduit/modules/YouTubeModule: Evil
	  svn stat extras be gone (prop settery)

2007-10-19 08:09  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/GConfModule,
	  conduit/modules/GConfModule/GConfModule.py: 30 mins of poking
	  GConf got me here. Next is a converter to File..

2007-10-18 04:01  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/File.py, conduit/dataproviders/Image.py,
	  conduit/dataproviders/ImageSink.py,
	  conduit/dataproviders/Makefile.am,
	  conduit/modules/FacebookModule/FacebookModule.py,
	  conduit/modules/FlickrModule/FlickrModule.py,
	  conduit/modules/PicasaModule/PicasaModule.py,
	  conduit/modules/SmugMugModule/SmugMugModule.py,
	  conduit/modules/TestModule.py: s/ImageSink/Image and add base
	  File dataprovider class

2007-10-17 22:54  John Carr <john.carr@unrouted.co.uk>

	* conduit/modules/OpensyncModule.py: Opensync fixery

2007-10-17 22:17  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py, conduit/Conflict.py, conduit/DBus.py,
	  conduit/DataProvider.py, conduit/DeltaProvider.py,
	  conduit/GtkUI.py, conduit/Main.py, conduit/Makefile.am,
	  conduit/Module.py, conduit/Settings.py,
	  conduit/Synchronization.py, conduit/TypeConverter.py,
	  conduit/__init__.py, conduit/dataproviders/BackpackModule,
	  conduit/dataproviders/BoxDotNetModule,
	  conduit/dataproviders/ConverterModule.py,
	  conduit/dataproviders/DataProvider.py,
	  conduit/dataproviders/DataProviderCategory.py,
	  conduit/dataproviders/EvolutionModule,
	  conduit/dataproviders/FacebookModule,
	  conduit/dataproviders/FeedModule,
	  conduit/dataproviders/FileModule,
	  conduit/dataproviders/FlickrModule,
	  conduit/dataproviders/FspotModule,
	  conduit/dataproviders/GmailModule,
	  conduit/dataproviders/GoogleModule,
	  conduit/dataproviders/ImageSink.py,
	  conduit/dataproviders/Makefile.am,
	  conduit/dataproviders/MusicConverterModule.py,
	  conduit/dataproviders/NetworkModule,
	  conduit/dataproviders/OpensyncModule.py,
	  conduit/dataproviders/PhotoConverterModule.py,
	  conduit/dataproviders/PicasaModule,
	  conduit/dataproviders/SettingsModule,
	  conduit/dataproviders/SimpleConfigurator.py,
	  conduit/dataproviders/SmugMugModule,
	  conduit/dataproviders/SynceModule.py,
	  conduit/dataproviders/TestModule.py,
	  conduit/dataproviders/TomboyModule.py,
	  conduit/dataproviders/YouTubeModule,
	  conduit/dataproviders/__init__.py,
	  conduit/dataproviders/iPodModule.py, conduit/datatypes/File.py,
	  conduit/defs.py.in, conduit/modules,
	  conduit/modules/BackpackModule,
	  conduit/modules/BackpackModule/BackpackModule.py,
	  conduit/modules/BackpackModule/Makefile.am,
	  conduit/modules/BackpackModule/backpack-1.1/Makefile.am,
	  conduit/modules/BoxDotNetModule,
	  conduit/modules/BoxDotNetModule/BoxDotNetAPI/Makefile.am,
	  conduit/modules/BoxDotNetModule/BoxDotNetModule.py,
	  conduit/modules/BoxDotNetModule/Makefile.am,
	  conduit/modules/ConverterModule.py,
	  conduit/modules/EvolutionModule,
	  conduit/modules/EvolutionModule/EvolutionModule.py,
	  conduit/modules/EvolutionModule/Makefile.am,
	  conduit/modules/FacebookModule,
	  conduit/modules/FacebookModule/FacebookModule.py,
	  conduit/modules/FacebookModule/Makefile.am,
	  conduit/modules/FacebookModule/pyfacebook/Makefile.am,
	  conduit/modules/FeedModule,
	  conduit/modules/FeedModule/FeedModule.py,
	  conduit/modules/FeedModule/Makefile.am,
	  conduit/modules/FileModule,
	  conduit/modules/FileModule/FileModule.py,
	  conduit/modules/FileModule/Makefile.am,
	  conduit/modules/FlickrModule,
	  conduit/modules/FlickrModule/FlickrAPI/Makefile.am,
	  conduit/modules/FlickrModule/FlickrModule.py,
	  conduit/modules/FlickrModule/Makefile.am,
	  conduit/modules/FspotModule,
	  conduit/modules/FspotModule/FspotDbusModule.py,
	  conduit/modules/FspotModule/FspotModule.py,
	  conduit/modules/FspotModule/Makefile.am,
	  conduit/modules/GmailModule,
	  conduit/modules/GmailModule/GmailModule.py,
	  conduit/modules/GmailModule/Makefile.am,
	  conduit/modules/GmailModule/libgmail-0.1.6.2/Makefile.am,
	  conduit/modules/GoogleModule,
	  conduit/modules/GoogleModule/GoogleModule.py,
	  conduit/modules/GoogleModule/Makefile.am,
	  conduit/modules/Makefile.am,
	  conduit/modules/MusicConverterModule.py,
	  conduit/modules/NetworkModule,
	  conduit/modules/NetworkModule/Client.py,
	  conduit/modules/NetworkModule/Peers.py,
	  conduit/modules/NetworkModule/Server.py,
	  conduit/modules/OpensyncModule.py,
	  conduit/modules/PhotoConverterModule.py,
	  conduit/modules/PicasaModule,
	  conduit/modules/PicasaModule/Makefile.am,
	  conduit/modules/PicasaModule/PicasaAPI/Makefile.am,
	  conduit/modules/PicasaModule/PicasaModule.py,
	  conduit/modules/SettingsModule,
	  conduit/modules/SettingsModule/Makefile.am,
	  conduit/modules/SettingsModule/SettingsModule.py,
	  conduit/modules/SettingsModule/settings/Makefile.am,
	  conduit/modules/SmugMugModule,
	  conduit/modules/SmugMugModule/Makefile.am,
	  conduit/modules/SmugMugModule/SmugMugAPI/Makefile.am,
	  conduit/modules/SmugMugModule/SmugMugModule.py,
	  conduit/modules/SynceModule.py, conduit/modules/TestModule.py,
	  conduit/modules/TomboyModule.py, conduit/modules/YouTubeModule,
	  conduit/modules/YouTubeModule/Makefile.am,
	  conduit/modules/YouTubeModule/YouTubeModule.py,
	  conduit/modules/__init__.py, conduit/modules/iPodModule.py,
	  configure.ac, data/conduit.pc.in, doc/ExampleModule.py,
	  po/POTFILES.in, po/POTFILES.skip,
	  test/python-tests/TestConvert.py, test/python-tests/TestGmail.py,
	  test/python-tests/TestiPod.py, test/python-tests/common.py: Move
	  /dataproviders/* to /modules/* and DataProvider.py to
	  dataproviders/DataProvider.py. This will allow more code sharing
	  between dataproviders. Bump version to account for high
	  likelyhook of brokenness

2007-10-17 08:27  John Stowers <john.stowers@gmail.com>

	* conduit/conduit, conduit/conduit.real: Use a more mozilla
	  compliant way to detect mozilla libs. Thanks to Adam Williamson
	  for the idea

2007-10-17 08:08  John Stowers <john.stowers@gmail.com>

	* conduit/conduit: Use tail to select the latest firefox version

2007-10-17 04:40  John Stowers <john.stowers@gmail.com>

	* conduit/conduit: Be more agressive checking for firefox libaries

2007-10-17 04:06  John Stowers <john.stowers@gmail.com>

	* conduit/SyncSet.py: No longer write pretty xml for the settings
	  file because xml.dom.ext is not present on fedora

2007-10-17 04:04  John Stowers <john.stowers@gmail.com>

	* conduit/Utils.py: Remove some unused escaping functions

2007-10-16 22:47  John Stowers <john.stowers@gmail.com>

	* scripts/CheckGtkMozEmbed.py: Checks if your firefox install is
	  broken

2007-10-16 10:55  John Stowers <john.stowers@gmail.com>

	* conduit/__init__.py,
	  conduit/dataproviders/FileModule/FileModule.py,
	  conduit/dataproviders/FileModule/config.glade,
	  conduit/datatypes/File.py: add option to ignore mtimes in folder
	  sync

2007-10-16 05:51  John Stowers <john.stowers@gmail.com>

	* conduit/MappingDB.py, conduit/__init__.py,
	  test/python-tests/common.py: Create a mapping class encapsulating
	  a, well, mapping

2007-10-16 05:50  John Stowers <john.stowers@gmail.com>

	* conduit/Conduit.py: Correctly restore two-way sync setting. Patch
	  from Yann Rouillard

2007-10-16 05:43  John Stowers <john.stowers@gmail.com>

	* conduit/Utils.py: Escape patch in folder scanner. Fixes webdav
	  sync. Patch from Yann Rouillard

2007-10-16 05:40  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py: Correctly restore two-way sync setting. Patch
	  from Yann Rouillard

2007-10-15 22:22  John Stowers <john.stowers@gmail.com>

	* conduit/Makefile.am: add mappingdb to dist

2007-10-15 22:19  John Stowers <john.stowers@gmail.com>

	* conduit/GtkUI.py: show if running installed in the window title

2007-10-15 21:56  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py: Look a little nicer with dark themes

2007-10-15 21:51  John Stowers <john.stowers@gmail.com>

	* conduit/DB.py, conduit/Main.py, conduit/MappingDB.py: Split
	  mappingDB out into own file

2007-10-04 00:41  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/File.py: File transfers can now be cancelled

2007-10-03 23:34  John Stowers <john.stowers@gmail.com>

	* conduit/Globals.py, conduit/Main.py, conduit/Web.py: Add global
	  cancellation flag

2007-10-03 11:58  John Stowers <john.stowers@gmail.com>

	* conduit/Web.py: Fix (or dramatically reduce the frequency) of the
	  problem with tabs not showing in the web browser

2007-10-03 03:41  John Stowers <john.stowers@gmail.com>

	* conduit/Web.py: Remove the gtkhtml2 and webkit browsers. Fix the
	  gtkmozembed crasher (due to setting the profile path twice).
	  Remove a heap of dead code in gtkmozembed usage and emit all
	  expected signals

2007-10-02 10:59  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/Makefile.am,
	  conduit/dataproviders/PhotoConverterModule.py,
	  conduit/datatypes/Makefile.am: Add the photo type and converters
	  to dist

2007-10-02 10:58  John Stowers <john.stowers@gmail.com>

	* tools/nautilus-extension/conduit.py: Use gui syncset, its more
	  discoverable

2007-10-02 10:57  John Stowers <john.stowers@gmail.com>

	* conduit/Main.py: init the dbus interfaces early

2007-10-02 09:05  John Stowers <john.stowers@gmail.com>

	* tools/Makefile.am: pass make distcheck

2007-10-02 08:57  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/FacebookModule/Makefile.am,
	  conduit/dataproviders/FacebookModule/pyfacebook/Makefile.am: Add
	  missed files

2007-10-02 03:38  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/FacebookModule/FacebookModule.py,
	  conduit/dataproviders/Makefile.am, configure.ac,
	  data/Makefile.am: Add facebook to dist

2007-10-02 03:31  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/SmugMugModule/SmugMugModule.py,
	  conduit/dataproviders/SmugMugModule/config.glade: Support resize
	  in smugmug

2007-10-02 03:27  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/PicasaModule/PicasaModule.py,
	  conduit/dataproviders/PicasaModule/config.glade: Support resize
	  in picasa

2007-10-02 02:54  John Stowers <john.stowers@gmail.com>

	* configure.ac: Version bump 0.3.4

2007-10-02 02:53  John Stowers <john.stowers@gmail.com>

	* conduit/__init__.py: Version bump 0.3.4

2007-10-02 02:53  John Stowers <john.stowers@gmail.com>

	* conduit/DataProvider.py,
	  conduit/dataproviders/FlickrModule/FlickrModule.py,
	  conduit/dataproviders/FlickrModule/config.glade: Add resize to
	  Flickr

2007-10-02 02:53  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/PhotoConverterModule.py,
	  conduit/datatypes/Photo.py: Save the photo when it is resized

2007-10-02 02:52  John Stowers <john.stowers@gmail.com>

	* conduit/SyncSet.py: Save sink name properly

2007-10-02 01:40  John Stowers <john.stowers@gmail.com>

	* conduit/DBus.py, conduit/dataproviders/FileModule/FileModule.py,
	  tools/conduit-client: Add two-way sync support to conduit-client

2007-10-01 09:14  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py, conduit/ModuleWrapper.py, conduit/SyncSet.py:
	  Store the name of pending dataproviders

2007-10-01 02:19  John Stowers <john.stowers@gmail.com>

	* conduit/DataProvider.py, conduit/GtkUI.py,
	  conduit/dataproviders/PicasaModule/PicasaModule.py,
	  conduit/dataproviders/TestModule.py,
	  test/python-tests/TestSyncImageSync.py: Add support for photo
	  type conversion and resize to the base ImageSink class

2007-10-01 02:18  John Stowers <john.stowers@gmail.com>

	* tools/eog-plugin/conduit.py, tools/nautilus-extension/conduit.py:
	  Improve nautilus plugin resource usage, store conduits in the
	  dbus syncset

2007-09-30 23:54  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/Photo.py: Resize photos keeping aspect ratio

2007-09-30 23:30  John Stowers <john.stowers@gmail.com>

	* conduit/GtkUI.py, data/conduit.glade: Add web browser preference
	  to prefs menu

2007-09-30 23:10  John Stowers <john.stowers@gmail.com>

	* conduit/DBus.py, conduit/Main.py,
	  conduit/dataproviders/TestModule.py, tools/Makefile.am,
	  tools/conduit-client, tools/example-dbus-gui-remote.py: Add
	  command line conduit client

2007-09-30 12:17  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/dataproviders/FspotModule/FspotModule.py: Fix type in
	  fspot dataprovider

2007-09-29 12:05  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py, conduit/GtkUI.py, conduit/Main.py,
	  conduit/Settings.py, configure.ac: Fix the behaviour of
	  iconification

2007-09-29 11:58  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/TestModule.py: Move memstats into utils

2007-09-29 11:50  John Stowers <john.stowers@gmail.com>

	* conduit/Utils.py, conduit/__init__.py: Move memstats into utils

2007-09-28 12:33  John Stowers <john.stowers@gmail.com>

	* conduit/Globals.py: Remove dublicat Globals

2007-09-28 10:48  John Stowers <john.stowers@gmail.com>

	* scripts/check-doc.sh, scripts/check-pyflakes.sh,
	  scripts/make-doc.sh, scripts/run-tests.sh,
	  scripts/update-3rdparty-libs.sh, scripts/upload-doc.sh: Remove
	  some old references to start_conduit

2007-09-28 09:23  John Stowers <john.stowers@gmail.com>

	* conduit/__init__.py, conduit/conduit.real: Move the IS_INSTALLED
	  checks into a different order so they actually work

2007-09-28 08:21  John Stowers <john.stowers@gmail.com>

	* conduit/DataProvider.py, conduit/GtkUI.py, conduit/Makefile.am,
	  conduit/__init__.py, conduit/conduit, conduit/conduit.real,
	  conduit/defs.py.in, conduit/start_conduit.py, configure.ac,
	  data/conduit-autostart.desktop.in.in, data/conduit.desktop.in.in,
	  data/org.conduit.service.in, fix-firefox.sh,
	  test/python-tests/common.py, tools/eog-plugin/README: Remove
	  start_conduit.py and replace with conduit, which is a script
	  wrapping conduit.real. This is required because Ubuntus
	  gtkmozembed is broken

2007-09-28 03:54  John Stowers <john.stowers@gmail.com>

	* conduit/Web.py: Fix a race condition when creating many login
	  windows

2007-09-28 03:23  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/TestModule.py: Use nicer icons for the Test
	  dataproviders

2007-09-28 03:15  John Stowers <john.stowers@gmail.com>

	* conduit/Web.py: Close a tab to signify that you have logged in.
	  Sleep until that happens. Call login_funtion at end of
	  _ConduitLogin.

2007-09-28 01:35  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py, conduit/Web.py,
	  conduit/dataproviders/TestModule.py: Be more careful about
	  running mozilla stuff on the main thread

2007-09-27 23:59  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py, conduit/Web.py: Dont distroy the window, just
	  hide it

2007-09-27 22:10  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/FspotModule/FspotDbusModule.py: Add new
	  DBus based F-Spot module

2007-09-27 20:42  John Stowers <john.stowers@gmail.com>

	* conduit/Web.py: Add close button in web login tab

2007-09-27 14:13  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/TestModule.py: Demo the built in browser

2007-09-27 14:00  John Stowers <john.stowers@gmail.com>

	* conduit/Settings.py, conduit/Utils.py, conduit/Web.py,
	  conduit/dataproviders/BoxDotNetModule/BoxDotNetModule.py,
	  conduit/dataproviders/FacebookModule/FacebookModule.py,
	  conduit/dataproviders/FlickrModule/FlickrModule.py,
	  conduit/dataproviders/TestModule.py, fix-firefox.sh: Preliminary
	  support for conduits own web browser which can be used to log
	  into phot sites. The current design is a web browser abstraction
	  around gtkhtml, gtkmozembed and pywebket (based on code taken
	  from straw news reader). The current default is to use the system
	  web browser so behaviour should be un-changed

2007-09-27 12:24  John Stowers <john.stowers@gmail.com>

	* conduit/Hal.py, conduit/Main.py, conduit/Makefile.am,
	  conduit/VolumeMonitor.py: Remove the gnomevfs volume monitor
	  singleton as testing revealed it was no longer needed

2007-09-27 04:30  John Stowers <john.stowers@gmail.com>

	* conduit/DB.py, conduit/DeltaProvider.py, conduit/Globals.py,
	  conduit/GtkUI.py, conduit/Main.py, conduit/Settings.py,
	  conduit/Synchronization.py, conduit/Tree.py, conduit/__init__.py,
	  conduit/dataproviders/SettingsModule/settings/Makefile.am,
	  test/python-tests/common.py: Move conduit.mappingDB,
	  conduit.typeConverter, conduit.syncManager etc into a common
	  GLOBALS object

2007-09-27 04:25  John Stowers <john.stowers@gmail.com>

	* test/python-tests/TestFile.py, test/python-tests/common.py: Fix
	  test so the authentication manager dialog is shown if needed

2007-09-26 04:52  John Stowers <john.stowers@gmail.com>

	* tools/eog-plugin/conduit.py: Double click on the treeview to show
	  the image to be uploaded

2007-09-26 03:18  John Stowers <john.stowers@gmail.com>

	* configure.ac, m4/python.m4: Make the pymod version check work
	  with versions expressed as strings. This is in preparation for a
	  move to using pysqlite2 in places instead of gtk.ListStore

2007-09-26 00:59  John Stowers <john.stowers@gmail.com>

	* tools/eog-plugin/conduit.py: The EOG plugin now works and saves
	  configuration between runs

2007-09-25 12:48  John Stowers <john.stowers@gmail.com>

	* conduit/DBus.py, data/Makefile.am, data/org.conduit.service.in,
	  data/org.gnome.Conduit.service.in, scripts/ListDBus.py: Fix DBus
	  autostarting foo

2007-09-25 11:48  John Stowers <john.stowers@gmail.com>

	* conduit/DBus.py, conduit/dataproviders/FileModule/FileModule.py,
	  test/python-tests/TestDBus.py, tools/eog-plugin/conduit.py:
	  Support configuring the photo sinks. EOG plugin is nearly
	  complete. I need to encapsulate the ExporterConduit in another
	  object before I can finish the configure stuff. It would also
	  make the implementation cleaner

2007-09-25 11:44  John Stowers <john.stowers@gmail.com>

	* Makefile.am, configure.ac, tools/Makefile.am,
	  tools/eog-plugin/Makefile.am: Add eog-plugin to autofoo

2007-09-25 07:49  John Stowers <john.stowers@gmail.com>

	* Makefile.am, configure.ac, tools/Makefile.am,
	  tools/nautilus-extension/Makefile.am: Ship nautilus extension
	  with Conduit

2007-09-25 06:02  John Stowers <john.stowers@gmail.com>

	* tools/eog-plugin/conduit.py: Improve the eog plugin by grouping
	  photos to upload in the sidebar

2007-09-25 00:53  John Stowers <john.stowers@gmail.com>

	* conduit/DB.py, conduit/dataproviders/PhotoConverterModule.py,
	  conduit/dataproviders/TestModule.py: Return UIDs from the test
	  dataprovider put methods

2007-09-24 12:52  John Stowers <john.stowers@gmail.com>

	* conduit/DBus.py, scripts/build-stationary-packages.sh,
	  scripts/build-svn-packages.sh: Allow arbitary syncsets to be
	  generated over Dbus

2007-09-24 04:48  John Stowers <john.stowers@gmail.com>

	* conduit/TypeConverter.py,
	  conduit/dataproviders/PhotoConverterModule.py,
	  test/python-tests/TestConvertSubtypesArgs.py: Use the full type
	  name in the converters because it is more readable

2007-09-23 18:09  John Carr <john.carr@unrouted.co.uk>

	* ., conduit/dataproviders/GmailModule/GmailModule.py: Maybe this
	  icon will be a bit more widespread...

2007-09-23 18:00  John Carr <john.carr@unrouted.co.uk>

	* ., conduit/dataproviders/GmailModule/GmailModule.py: Make sure
	  that getAllEmail property is restored

2007-09-23 17:53  John Carr <john.carr@unrouted.co.uk>

	* ., conduit/dataproviders/GmailModule/Makefile.am,
	  conduit/dataproviders/GmailModule/libgmail-0.1.6.2/Makefile.am:
	  Merge..

2007-09-23 17:53  John Carr <john.carr@unrouted.co.uk>

	* ., configure.ac: Whoops, more libgmail 0.1.6.2 stuff

2007-09-23 17:53  John Carr <john.carr@unrouted.co.uk>

	* ., conduit/dataproviders/GmailModule/GmailModule.py: Fixes #365
	  (Google Apps 4 Ur Domain support)

2007-09-23 15:31  John Carr <john.carr@unrouted.co.uk>

	* ., conduit/dataproviders/ConverterModule.py,
	  conduit/dataproviders/GmailModule/GmailModule.py,
	  conduit/dataproviders/GmailModule/config.glade,
	  conduit/dataproviders/GmailModule/libgmail-0.1.5,
	  conduit/dataproviders/GmailModule/libgmail-0.1.6.2,
	  conduit/dataproviders/GmailModule/libgmail-0.1.6.2/CHANGELOG,
	  conduit/dataproviders/GmailModule/libgmail-0.1.6.2/COPYING,
	  conduit/dataproviders/GmailModule/libgmail-0.1.6.2/PKG-INFO,
	  conduit/dataproviders/GmailModule/libgmail-0.1.6.2/README,
	  conduit/dataproviders/GmailModule/libgmail-0.1.6.2/lgconstants.py,
	  conduit/dataproviders/GmailModule/libgmail-0.1.6.2/libgmail.py,
	  conduit/dataproviders/GmailModule/libgmail-0.1.6.2/setup.py,
	  conduit/datatypes/Email.py: Upgrade to libgmail (and some Gmail
	  DP fixes...)

2007-09-23 13:22  John Stowers <john.stowers@gmail.com>

	* conduit/TypeConverter.py, conduit/Utils.py,
	  conduit/dataproviders/PhotoConverterModule.py,
	  conduit/dataproviders/TestModule.py, conduit/datatypes/File.py,
	  conduit/datatypes/Photo.py: Implement Photo resizing and
	  conversion. See ImageTestSink for an example

2007-09-21 04:49  John Stowers <john.stowers@gmail.com>

	* conduit/Utils.py, conduit/dataproviders/MusicConverterModule.py,
	  conduit/dataproviders/PhotoConverterModule.py,
	  conduit/datatypes/Music.py, conduit/datatypes/Photo.py: Add Photo
	  and Music types

2007-09-20 11:04  John Stowers <john.stowers@gmail.com>

	* configure.ac, m4/python.m4: * Added AM_CHECK_PYMOD_VERSION m4
	  macro -- checks to see if a Python module's version is >= the
	  version required.
	  * Added AM_CHECK_PYMOD_VERSION to configure.ac to check for
	  pygoocanvas >= 0.8.0.

2007-09-18 23:48  John Stowers <john.stowers@gmail.com>

	* conduit/Conduit.py, conduit/Synchronization.py: Fix
	  refresh_dataprovider by passing the associated conduit

2007-09-18 23:16  John Stowers <john.stowers@gmail.com>

	* conduit/DBus.py, conduit/TypeConverter.py,
	  tools/conduit-gui-remote.py,
	  tools/example-dbus-conduit-client.py,
	  tools/example-dbus-gui-remote.py: Fix the DBus examples to the
	  new API

2007-09-18 23:15  John Stowers <john.stowers@gmail.com>

	* conduit/Main.py: Share the syncmanager

2007-09-18 22:23  John Stowers <john.stowers@gmail.com>

	* AUTHORS, Makefile.am, data/conduit-progress.svg: All this talk of
	  Changelogs. Lets make ours nicer

2007-09-18 19:06  John Carr <john.carr@unrouted.co.uk>

	* ., conduit/Synchronization.py: Changes from trunk

2007-09-18 19:06  John Carr <john.carr@unrouted.co.uk>

	* ., conduit/ModuleWrapper.py: gtk-missing-image isn't always
	  available, so use conduit icon instead

2007-09-18 19:06  John Carr <john.carr@unrouted.co.uk>

	* ., conduit/dataproviders/GoogleModule/GoogleModule.py: Let
	  conduit start on py2.4 systems (surprised 2.5 is ok?)

2007-09-17 10:02  John Stowers <john.stowers@gmail.com>

	* tools/conduit-gui-remote.py: Example conduit GUI remote control

2007-09-17 10:01  John Stowers <john.stowers@gmail.com>

	* conduit/DBus.py, conduit/GtkUI.py, test/python-tests/TestDBus.py:
	  Expose SyncSet over DBus

2007-09-17 10:01  John Stowers <john.stowers@gmail.com>

	* conduit/Synchronization.py: The defaults for sync should be skip
	  and skip, not ask and ask

2007-09-17 09:59  John Stowers <john.stowers@gmail.com>

	* conduit/Main.py: Keep the syncsets and syncmanagers around as
	  globals

2007-09-16 19:58  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/dataproviders/PicasaModule/PicasaAPI/picasaweb.py: Fix
	  #376, make sure there is a strptime fallback in case of python
	  2.4

2007-09-16 19:25  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/dataproviders/FlickrModule/FlickrModule.py: don't append
	  extension if it's there already

2007-09-16 09:38  John Stowers <john.stowers@gmail.com>

	* conduit/Conduit.py, conduit/DBus.py, conduit/GtkUI.py,
	  conduit/Main.py, conduit/Synchronization.py,
	  test/python-tests/TestDBus.py, test/python-tests/common.py: Move
	  more of the sync_manager stuff to live in Conduit and get rid of
	  the horrible connect_sync_thread_callbacks bollocks

2007-09-16 00:51  John Stowers <john.stowers@gmail.com>

	* scripts/run-tests.sh, test/python-tests/AutoGenerate.py,
	  test/python-tests/TestBackpack.py,
	  test/python-tests/TestBoxDotNet.py,
	  test/python-tests/TestContact.py,
	  test/python-tests/TestConvert.py,
	  test/python-tests/TestConvertSubtypesArgs.py,
	  test/python-tests/TestDBus.py, test/python-tests/TestDate.py,
	  test/python-tests/TestEvent.py, test/python-tests/TestFile.py,
	  test/python-tests/TestFile2.py, test/python-tests/TestFlickr.py,
	  test/python-tests/TestGmail.py,
	  test/python-tests/TestMappingDB.py,
	  test/python-tests/TestPicasa.py,
	  test/python-tests/TestSmugMug.py,
	  test/python-tests/TestSyncFolderFolder.py,
	  test/python-tests/TestSyncLogic.py,
	  test/python-tests/TestSyncTestDPs.py,
	  test/python-tests/TestSyncTomboyFolder.py,
	  test/python-tests/TestSyncTomboyiPod.py,
	  test/python-tests/TestTempFile.py,
	  test/python-tests/TestTomboy.py, test/python-tests/TestiPod.py,
	  test/python-tests/common.py: Colorize the test output.
	  grey=skipped, pink=fail, red=borked. Lets fix all the borked ones
	  ASAP

2007-09-15 13:28  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py, conduit/Conduit.py,
	  conduit/Synchronization.py, conduit/dataproviders/TestModule.py:
	  Show progress in the GUI and start moving signals out of
	  sync-manager and into conduit class

2007-09-15 11:24  John Stowers <john.stowers@gmail.com>

	* conduit/Conflict.py: Opps, make conflict resolution work again
	  with multiple conflicting conduits

2007-09-15 11:08  John Stowers <john.stowers@gmail.com>

	* conduit/Conflict.py, conduit/DBus.py, conduit/GtkUI.py,
	  conduit/Synchronization.py: Create a Conflict object to
	  represent, well conflicts, and use that instead of the old
	  horrible treemodel approach

2007-09-15 08:27  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py: Oops. Show the canvas welcome message when we
	  have no conduits)

2007-09-15 08:25  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py, conduit/SyncSet.py, data/conduit.glade: Move
	  to all signals for Canvas updates

2007-09-14 06:47  John Stowers <john.stowers@gmail.com>

	* conduit/DBus.py, conduit/DataProvider.py, conduit/Exceptions.py,
	  conduit/GtkUI.py, conduit/ModuleWrapper.py,
	  conduit/Synchronization.py, conduit/TypeConverter.py,
	  conduit/Utils.py, conduit/dataproviders/ConverterModule.py,
	  conduit/dataproviders/NetworkModule/NetworkModule.py,
	  conduit/dataproviders/SettingsModule/SettingsModule.py,
	  conduit/dataproviders/TestModule.py,
	  conduit/datatypes/Contact.py, conduit/datatypes/DataType.py,
	  conduit/datatypes/Email.py, conduit/datatypes/Event.py,
	  conduit/datatypes/File.py, conduit/datatypes/Note.py,
	  conduit/datatypes/Text.py, doc/ExampleModule.py,
	  test/python-tests/AutoTemplate.py,
	  test/python-tests/TestConvert.py,
	  test/python-tests/TestConvertSubtypesArgs.py,
	  test/python-tests/TestFile2.py,
	  test/python-tests/TestSyncLogic.py, test/python-tests/common.py:
	  Support type inheritance and conversion arguments

2007-09-14 00:00  John Stowers <john.stowers@gmail.com>

	* data/conduit-progress.svg,
	  data/icons/hicolor/16x16/status/conduit-progress-1.png,
	  data/icons/hicolor/16x16/status/conduit-progress-2.png,
	  data/icons/hicolor/16x16/status/conduit-progress-3.png,
	  data/icons/hicolor/16x16/status/conduit-progress-4.png,
	  data/icons/hicolor/16x16/status/conduit-progress-5.png,
	  data/icons/hicolor/16x16/status/conduit-progress-6.png,
	  data/icons/hicolor/16x16/status/conduit-progress-7.png,
	  data/icons/hicolor/16x16/status/conduit-progress-8.png: Proper
	  sized gnome panel icons

2007-09-11 15:45  John Stowers <john.stowers@gmail.com>

	* po/POTFILES.in, po/conduit.pot, po/fr.po, po/pt_BR.po, po/ru.po,
	  po/sv.po: * Add GoogleModule and YouTubeModule to POTFILES.in.
	  * Regenerated po files.
	  * Added conduit.pot to SVN.

2007-09-11 15:35  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/GoogleModule/Makefile.am: Add Makefile.am
	  for GoogleModule. Many thanks to Lauro Moura for this.

2007-09-09 16:08  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/DBus.py, tools/nautilus-extension/conduit.py: Improve
	  nautilus extension a bit

2007-09-07 19:59  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* tools/nautilus-extension, tools/nautilus-extension/README,
	  tools/nautilus-extension/conduit.py: Add the nautilus extension

2007-09-07 19:44  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/DBus.py, conduit/ModuleWrapper.py, conduit/Utils.py,
	  conduit/dataproviders/BackpackModule/BackpackModule.py,
	  conduit/dataproviders/BoxDotNetModule/BoxDotNetModule.py,
	  conduit/dataproviders/EvolutionModule/EvolutionModule.py,
	  conduit/dataproviders/FeedModule/FeedModule.py,
	  conduit/dataproviders/FlickrModule/FlickrModule.py,
	  conduit/dataproviders/FspotModule/FspotModule.py,
	  conduit/dataproviders/GmailModule/GmailModule.py,
	  conduit/dataproviders/GoogleModule/GoogleModule.py,
	  conduit/dataproviders/PicasaModule/PicasaModule.py,
	  conduit/dataproviders/SettingsModule/SettingsModule.py,
	  conduit/dataproviders/SmugMugModule/SmugMugModule.py,
	  conduit/dataproviders/YouTubeModule/YouTubeModule.py: Add
	  ConfigureDataprovider to dbus conduit, therefore we need to be
	  able to configure providers without parent window

2007-09-07 19:41  John Carr <john.carr@unrouted.co.uk>

	* po/LINGUAS, po/ru.po: Russian translations, thanks to Alexandre
	  Prokoudine

2007-09-07 05:42  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/Makefile.am, configure.ac: Add google
	  module to build

2007-09-06 19:46  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/DBus.py: Fix BuildConduit dbus method

2007-09-06 19:44  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/dataproviders/BoxDotNetModule/BoxDotNetAPI/boxdotnet.py,
	  conduit/dataproviders/FlickrModule/FlickrAPI/flickrapi.py: Close
	  responses

2007-09-06 17:33  John Stowers <john.stowers@gmail.com>

	* po/pt_BR.po: Updated the pt_BR translation. Many thanks to
	  Vladimir Melo!

2007-09-06 06:24  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/dataproviders/FlickrModule/FlickrModule.py,
	  conduit/dataproviders/FlickrModule/config.glade,
	  conduit/dataproviders/PicasaModule/PicasaModule.py,
	  conduit/dataproviders/PicasaModule/config.glade,
	  conduit/dataproviders/SmugMugModule/SmugMugModule.py,
	  conduit/dataproviders/SmugMugModule/config.glade,
	  test/python-tests/TestFlickr.py, test/python-tests/TestPicasa.py,
	  test/python-tests/TestSmugMug.py, tools/eog-plugin/conduit.py:
	  Rename photo sinks to twoways, because they are

2007-09-04 22:41  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py: shush some resize issues

2007-09-03 10:08  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py: Support goocanvas 0.9.0

2007-09-03 02:02  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/EvolutionModule/EvolutionModule.py,
	  conduit/dataproviders/GoogleModule,
	  conduit/dataproviders/GoogleModule/GoogleModule.py,
	  conduit/dataproviders/GoogleModule/config.glade: Add a Google
	  Calendar dataprovider. Contributed by Paul Novotny
	  <paul.novotny@gmail.com>

2007-09-03 01:55  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/YouTubeModule/Makefile.am,
	  conduit/dataproviders/YouTubeModule/YouTubeModule.py,
	  conduit/dataproviders/YouTubeModule/config.glade: Improvements to
	  YouTube dataprovider by Renato Araujo <renatox@gmail.com>

2007-09-02 09:22  John Stowers <john.stowers@gmail.com>

	* conduit/GtkUI.py, doc/ExampleModule.py: Update the example
	  dataprovider to reflect the current API

2007-09-02 05:31  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/Makefile.am,
	  conduit/dataproviders/YouTubeModule,
	  conduit/dataproviders/YouTubeModule/Makefile.am,
	  conduit/dataproviders/YouTubeModule/YouTubeModule.py,
	  configure.ac, data/Makefile.am, data/youtube.png: Youtube video
	  dataprovider. Contributed by Renato Araujo <renatox@gmail.com>.
	  Thanks a bunch

2007-08-31 21:58  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/dataproviders/FlickrModule/FlickrModule.py,
	  conduit/dataproviders/FlickrModule/config.glade,
	  test/python-tests/TestFlickr.py: Flickr change: make it work two
	  way, use photosets instead of tags

2007-08-28 20:12  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/DataProvider.py,
	  conduit/dataproviders/PicasaModule/PicasaAPI/picasaweb.py,
	  conduit/dataproviders/PicasaModule/PicasaModule.py,
	  conduit/dataproviders/SmugMugModule/SmugMugModule.py: Make picasa
	  and smugmug providers work twoway

2007-08-28 09:52  John Stowers <john.stowers@gmail.com>

	* help/C/conduit.xml: Initial Conduit user documentation. Patch
	  from John Williams

2007-08-27 22:38  John Stowers <john.stowers@gmail.com>

	* configure.ac: Trivial commit to test commit access. \o/

2007-08-27 21:37  John Stowers <john.stowers@gmail.com>

	* help/conduit.omf.in: Put help in the right category

2007-08-27 21:27  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py, conduit/Conduit.py: reconnect refreshing
	  dataproviders

2007-08-27 12:19  John Stowers <john.stowers@gmail.com>

	* data/Makefile.am: update icon cache

2007-08-27 12:12  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/FeedModule/FeedModule.py, data/Makefile.am,
	  data/conduit-autostart.desktop.in.in, data/conduit.desktop.in.in,
	  data/icons/hicolor/16x16/status/conduit-sink.png,
	  data/icons/hicolor/16x16/status/conduit-source.png,
	  data/icons/hicolor/16x16/status/conduit-twoway.png,
	  help/C/conduit.xml: conduit type icons should be 16x16

2007-08-27 09:55  John Stowers <john.stowers@gmail.com>

	* conduit/Conflict.py, conduit/ModuleWrapper.py: Actually show some
	  icons

2007-08-27 08:49  John Stowers <john.stowers@gmail.com>

	* conduit/Conflict.py, conduit/DataProvider.py, conduit/GtkUI.py,
	  conduit/ModuleWrapper.py, configure.ac: Closer to working themed
	  icons

2007-08-27 08:33  John Stowers <john.stowers@gmail.com>

	* data/icons/16x16, data/icons/22x22, data/icons/32x32,
	  data/icons/48x48, data/icons/Makefile.am, data/icons/hicolor,
	  data/icons/hicolor/16x16, data/icons/hicolor/16x16/Makefile.am,
	  data/icons/hicolor/16x16/actions, data/icons/hicolor/16x16/apps,
	  data/icons/hicolor/16x16/status, data/icons/hicolor/22x22,
	  data/icons/hicolor/22x22/Makefile.am,
	  data/icons/hicolor/22x22/apps, data/icons/hicolor/32x32,
	  data/icons/hicolor/32x32/Makefile.am,
	  data/icons/hicolor/32x32/apps, data/icons/hicolor/48x48,
	  data/icons/hicolor/48x48/Makefile.am,
	  data/icons/hicolor/48x48/apps, data/icons/hicolor/Makefile.am,
	  data/icons/hicolor/scalable,
	  data/icons/hicolor/scalable/Makefile.am,
	  data/icons/hicolor/scalable/apps, data/icons/scalable: move icons
	  to hicolor subdir so it can run uninstalled

2007-08-27 08:30  John Stowers <john.stowers@gmail.com>

	* data/icons/16x16/Makefile.am: another forgotten makefile

2007-08-27 08:24  John Stowers <john.stowers@gmail.com>

	* data/icons/22x22/Makefile.am, data/icons/32x32/Makefile.am,
	  data/icons/48x48/Makefile.am, data/icons/Makefile.am,
	  data/icons/scalable/Makefile.am: Forgot some makefiles

2007-08-27 08:06  John Stowers <john.stowers@gmail.com>

	* Makefile.am, configure.ac, data/Makefile.am,
	  data/conduit-progress.svg, data/icons/16x16/actions/Makefile.am,
	  data/icons/16x16/actions/conduit-conflict-delete.png,
	  data/icons/16x16/actions/conduit-conflict-left.png,
	  data/icons/16x16/actions/conduit-conflict-right.png,
	  data/icons/16x16/actions/conduit-conflict-skip.png,
	  data/icons/16x16/status/Makefile.am,
	  data/icons/16x16/status/conduit-progress-1.png,
	  data/icons/16x16/status/conduit-progress-2.png,
	  data/icons/16x16/status/conduit-progress-3.png,
	  data/icons/16x16/status/conduit-progress-4.png,
	  data/icons/16x16/status/conduit-progress-5.png,
	  data/icons/16x16/status/conduit-progress-6.png,
	  data/icons/16x16/status/conduit-progress-7.png,
	  data/icons/16x16/status/conduit-progress-8.png,
	  data/icons/16x16/status/conduit-sink.png,
	  data/icons/16x16/status/conduit-source.png,
	  data/icons/16x16/status/conduit-twoway.png,
	  data/icons/22x22/apps/Makefile.am,
	  data/icons/32x32/apps/Makefile.am,
	  data/icons/48x48/apps/Makefile.am,
	  data/icons/conduit-conflict-delete.png,
	  data/icons/conduit-conflict-left.png,
	  data/icons/conduit-conflict-right.png,
	  data/icons/conduit-conflict-skip.png,
	  data/icons/conduit-progress-1.png,
	  data/icons/conduit-progress-2.png,
	  data/icons/conduit-progress-3.png,
	  data/icons/conduit-progress-4.png,
	  data/icons/conduit-progress-5.png,
	  data/icons/conduit-progress-6.png,
	  data/icons/conduit-progress-7.png,
	  data/icons/conduit-progress-8.png,
	  data/icons/conduit-progress.svg, data/icons/conduit-sink.png,
	  data/icons/conduit-source.png, data/icons/conduit-twoway.png,
	  data/icons/conduit.png, data/icons/conduit.svg,
	  data/icons/scalable/apps/Makefile.am,
	  data/icons/scalable/apps/conduit.svg, data/logo.svg,
	  help/C/conduit.xml, help/conduit.omf.in, m4/gnome-doc-utils.m4:
	  enable the gnome doc utils stuff, more icon fixes

2007-08-27 07:16  John Stowers <john.stowers@gmail.com>

	* data/Makefile.am, data/conduit-icon.png, data/conduit-icon.svg,
	  data/conduit-progress-1.png, data/conduit-progress-2.png,
	  data/conduit-progress-3.png, data/conduit-progress-4.png,
	  data/conduit-progress-5.png, data/conduit-progress-6.png,
	  data/conduit-progress-7.png, data/conduit-progress-8.png,
	  data/conduit-progress.svg, data/conflict-left.png,
	  data/conflict-right.png, data/conflict-skip.png,
	  data/conflict-twoway.png, data/feed-icon.png, data/feed.png,
	  data/icons, data/icons/16x16, data/icons/16x16/actions,
	  data/icons/16x16/actions/Makefile.am, data/icons/16x16/apps,
	  data/icons/16x16/apps/Makefile.am,
	  data/icons/16x16/apps/conduit.png, data/icons/16x16/status,
	  data/icons/16x16/status/Makefile.am, data/icons/22x22,
	  data/icons/22x22/apps, data/icons/22x22/apps/Makefile.am,
	  data/icons/22x22/apps/conduit.png, data/icons/32x32,
	  data/icons/32x32/apps, data/icons/32x32/apps/Makefile.am,
	  data/icons/32x32/apps/conduit.png, data/icons/48x48,
	  data/icons/48x48/apps, data/icons/48x48/apps/Makefile.am,
	  data/icons/48x48/apps/conduit.png,
	  data/icons/conduit-conflict-delete.png,
	  data/icons/conduit-conflict-left.png,
	  data/icons/conduit-conflict-right.png,
	  data/icons/conduit-conflict-skip.png,
	  data/icons/conduit-progress-1.png,
	  data/icons/conduit-progress-2.png,
	  data/icons/conduit-progress-3.png,
	  data/icons/conduit-progress-4.png,
	  data/icons/conduit-progress-5.png,
	  data/icons/conduit-progress-6.png,
	  data/icons/conduit-progress-7.png,
	  data/icons/conduit-progress-8.png,
	  data/icons/conduit-progress.svg, data/icons/conduit-sink.png,
	  data/icons/conduit-source.png, data/icons/conduit-twoway.png,
	  data/icons/conduit.png, data/icons/conduit.svg,
	  data/icons/scalable, data/icons/scalable/apps,
	  data/icons/scalable/apps/Makefile.am, data/sink-icon.png,
	  data/source-icon.png, data/twoway-icon.png, help, help/C,
	  help/C/conduit.xml, help/C/figures, help/C/figures/conduit.png,
	  help/ChangeLog, help/Makefile.am, help/conduit.omf.in: BROKEN.
	  First autofoo support of themeble icons and gnome doc utils help

2007-08-26 08:00  John Carr <john.carr@unrouted.co.uk>

	* autogen.sh: Make autogen executable..

2007-08-26 07:16  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/iPodModule.py: Fed up of that error now -_-

2007-08-24 09:28  John Stowers <john.stowers@gmail.com>

	* scripts/build-stationary-packages.sh,
	  scripts/build-svn-packages.sh: Scripts to build conduit deb
	  packages locally or from svn. Supplied by new conduit contributor
	  Jonny 'the third J' Lamb

2007-08-24 00:07  John Stowers <john.stowers@gmail.com>

	* conduit/Utils.py, conduit/dataproviders/FileModule/FileModule.py:
	  Split the folder scanner thread stuff out into Utils

2007-08-23 12:32  John Stowers <john.stowers@gmail.com>

	* conduit/Hal.py: Add n800 detection to Hal. patch from Jaime
	  Frutos Morales

2007-08-21 07:42  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/NetworkModule/NetworkModule.py,
	  conduit/dataproviders/NetworkModule/Server.py,
	  conduit/datatypes/File.py: If i want to share my files on the
	  network with Conduit I damn well willsvn diff | less

2007-08-20 22:47  John Stowers <john.stowers@gmail.com>

	* acinclude.m4, autogen.sh, configure.ac, m4/python.m4: Clean up
	  autotools stuff. Patches from Rodney Dawes and Jonny Lamb. Thanks
	  a lot guys

2007-08-20 18:21  John Carr <john.carr@unrouted.co.uk>

	* conduit/DBus.py: Don't leave Dbus out of the fun from [800]

2007-08-20 07:49  John Carr <john.carr@unrouted.co.uk>

	* conduit/Canvas.py, conduit/Conduit.py, conduit/Main.py,
	  conduit/SyncSet.py: [800] is mine :D Implement Conduit.sync() and
	  Conduit.refresh()

2007-08-20 00:49  John Stowers <john.stowers@gmail.com>

	* configure.ac: depend on goocanvas 0.8.0 or greater

2007-08-20 00:31  John Stowers <john.stowers@gmail.com>

	* conduit/Conduit.py, conduit/DBus.py, conduit/Utils.py: Wrap uuid
	  because its only available on python 2.5. Bad Jc2k for not
	  checking first

2007-08-19 23:36  John Stowers <john.stowers@gmail.com>

	* conduit/Main.py: Remove the dynamic import stuff because its
	  broken when conduit is installed

2007-08-19 23:34  John Stowers <john.stowers@gmail.com>

	* conduit/Makefile.am: Play nicer with the autogenerated changelog
	  when running make distcheck

2007-08-19 23:34  John Stowers <john.stowers@gmail.com>

	* Makefile.am: Play nicer with the autogenerated changelog when
	  running make distcheck

2007-08-19 22:36  John Stowers <john.stowers@gmail.com>

	* Makefile.am: svn2cl.sh is called svn2cl in the subversion-tools
	  package

2007-08-19 21:40  John Stowers <john.stowers@gmail.com>

	* po/POTFILES.in: Pass make distcheck

2007-08-19 17:18  John Carr <john.carr@unrouted.co.uk>

	* conduit/Canvas.py: Workaround so we look prettier.. fixes *cough*
	  new conduits getting set to be too big on creation

2007-08-19 16:03  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/DataProvider.py,
	  conduit/dataproviders/FacebookModule/FacebookModule.py,
	  conduit/dataproviders/FlickrModule/FlickrModule.py,
	  conduit/dataproviders/PicasaModule/PicasaAPI/picasaweb.py,
	  conduit/dataproviders/PicasaModule/PicasaModule.py,
	  conduit/dataproviders/SmugMugModule/SmugMugModule.py: Also pass
	  mimetype to image uploads, so they can use it if they need to

2007-08-19 05:31  John Stowers <john.stowers@gmail.com>

	* configure.ac, m4/intltool.m4: Specify m4 directory so that
	  python.m4 is found

2007-08-19 05:31  John Stowers <john.stowers@gmail.com>

	* conduit/Main.py, conduit/__init__.py: DBus activation now lives
	  on same object but at different obj path

2007-08-18 03:33  John Stowers <john.stowers@gmail.com>

	* test/python-tests/TestBoxDotNet.py,
	  test/python-tests/TestFile2.py, test/python-tests/TestFlickr.py,
	  test/python-tests/TestPicasa.py,
	  test/python-tests/TestSmugMug.py: Test to show picasa upload is
	  broken

2007-08-18 02:38  John Stowers <john.stowers@gmail.com>

	* scripts/check-doc.sh, scripts/check-pyflakes.sh,
	  scripts/get-invalid-bugs.sh, scripts/make-deb.sh,
	  scripts/make-doc.sh, scripts/make-goocanvas-doc.sh,
	  scripts/run-tests.sh, scripts/update-3rdparty-libs.sh,
	  scripts/upload-doc.sh: Update and remove some crusty scripts

2007-08-18 02:08  John Stowers <john.stowers@gmail.com>

	* conduit/Utils.py,
	  conduit/dataproviders/BoxDotNetModule/BoxDotNetModule.py,
	  conduit/dataproviders/FacebookModule/pyfacebook/__init__.py,
	  conduit/dataproviders/FlickrModule/FlickrModule.py,
	  test/python-tests/TestBoxDotNet.py: Tidy gnome.url_show into
	  Utils.open_url, add an upload test to BoxDotNet

2007-08-18 01:46  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py: Fix the case where the top dp or conduit is
	  removed. Ick

2007-08-17 19:50  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/OpensyncModule.py: Make some methods
	  private, implement a _get_hash helper for plugins that don't
	  implement hashes (o.o), fix so tests don't explode :)

2007-08-17 19:49  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/NetworkModule/Server.py: Fed up of network
	  code having a notes icon..

2007-08-17 11:18  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py: Move the dataprovider items into the correct
	  positions when one below them is deleted

2007-08-17 04:00  John Stowers <john.stowers@gmail.com>

	* tools/eog-plugin/conduit.py: connect to conduit over dbus

2007-08-17 01:52  John Stowers <john.stowers@gmail.com>

	* tools/eog-plugin/conduit.py: port the action group stuff from
	  postr. Try the conduit dbus interface

2007-08-17 01:15  John Stowers <john.stowers@gmail.com>

	* conduit/Conduit.py, conduit/DBus.py, conduit/Main.py,
	  scripts/make-doc.sh, test/python-tests/TestDBus.py: More dbus
	  methods and tests

2007-08-16 11:10  John Stowers <john.stowers@gmail.com>

	* conduit/Makefile.am: fix make distcheck

2007-08-16 08:08  John Stowers <john.stowers@gmail.com>

	* conduit/DBus.py, conduit/GtkUI.py, conduit/Synchronization.py,
	  conduit/dataproviders/FileModule/FileModule.py,
	  conduit/dataproviders/NetworkModule/NetworkModule.py,
	  test/python-tests/TestDBus.py,
	  tools/example-dbus-conduit-client.py: Add some more DBus methods.
	  Add the Exporter iface to the conduit service. Beef up the demo
	  app, and fix the progress signal

2007-08-16 03:51  John Stowers <john.stowers@gmail.com>

	* conduit/DBus.py, test/python-tests/TestDBus.py: Test DBus iface
	  directly, not over dbus. This means we can get code coverage
	  analysis for it

2007-08-16 02:17  John Stowers <john.stowers@gmail.com>

	* tools/example-dbus-conduit-client.py: example using new dbus
	  iface

2007-08-16 02:15  John Stowers <john.stowers@gmail.com>

	* conduit/DBus.py: New DBus interface

2007-08-15 20:03  John Carr <john.carr@unrouted.co.uk>

	* scripts/run-tests.sh, test/python-tests/AutoGenerate.py,
	  test/python-tests/AutoSoup.py, test/python-tests/AutoTemplate.py:
	  Auto tests are running, hurrah :D

2007-08-15 10:32  John Stowers <john.stowers@gmail.com>

	* conduit/GtkUI.py: Fix sync_completed args

2007-08-15 10:31  John Stowers <john.stowers@gmail.com>

	* conduit/Utils.py,
	  conduit/dataproviders/FacebookModule/FacebookModule.py: Facebook
	  login is problematic

2007-08-15 10:03  John Stowers <john.stowers@gmail.com>

	* conduit/Utils.py, conduit/dataproviders/FacebookModule,
	  conduit/dataproviders/FacebookModule/FacebookModule.py,
	  conduit/dataproviders/FacebookModule/pyfacebook,
	  conduit/dataproviders/FacebookModule/pyfacebook/__init__.py:
	  FAcebook photo upload support

2007-08-15 04:55  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py, conduit/Conduit.py, conduit/SyncSet.py:
	  Twoways dropped onto the right side go into sink position

2007-08-15 04:08  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py, conduit/Conduit.py, conduit/DBus.py,
	  conduit/GtkUI.py, conduit/Module.py, conduit/ModuleWrapper.py,
	  conduit/SyncSet.py, conduit/dataproviders/TestModule.py: Fix all
	  the pending DP stuff. Lots of feature improvements such as
	  configuration being lost. Also this allows for the deletion of
	  some of the most horrible code in conduit and see it replaced
	  with nice friendly signal orientated code

2007-08-15 02:12  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py, conduit/DBus.py, conduit/DataProvider.py,
	  conduit/Module.py, conduit/ModuleWrapper.py, conduit/SyncSet.py:
	  move set_configuration_xml to ModuleWrapper. This allows it to be
	  overridden in PendingWrapper so that when an actual dataprovider
	  becomes available it gets the configuration being held by the
	  pending wrapper

2007-08-14 22:56  John Stowers <john.stowers@gmail.com>

	* tools/eog-plugin/conduit.py, tools/eog-plugin/config.glade: Use
	  the eog sidebar

2007-08-14 19:07  John Carr <john.carr@unrouted.co.uk>

	* scripts/run-tests.sh: Only run the slow acceptance tests when
	  asked

2007-08-14 18:51  John Carr <john.carr@unrouted.co.uk>

	* scripts/run-tests.sh, test/python-tests/AutoGenerate.py,
	  test/python-tests/AutoSoup.py, test/python-tests/AutoTemplate.py,
	  test/python-tests/TestSyncPermutation.py: Break up
	  TestSyncPermutation into bytesize pieces (makes it easier to
	  re-run one failed test)

2007-08-14 09:10  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py: double click to configure

2007-08-14 08:54  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py: Leave a gap between conduits

2007-08-14 03:49  John Stowers <john.stowers@gmail.com>

	* test/python-tests/TestSyncLogic.py: Fix test typo

2007-08-14 03:37  John Stowers <john.stowers@gmail.com>

	* conduit/DeltaProvider.py, conduit/Synchronization.py,
	  test/python-tests/TestSyncLogic.py: Test the modified, added and
	  delete logic with a carefully crafted test case

2007-08-14 01:48  John Stowers <john.stowers@gmail.com>

	* test/python-tests/TestSyncFolderFolder.py,
	  test/python-tests/TestSyncPermutation.py,
	  test/python-tests/TestSyncTestDPs.py,
	  test/python-tests/TestSyncTomboyFolder.py,
	  test/python-tests/TestSyncTomboyiPod.py,
	  test/python-tests/common.py: use the sync_aborted call in the
	  tests

2007-08-14 01:33  John Stowers <john.stowers@gmail.com>

	* test/python-tests/TestSyncTestDPs.py,
	  test/python-tests/common.py: Use the test DPs and the newly
	  captured error states to test the sync machinery a lot more

2007-08-14 01:33  John Stowers <john.stowers@gmail.com>

	* conduit/DBus.py, conduit/Synchronization.py,
	  conduit/dataproviders/TestModule.py: Capture the different types
	  of errors in the Sync state machine

2007-08-13 22:08  John Stowers <john.stowers@gmail.com>

	* conduit/Conduit.py, conduit/dataproviders/TestModule.py,
	  test/python-tests/TestSyncTestDPs.py,
	  test/python-tests/common.py: Use the test dataproviders to test
	  large amounts of data going

2007-08-13 10:30  John Stowers <john.stowers@gmail.com>

	* tools/eog-plugin, tools/eog-plugin/conduit.eog-plugin,
	  tools/eog-plugin/conduit.py, tools/eog-plugin/config.glade: Add
	  the skeleton eog plugin

2007-08-13 04:49  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py, conduit/Conduit.py: Make the two way
	  connectorness show in the GUI

2007-08-13 03:12  John Stowers <john.stowers@gmail.com>

	* conduit/Conduit.py, conduit/Conflict.py, conduit/DataProvider.py,
	  conduit/SyncSet.py, conduit/Synchronization.py: Fix some signal
	  emission bugs that were causing random crashes. We now override
	  gobject.emit so that emission happes via idle_add on the gui main
	  loop

2007-08-12 09:37  John Carr <john.carr@unrouted.co.uk>

	* conduit/Canvas.py: Fix the fix for welcome message correctness

2007-08-09 22:38  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py: Fix the GUI resize behaviour

2007-08-08 14:37  John Carr <john.carr@unrouted.co.uk>

	* conduit/Tree.py: Guard against #98...

2007-08-07 22:24  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/OpensyncModule.py: Ok, it can cope with
	  Contacts and Events now...

2007-08-07 07:49  John Carr <john.carr@unrouted.co.uk>

	* test/python-tests/TestSyncPermutation.py: Grr, turn test back on
	  :O

2007-08-07 07:48  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/OpensyncModule.py: Import guard for those
	  who don't have opensync...

2007-08-06 21:39  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/OpensyncModule.py: towards opensync phase
	  1; checkpoint of some thoughts on handling different obj types

2007-08-06 21:36  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/NetworkModule/Server.py,
	  test/python-tests/TestSyncPermutation.py,
	  test/python-tests/common.py: Use uid instead of some nasty crack
	  involving hex encoded get_key()

2007-08-06 21:35  John Carr <john.carr@unrouted.co.uk>

	* conduit/Conduit.py, conduit/SyncSet.py: Give Conduit instances a
	  unqiue ID

2007-08-05 12:36  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/OpensyncModule.py: Closer to phase 1 of
	  opensync integration :D

2007-08-04 21:30  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py, conduit/GtkUI.py, conduit/Makefile.am: Can now
	  clear the canvas

2007-08-04 19:19  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/OpensyncModule.py: More opensync coverage,
	  tho even more hardcoded to evo2 plugin, :P

2007-08-04 16:03  John Carr <john.carr@unrouted.co.uk>

	* conduit/Canvas.py: Fix welcome message showing when dps are
	  restored by SyncSet

2007-08-04 13:07  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/OpensyncModule.py: Experimental stuff :) -
	  enumerate available opensync sinks and integrate them into
	  conduit

2007-08-03 14:45  John Carr <john.carr@unrouted.co.uk>

	* test/python-tests/common.py: Make stress tests live once again

2007-08-03 14:44  John Carr <john.carr@unrouted.co.uk>

	* conduit/Conduit.py: Allow twoway to work, but comment out some
	  broken UI code

2007-08-03 14:43  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/EvolutionModule/EvolutionModule.py: Fix
	  some typos that crept in to EvolutionModule

2007-08-03 07:59  John Stowers <john.stowers@gmail.com>

	* conduit/GtkUI.py, conduit/Main.py, conduit/MainWindow.py,
	  conduit/start_conduit.py: Refactor out the GUI code in
	  preparation for a hildon UI. Note that configure is currenlty
	  broken and the ui command line arg should be a --with-ui=
	  configure flag

2007-08-03 05:48  John Stowers <john.stowers@gmail.com>

	* ., conduit/Canvas.py, conduit/Conduit.py, conduit/DBus.py,
	  conduit/DataProvider.py, conduit/MainWindow.py,
	  conduit/Module.py, conduit/ModuleWrapper.py, conduit/Settings.py,
	  conduit/SyncSet.py,
	  conduit/dataproviders/FileModule/FileModule.py,
	  conduit/dataproviders/NetworkModule/Client.py,
	  conduit/dataproviders/NetworkModule/NetworkModule.py,
	  conduit/dataproviders/NetworkModule/Server.py,
	  conduit/dataproviders/TestModule.py,
	  conduit/dataproviders/iPodModule.py: Merge mvc branch to trunk

2007-08-03 05:27  John Stowers <john.stowers@gmail.com>

	* .: Initialized merge tracking via "svnmerge" with revisions
	  "1-693" from
	  https://svn.greenbirdsystems.com/conduit/branches/better-mvc

2007-08-03 05:22  John Stowers <john.stowers@gmail.com>

	* .: Initialized merge tracking via "svnmerge" with revisions
	  "1-726" from
	  https://svn.greenbirdsystems.com/conduit/branches/better-mvc

2007-07-29 15:06  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/dataproviders/BoxDotNetModule/BoxDotNetModule.py: Fix
	  box.net login again

2007-07-29 14:56  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/dataproviders/FlickrModule/FlickrAPI/flickrapi.py: Proper
	  indentation

2007-07-29 14:48  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/Utils.py,
	  conduit/dataproviders/BoxDotNetModule/BoxDotNetAPI/boxdotnet.py,
	  conduit/dataproviders/BoxDotNetModule/BoxDotNetModule.py,
	  conduit/dataproviders/FlickrModule/FlickrAPI/flickrapi.py,
	  conduit/dataproviders/FlickrModule/FlickrModule.py: Get rid of
	  gnome-www-open

2007-07-24 19:58  John Carr <john.carr@unrouted.co.uk>

	* po/LINGUAS, po/pt_BR.po: pt_BR translation, thanks VladimirMelo

2007-07-21 16:56  John Stowers <john.stowers@gmail.com>

	* conduit/MainWindow.py, conduit/Synchronization.py: Refreshing
	  dataproviders is now safe and non blocking

2007-07-21 16:41  John Stowers <john.stowers@gmail.com>

	* conduit/Synchronization.py: Split SyncWorker out into base class
	  to be overrided by RefreshWorker

2007-07-21 16:08  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/EvolutionModule/EvolutionModule.py: Update
	  to the new evolution-python api

2007-07-17 21:59  John Carr <john.carr@unrouted.co.uk>

	* po/LINGUAS, po/fr.po: Add the french translation kindly provided
	  by Roumano :)

2007-07-16 21:49  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/iPodModule.py, po/sv.po,
	  scripts/ListDBus.py, test/python-tests/TestSyncPermutation.py,
	  test/python-tests/common.py: Latest Swedish translation from
	  Daniel Nylander, thanks! :D

2007-07-14 04:14  John Stowers <john.stowers@gmail.com>

	* scripts/ListDBus.py, test/python-tests/TestTomboy.py: fix the
	  tomboy test

2007-07-13 22:34  John Stowers <john.stowers@gmail.com>

	* conduit/Makefile.am, conduit/__init__.py,
	  conduit/start_conduit.py, configure.ac: use localedir variable
	  directly

2007-07-12 21:13  John Stowers <john.stowers@gmail.com>

	* conduit/Makefile.am, conduit/__init__.py,
	  conduit/start_conduit.py, configure.ac, data, data/Makefile.am,
	  data/conduit-autostart.desktop.in.in, po/LINGUAS, po/POTFILES.in,
	  po/POTFILES.skip, po/sv.po: Enable autostart and translations

2007-07-12 17:23  John Stowers <john.stowers@gmail.com>

	* conduit/MainWindow.py: work round a goocanvas crasher.
	  Unfortunately this makes iconify flash the screen, I think

2007-07-12 05:04  John Stowers <john.stowers@gmail.com>

	* tools/yaput/Yaput: start making Yaput into a multi sink tool

2007-07-11 18:03  John Stowers <john.stowers@gmail.com>

	* conduit/MainWindow.py: remove some unnecessary prints in the
	  MainWindow

2007-07-11 16:07  John Stowers <john.stowers@gmail.com>

	* conduit/MainWindow.py, conduit/Settings.py, data/conduit.glade:
	  Improve minimize to tray behaviour considerably

2007-07-10 15:11  John Stowers <john.stowers@gmail.com>

	* conduit/DBus.py, tools/yaput/Yaput: Add some utility dbus
	  interfaces to build export and sync interfaces

2007-07-07 12:35  John Carr <john.carr@unrouted.co.uk>

	* conduit/Synchronization.py: Do deletes before puts, for
	  EvoMemo<-->Folder. This was deleting what it had just put in a
	  certain modify case

2007-07-07 12:06  John Carr <john.carr@unrouted.co.uk>

	* conduit/datatypes/File.py: Declare some vars earlier so that
	  TempFile doesn't break

2007-07-07 12:05  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/EvolutionModule/EvolutionModule.py: Fix
	  delete() bug and guard against None descriptions

2007-07-06 10:05  John Carr <john.carr@unrouted.co.uk>

	* test/python-tests/TestSyncPermutation.py: Run super-test against
	  network stack (source<->netsink, netsource<->sink,
	  netsource<->netsink)

2007-07-06 01:24  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/BoxDotNetModule/BoxDotNetModule.py,
	  data/Makefile.am, test/python-tests/TestBoxDotNet.py: Retain the
	  box.net filename in the transfer. Add test for boxdotnet

2007-07-06 01:23  John Stowers <john.stowers@gmail.com>

	* test/python-tests/TestFile.py, test/python-tests/TestFile2.py:
	  Test the defered rename stuff and some more code paths in File

2007-07-06 01:22  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/File.py: Allow witholding file renames and
	  mtime modification times till transfer if the file is on a
	  readonly location

2007-07-06 00:05  John Stowers <john.stowers@gmail.com>

	* conduit/DB.py, test/python-tests/TestMappingDB.py: test the
	  reverse mtime modification case john c encountered

2007-07-05 23:08  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/FileModule/FileModule.py,
	  test/python-tests/TestSyncFolderFolder.py: improve behaviour
	  syncing hidden items

2007-07-05 08:49  John Carr <john.carr@unrouted.co.uk>

	* test/python-tests/TestSyncPermutation.py: Turn the net sync
	  testing back on - there may be a 30s or so pause but then it
	  seems to work..

2007-07-04 20:22  John Carr <john.carr@unrouted.co.uk>

	* conduit/DB.py, conduit/Synchronization.py,
	  test/python-tests/TestSyncPermutation.py: Add more tests. Detect
	  Delete-Modify conflict.

2007-07-04 20:18  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/FileModule/FileModule.py: Fix
	  Folder<-->Folder modifications where group name starts recursing
	  (e.g. folderA/folderB/folderA/)

2007-07-01 20:51  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/EvolutionModule/EvolutionModule.py,
	  test/python-tests/TestSyncPermutation.py: move common evo code
	  into evo base

2007-06-29 07:59  John Carr <john.carr@unrouted.co.uk>

	* conduit/DB.py: Work around for update bug

2007-06-29 07:57  John Carr <john.carr@unrouted.co.uk>

	* test/python-tests/TestSyncPermutation.py: Be more thorough with
	  delete tests

2007-06-26 19:27  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/dataproviders/BoxDotNetModule/config.glade: Fix label

2007-06-24 16:11  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* configure.ac: Fix make: add box.net directories to configure.ac

2007-06-24 09:42  John Carr <john.carr@unrouted.co.uk>

	* test/python-tests/TestSyncPermutation.py: Give the modifiy case a
	  workout.

2007-06-24 09:40  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/EvolutionModule/EvolutionModule.py: Fix
	  typo in _update_object

2007-06-23 17:53  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/BoxDotNetModule,
	  conduit/dataproviders/BoxDotNetModule/BoxDotNetAPI,
	  conduit/dataproviders/BoxDotNetModule/BoxDotNetAPI/Makefile.am,
	  conduit/dataproviders/BoxDotNetModule/BoxDotNetAPI/boxdotnet.py,
	  conduit/dataproviders/BoxDotNetModule/BoxDotNetModule.py,
	  conduit/dataproviders/BoxDotNetModule/Makefile.am,
	  conduit/dataproviders/BoxDotNetModule/config.glade,
	  conduit/dataproviders/Makefile.am, data/boxdotnet.png: Add
	  support for box.net. Credit to thomas on this one

2007-06-23 10:46  John Carr <john.carr@unrouted.co.uk>

	* test/python-tests/TestSyncPermutation.py: Be better at catching
	  unhandled exceptions in SyncWorker

2007-06-23 10:45  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/iPodModule.py: Start laying down
	  foundations for iPod Photo sync capability

2007-06-23 10:43  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/EvolutionModule/EvolutionModule.py: Make
	  Memo 2way more like the others...

2007-06-22 17:30  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/FileModule/FileModule.py,
	  conduit/dataproviders/FileModule/config.glade: Foldertwoway can
	  now optionally include hidden files

2007-06-20 06:04  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/dataproviders/SmugMugModule/SmugMugAPI/smugmug.py: Close
	  the smugmug response

2007-06-19 05:36  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/dataproviders/FlickrModule/FlickrModule.py: Add delete
	  support for flickr, fix info getter for private photos

2007-06-17 21:33  John Carr <john.carr@unrouted.co.uk>

	* test/python-tests/TestSyncPermutation.py: Test; Count how many
	  different combinations are tested

2007-06-17 19:50  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/EvolutionModule/EvolutionModule.py,
	  test/python-tests/TestSyncPermutation.py,
	  test/python-tests/common.py: Get some test coverage on the Evo
	  Contacts dp

2007-06-17 14:47  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/EvolutionModule/EvolutionModule.py: Evo
	  Calendar + Tasks sync. Also, reuse more code. C+P is bad.

2007-06-16 23:24  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/FlickrModule/FlickrModule.py: Rollback
	  Flickr change..

2007-06-16 23:23  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/EvolutionModule/EvolutionModule.py,
	  conduit/dataproviders/FlickrModule/FlickrModule.py,
	  conduit/datatypes/Event.py: Get closer to working calendar twoway

2007-06-16 22:10  John Carr <john.carr@unrouted.co.uk>

	* ., conduit/dataproviders/EvolutionModule/EvolutionModule.py: Add
	  skeletal EvoCalendar DP - evo cal -> folder + ipod works

2007-06-14 19:37  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/dataproviders/PicasaModule/PicasaAPI/picasaweb.py,
	  conduit/dataproviders/PicasaModule/PicasaModule.py: Add delete
	  support for picasa

2007-06-14 19:05  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/DataProvider.py,
	  conduit/dataproviders/SmugMugModule/SmugMugAPI/smugmug.py,
	  conduit/dataproviders/SmugMugModule/SmugMugModule.py,
	  test/python-tests/TestSmugMug.py: Add delete support for smugmug,
	  use smugmug rest api instead of xmlrpc, update test

2007-06-13 20:36  John Carr <john.carr@unrouted.co.uk>

	* ., conduit.desktop: Remove orphaned .desktop

2007-06-13 20:36  John Carr <john.carr@unrouted.co.uk>

	* ., conduit.desktop, data/conduit.desktop.in.in: Move conduit icon
	  in to accessories

2007-06-12 19:37  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/DataProvider.py: Add missing import

2007-06-12 09:05  John Stowers <john.stowers@gmail.com>

	* conduit/Conflict.py, conduit/DB.py, conduit/DeltaProvider.py,
	  conduit/Synchronization.py, test/python-tests/TestMappingDB.py:
	  Move to the new db schema

2007-06-10 14:53  John Carr <john.carr@unrouted.co.uk>

	* test/python-tests/TestSyncPermutation.py,
	  test/python-tests/common.py: Add common code for testing
	  networked dp and modify TestSyncPermutation to work some
	  networked dataproviders

2007-06-10 14:51  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/NetworkModule/Client.py,
	  conduit/dataproviders/NetworkModule/NetworkModule.py,
	  conduit/dataproviders/NetworkModule/Server.py: Bugfixes around
	  the LUID (hide None), move t
	  wisted in to a thread

2007-06-10 14:39  John Carr <john.carr@unrouted.co.uk>

	* conduit/datatypes/Contact.py, conduit/datatypes/DataType.py,
	  conduit/datatypes/Event.py, conduit/datatypes/File.py,
	  conduit/datatypes/Note.py: Make some more datatypes pickleable

2007-06-09 21:54  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/NetworkModule/Client.py,
	  conduit/dataproviders/NetworkModule/Server.py: Reimplement
	  network stuff in XML-RPC

2007-06-09 21:53  John Carr <john.carr@unrouted.co.uk>

	* conduit/datatypes/Contact.py: Allow contact datatype to be
	  pickled

2007-06-09 13:31  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* test/python-tests/TestSmugMug.py: Make test work again

2007-06-08 21:27  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/DataProvider.py,
	  conduit/dataproviders/FlickrModule/FlickrModule.py,
	  conduit/dataproviders/PicasaModule/PicasaModule.py,
	  conduit/dataproviders/SmugMugModule/SmugMugModule.py: Cleanup
	  ImageSink a bit

2007-06-08 10:08  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/dataproviders/PicasaModule/PicasaAPI/picasaweb.py: Small
	  cleanup

2007-06-08 06:18  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* test/python-tests/TestPicasa.py: For John: a picasa test

2007-06-08 06:01  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/DataProvider.py,
	  conduit/dataproviders/PicasaModule/PicasaModule.py: Picasa
	  doesn't let you upload png

2007-06-07 19:30  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/EvolutionModule/EvolutionModule.py: Tweak
	  evo import

2007-06-07 19:26  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/SmugMugModule/SmugMugAPI/smugmug.py: Small
	  change to work with python 2.4 and 2.5

2007-06-07 06:11  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/DataProvider.py,
	  conduit/dataproviders/FlickrModule/FlickrModule.py,
	  conduit/dataproviders/PicasaModule/PicasaModule.py,
	  conduit/dataproviders/SmugMugModule/SmugMugModule.py: Rework
	  image sinks to share some code

2007-06-06 21:37  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/EvolutionModule/Makefile.am,
	  conduit/dataproviders/SmugMugModule/Makefile.in,
	  conduit/dataproviders/SmugMugModule/SmugMugAPI/Makefile.in,
	  configure.ac: I Hate autotools. Ship conduit with evo support by
	  default

2007-06-06 20:50  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/EvolutionModule,
	  conduit/dataproviders/EvolutionModule/Makefile.am,
	  conduit/dataproviders/Makefile.am,
	  conduit/dataproviders/PicasaModule,
	  conduit/dataproviders/PicasaModule/PicasaAPI, configure.ac: add
	  evolution module to dist

2007-06-06 19:40  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/SmugMugModule/SmugMugAPI/Makefile.am,
	  conduit/dataproviders/SmugMugModule/SmugMugAPI/Makefile.in: pass
	  make distcheck

2007-06-06 06:19  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/DeltaProvider.py: One line fixer for delta provider

2007-06-03 23:13  John Stowers <john.stowers@gmail.com>

	* conduit/DataProvider.py,
	  conduit/dataproviders/EvolutionModule/EvolutionModule.py,
	  conduit/dataproviders/SettingsModule/SettingsModule.py,
	  conduit/dataproviders/TestModule.py: Convert the remaining
	  modules over to the new API

2007-06-03 23:09  John Stowers <john.stowers@gmail.com>

	* conduit/Synchronization.py: Fix typo when both items are modified

2007-06-03 22:18  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/BackpackModule/backpack-1.1/COPYING,
	  conduit/dataproviders/BackpackModule/backpack-1.1/backpack.py:
	  Add backpack licence

2007-06-03 21:42  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/NetworkModule/NetworkModule.py: Gah, turn
	  Network back off

2007-06-03 21:38  John Carr <john.carr@unrouted.co.uk>

	* conduit/DataProvider.py,
	  conduit/dataproviders/NetworkModule/NetworkModule.py,
	  conduit/dataproviders/iPodModule.py,
	  test/python-tests/TestSyncPermutation.py: Make permutation test
	  pass

2007-06-03 19:13  John Stowers <john.stowers@gmail.com>

	* test/python-tests/TestSmugMug.py: fix small env var typo in
	  smugmug test

2007-06-03 19:08  John Stowers <john.stowers@gmail.com>

	* test/python-tests/TestSyncTomboyiPod.py,
	  test/python-tests/TestiPod.py, test/python-tests/common.py:
	  update tests to new API

2007-06-03 18:21  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/GmailModule/GmailModule.py: Let Gmail
	  Contacts use new style get()

2007-06-03 18:14  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/GmailModule/GmailModule.py: Let Gmail
	  Emails use new style get()

2007-06-03 18:01  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/EvolutionModule/EvolutionModule.py: Get Evo
	  working with new style get()

2007-06-03 17:56  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/FileModule/FileModule.py: update the
	  filesource to the new api

2007-06-03 17:53  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/FeedModule/FeedModule.py: Let f-spot source
	  work with new style get()

2007-06-03 17:35  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/FspotModule/FspotModule.py: Let F-Spot
	  source work with new style get()

2007-06-03 16:56  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/SynceModule.py: Let SynCE work with new
	  style get

2007-06-03 16:50  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/iPodModule.py: Let iPod work with new style
	  get

2007-06-03 16:43  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/EvolutionModule/EvolutionModule.py: Fix
	  typo.

2007-06-03 16:17  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/TomboyModule.py: Fix typos

2007-06-03 16:16  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/FileModule/FileModule.py: remove some more
	  remains of escaping

2007-06-03 15:03  John Stowers <john.stowers@gmail.com>

	* conduit/Conflict.py, conduit/Synchronization.py: be a bit more
	  descriptive with the deleted data names

2007-06-03 14:29  John Stowers <john.stowers@gmail.com>

	* conduit/DataProvider.py, conduit/DeltaProvider.py,
	  conduit/Synchronization.py,
	  conduit/dataproviders/FileModule/FileModule.py,
	  conduit/dataproviders/TomboyModule.py: WARNING: NEW STATELESS
	  SYNC APPROACH. Still some bugs remaining wrt escaping file names

2007-06-03 14:03  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/dataproviders/SmugMugModule/SmugMugModule.py,
	  test/python-tests/TestSmugMug.py: Adding Smugmug test

2007-06-02 19:05  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/PicasaModule/PicasaAPI: Fix some more
	  ignore properties

2007-06-02 19:04  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/FileModule/FileModule.py: Make sure in all
	  cases that the correct file name is used - this avoids problems
	  where conversions dont set a filename

2007-06-02 17:59  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/BackpackModule/config.glade,
	  conduit/dataproviders/EvolutionModule/config.glade,
	  conduit/dataproviders/FeedModule/config.glade,
	  conduit/dataproviders/FileModule/config.glade,
	  conduit/dataproviders/FlickrModule/config.glade,
	  conduit/dataproviders/FspotModule/config.glade,
	  conduit/dataproviders/GmailModule/config.glade,
	  conduit/dataproviders/PicasaModule/config.glade,
	  conduit/dataproviders/SmugMugModule/config.glade: make all the
	  config dialogs appear more consistant

2007-06-02 17:59  John Stowers <john.stowers@gmail.com>

	* test/python-tests/data/1.tomboy: test file to make tomboy test
	  work

2007-06-02 17:58  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/FlickrModule/FlickrModule.py: removed
	  another unused option

2007-06-02 12:19  John Stowers <john.stowers@gmail.com>

	* scripts/run-tests.sh, test/python-tests/TestFlickr.py,
	  test/python-tests/TestSyncTomboyFolder.py,
	  test/python-tests/common.py: fix tomboy test

2007-06-01 20:43  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/FlickrModule/FlickrModule.py,
	  conduit/dataproviders/FlickrModule/config.glade: remove some
	  options from flickr that were not supported anyway

2007-06-01 19:47  John Stowers <john.stowers@gmail.com>

	* conduit/Conflict.py: ellipsize the conflict names

2007-06-01 14:46  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/TomboyModule.py, configure.ac,
	  test/python-tests/TestBackpack.py,
	  test/python-tests/TestFlickr.py, test/python-tests/TestTomboy.py,
	  test/python-tests/common.py: move some test functions into a
	  common class, fix a tomboy bug the test suite picked up

2007-05-31 17:19  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/EvolutionModule/EvolutionModule.py,
	  conduit/dataproviders/EvolutionModule/config.glade: Support
	  Evolution Memos

2007-05-30 22:22  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/FspotModule/FspotModule.py: save fspot
	  configuration - patch from aidan skinner

2007-05-30 21:20  John Stowers <john.stowers@gmail.com>

	* conduit/DataProvider.py,
	  conduit/dataproviders/BackpackModule/BackpackModule.py,
	  conduit/dataproviders/FeedModule/FeedModule.py,
	  conduit/dataproviders/FileModule/FileModule.py,
	  conduit/dataproviders/FlickrModule/FlickrModule.py,
	  conduit/dataproviders/FspotModule/FspotModule.py,
	  conduit/dataproviders/PicasaModule/PicasaModule.py,
	  conduit/dataproviders/SettingsModule/SettingsModule.py,
	  conduit/dataproviders/SmugMugModule/SmugMugModule.py,
	  conduit/dataproviders/TomboyModule.py, data/Makefile.am,
	  data/facebook.png, data/flickr.png, data/picasa.png,
	  data/smugmug.png, doc/ExampleModule.py,
	  scripts/update-3rdparty-libs.sh: New icons and move to a new
	  treeview dp organisation

2007-05-30 21:18  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/EvolutionModule/EvolutionModule.py:
	  Modularise some code in the evo dp

2007-05-30 21:06  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/TomboyModule.py: reshuffle some code in the
	  tomboy dp to improve modularity and better serve as an example of
	  a good twoway dp

2007-05-30 20:27  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/EvolutionModule,
	  conduit/dataproviders/PicasaModule,
	  conduit/dataproviders/SmugMugModule,
	  conduit/dataproviders/SmugMugModule/SmugMugAPI: set svn:ignore to
	  ignore pyc files

2007-05-30 20:23  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/GmailModule/GmailModule.py: Remove old
	  PicasaWeb stub, has been replaced by thomasvm

2007-05-30 06:19  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/dataproviders/PicasaModule,
	  conduit/dataproviders/PicasaModule/Makefile.am,
	  conduit/dataproviders/PicasaModule/PicasaAPI,
	  conduit/dataproviders/PicasaModule/PicasaAPI/Makefile.am,
	  conduit/dataproviders/PicasaModule/PicasaAPI/picasaweb.py,
	  conduit/dataproviders/PicasaModule/PicasaModule.py,
	  conduit/dataproviders/PicasaModule/config.glade: Add folder also

2007-05-30 06:14  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* conduit/dataproviders/Makefile.am, configure.ac: Added new
	  Picasaweb module

2007-05-29 21:25  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/FileModule/FileModule.py: When restoring
	  settings treat the folder dp as configured

2007-05-29 21:24  John Carr <john.carr@unrouted.co.uk>

	* conduit/datatypes/Contact.py: Stop sync from falling over in
	  compare()

2007-05-29 21:22  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/EvolutionModule/EvolutionModule.py: First
	  pass at making EvoContact a twoway affair

2007-05-29 20:41  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/TomboyModule.py: Fix possible no-op
	  scenario in TomboyModule

2007-05-29 18:43  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/FileModule/FileModule.py: Should configure
	  before you can sync, most people won't want to try and sync their
	  entire home folder.

2007-05-29 18:39  John Carr <john.carr@unrouted.co.uk>

	* conduit/DataProvider.py,
	  conduit/dataproviders/FileModule/FileModule.py: Monitor folder
	  for new data

2007-05-29 15:41  John Stowers <john.stowers@gmail.com>

	* scripts/upload-doc.sh: upload docs to subdir

2007-05-28 11:02  John Carr <john.carr@unrouted.co.uk>

	* conduit/DB.py: Make sure mapping can be found in all cases

2007-05-27 17:59  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/EvolutionModule/EvolutionModule.py: should
	  only be one modules dict

2007-05-26 21:48  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/EvolutionModule,
	  conduit/dataproviders/EvolutionModule.py,
	  conduit/dataproviders/EvolutionModule/EvolutionModule.py,
	  conduit/dataproviders/EvolutionModule/Makefile.am,
	  conduit/dataproviders/EvolutionModule/config.glade,
	  conduit/dataproviders/Makefile.am: Make evolution contactsource
	  work and be useful

2007-05-26 20:30  John Stowers <john.stowers@gmail.com>

	* debian: remove debian dir on advice of packaging professionals.
	  Its frowned upon and mostly useless anyway

2007-05-26 13:00  John Stowers <john.stowers@gmail.com>

	* debian/control, debian/copyright, debian/rules: ok i broke the
	  patch the first time. This should be better

2007-05-26 12:53  John Stowers <john.stowers@gmail.com>

	* debian/changelog, debian/compat, debian/control,
	  debian/copyright, debian/docs, debian/rules: apply debdiff from
	  getdeb.net

2007-05-22 17:17  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/NetworkModule,
	  conduit/dataproviders/SmugMugModule,
	  conduit/dataproviders/SmugMugModule/Makefile.am,
	  conduit/dataproviders/SmugMugModule/Makefile.in,
	  conduit/dataproviders/SmugMugModule/SmugMugAPI,
	  conduit/dataproviders/SmugMugModule/SmugMugAPI/Makefile.am,
	  conduit/dataproviders/SmugMugModule/SmugMugAPI/Makefile.in,
	  conduit/dataproviders/SmugMugModule/SmugMugAPI/smugmug.py,
	  conduit/dataproviders/SmugMugModule/SmugMugModule.py,
	  conduit/dataproviders/SmugMugModule/config.glade: Commit
	  SmugMugModule because I forgot the first time

2007-05-17 17:20  John Stowers <john.stowers@gmail.com>

	* conduit/Synchronization.py, conduit/Utils.py: record if the sync
	  was aborted in addition to sending its status in the completed
	  signal

2007-05-17 17:20  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/FileModule/FileModule.py: Be more robust
	  with getting config

2007-05-17 17:19  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/File.py: New and more robust (I hope) approach
	  to creating parent dirs of paths

2007-05-17 17:16  John Stowers <john.stowers@gmail.com>

	* test/python-tests/TestFile.py,
	  test/python-tests/TestSyncFolderFolder.py,
	  test/python-tests/TestSyncPermutation.py,
	  test/python-tests/TestSyncTomboyFolder.py: update some tests to
	  use the TestSync helper

2007-05-17 17:14  John Stowers <john.stowers@gmail.com>

	* test/python-tests/common.py: Add configure, refresh, and some
	  more ok checking to the base TestSync class

2007-05-16 21:23  John Carr <john.carr@unrouted.co.uk>

	* conduit/MainWindow.py, conduit/Module.py: Allow dp factories to
	  exit gracefully

2007-05-16 19:35  John Carr <john.carr@unrouted.co.uk>

	* test/python-tests/TestSyncPermutation.py,
	  test/python-tests/common.py: bypass part of checks for 1way
	  cases. 1s delay to work around disk io being too slow...

2007-05-16 18:59  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/FileModule/FileModule.py,
	  conduit/dataproviders/Makefile.am, configure.ac: Add initial
	  SmugMug support. Dataprovider contributed by Thomas Van Machelen

2007-05-16 18:38  John Stowers <john.stowers@gmail.com>

	* test/python-tests/TestSyncPermutation.py: fix permutation test
	  misconfiguring the folder

2007-05-15 20:07  John Carr <john.carr@unrouted.co.uk>

	* test/python-tests/TestSyncPermutation.py: Changes to generic test
	  ready to work the delete/modify parts of the code base...

2007-05-15 19:21  John Stowers <john.stowers@gmail.com>

	* scripts/get-invalid-bugs.sh: script to delete bugs on server

2007-05-14 23:07  John Carr <john.carr@unrouted.co.uk>

	* test/python-tests/TestSyncICalFolderiPod.py,
	  test/python-tests/TestSyncPermutation.py,
	  test/python-tests/TestSyncVCardFolderiPod.py,
	  test/python-tests/common.py: New test that tries multiple
	  permutations of iPod (Cal+Contacts) with folder (Cal+Contacts)
	  1way,2way and slow

2007-05-13 19:16  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/NetworkModule/Client.py,
	  conduit/dataproviders/NetworkModule/Server.py: Encode uid as hex
	  so it can be part of a valid URL. Don't bother with a put URL for
	  now - pack uid in to pickle

2007-05-13 17:56  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/NetworkModule/Client.py,
	  conduit/dataproviders/TomboyModule.py: Give Client DP a better
	  UID.

2007-05-13 15:52  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/TomboyModule.py: Add a warning to help
	  trace uid encoding bug

2007-05-13 14:24  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/NetworkModule/Client.py,
	  conduit/dataproviders/NetworkModule/Server.py: More typo fixes.
	  Can now have a remote DP work as a sink.

2007-05-13 14:10  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/NetworkModule/Client.py,
	  conduit/dataproviders/NetworkModule/Server.py: Better deal with
	  put() when there is no uid

2007-05-13 13:42  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/NetworkModule/Client.py,
	  conduit/dataproviders/NetworkModule/Server.py: More work on
	  networked put() operations

2007-05-13 12:23  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/NetworkModule/Client.py,
	  conduit/dataproviders/NetworkModule/Peers.py,
	  conduit/dataproviders/NetworkModule/Server.py: Simply and put to
	  use the avahi support

2007-05-12 23:21  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/NetworkModule/Client.py,
	  conduit/dataproviders/NetworkModule/Server.py: With a Tomboy
	  source, I just synchronized to a folder over the HTTP link...

2007-05-12 22:54  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/NetworkModule/Client.py: Remove some stuff
	  that isn't relevant to the new HTTP Client code and a general
	  anti-cludge sweep.

2007-05-12 22:30  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/NetworkModule/Client.py: Handle the XML to
	  ClientDataProvider in a better way (IMHO), and fix the Tree
	  display at same time.

2007-05-12 21:37  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/NetworkModule/Client.py: Get all dp info
	  out of server XML intoo ClientDataProvider.

2007-05-12 21:04  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/NetworkModule/Client.py,
	  conduit/dataproviders/NetworkModule/Server.py: Can now discover
	  dps that are shared on the local Conduit (Tomboy..). Even have
	  correct icons when on canvas.

2007-05-12 19:07  John Stowers <john.stowers@gmail.com>

	* conduit/Conduit.py: Work around goocanvas path bug

2007-05-12 18:16  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/NetworkModule,
	  conduit/dataproviders/NetworkModule.py,
	  conduit/dataproviders/NetworkModule/Client.py,
	  conduit/dataproviders/NetworkModule/NetworkModule.py,
	  conduit/dataproviders/NetworkModule/Peers.py,
	  conduit/dataproviders/NetworkModule/Server.py,
	  conduit/dataproviders/NetworkModule/__init__.py: Snapshot of
	  current state of network code. Disabled, ugly and broken, but
	  need a restore point.

2007-05-11 04:41  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/iPodModule.py: Remove iPod test code, use
	  test framework instead

2007-05-10 08:14  John Stowers <john.stowers@gmail.com>

	* conduit/Makefile.am: Fix other installation paths in makefile.am

2007-05-09 21:47  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/FileModule/FileModule.py: Make escaping
	  finally consistant

2007-05-08 22:24  John Stowers <john.stowers@gmail.com>

	* scripts/get-closed-bugs.sh, scripts/get-invalid-bugs.sh:
	  smallscripts for playing with trac

2007-05-08 21:28  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/FileModule/FileModule.py: Back out change
	  pending further digging around in FileModule

2007-05-08 21:15  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/iPodModule.py: Fix Contact and Event in
	  iPod code having no mtime.

2007-05-08 21:14  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/FileModule/FileModule.py: Fix put()
	  returning UID in wrong format

2007-05-08 21:13  John Stowers <john.stowers@gmail.com>

	* configure.ac: configure should check for dateutil

2007-05-08 20:13  John Carr <john.carr@unrouted.co.uk>

	* test/python-tests/TestSyncICalFolderiPod.py: Add test for iCal
	  folder <--> iPod Calendar

2007-05-08 20:04  John Carr <john.carr@unrouted.co.uk>

	* test/python-tests/TestSyncVCardFolderiPod.py,
	  test/python-tests/common.py: Add test for vCard folder <--> iPod
	  Contacts

2007-05-08 16:49  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/iPodModule.py: Restructure iPod code to
	  improve code reuse

2007-05-08 16:29  John Stowers <john.stowers@gmail.com>

	* conduit/MainWindow.py, data/conduit.glade: Support iconifying the
	  GUI. Patch by tms

2007-05-07 21:46  John Stowers <john.stowers@gmail.com>

	* conduit/Utils.py,
	  conduit/dataproviders/BackpackModule/BackpackModule.py,
	  conduit/dataproviders/BackpackModule/backpack-1.1/backpack.py:
	  implement delete() in Backpackit.com dp and be more robust in the
	  case of errors

2007-05-07 20:59  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/BackpackModule/BackpackModule.py,
	  conduit/dataproviders/FlickrModule/FlickrModule.py: save
	  backpackit.com configuration

2007-05-07 20:55  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/iPodModule.py: Implement delete() and other
	  stuff needed to be a more compliant Contact/Calendar dp

2007-05-07 18:58  John Stowers <john.stowers@gmail.com>

	* conduit/DataProvider.py, conduit/Settings.py,
	  conduit/dataproviders/FileModule/FileModule.py: Move the rest of
	  the Settings loading to dataprovider base class. Fixes #99

2007-05-07 11:21  John Stowers <john.stowers@gmail.com>

	* conduit/Conflict.py, data/conflict-left.png,
	  data/conflict-right.png, data/conflict-skip.png,
	  data/conflict-twoway.png: Improve conflict renderer

2007-05-06 18:32  John Carr <john.carr@unrouted.co.uk>

	* conduit.desktop, data/conduit.desktop.in.in: Fix conduit.desktop,
	  thanks to entr0py

2007-05-06 15:08  John Stowers <john.stowers@gmail.com>

	* conduit/__init__.py, configure.ac: Post release version bump

2007-05-06 14:45  John Stowers <john.stowers@gmail.com>

	* conduit/Utils.py, conduit/dataproviders/FileModule/FileModule.py,
	  conduit/dataproviders/iPodModule.py: Escape the spaces in paths
	  correctly

2007-05-06 14:44  John Stowers <john.stowers@gmail.com>

	* conduit/DB.py: dont crash silently if the db is corrupt

2007-05-06 14:44  John Stowers <john.stowers@gmail.com>

	* conduit/Conduit.py: work around the crasher

2007-05-04 20:11  John Stowers <john.stowers@gmail.com>

	* conduit/MainWindow.py, data/Makefile.am: fix desktop icon

2007-05-04 18:59  John Stowers <john.stowers@gmail.com>

	* Makefile.am, configure.ac, scripts/svn2cl.sh, scripts/svn2cl.xsl:
	  finally pass distcheck

2007-05-04 17:45  John Stowers <john.stowers@gmail.com>

	* tools/yaput/Yaput: add me to authors

2007-05-04 17:43  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/BackpackModule/BackpackModule.py,
	  conduit/dataproviders/FlickrModule/FlickrModule.py: minor fixes
	  with configuration

2007-05-04 17:43  John Stowers <john.stowers@gmail.com>

	* tools/yaput/Yaput: Tidy up what happens when sync finishes

2007-05-04 17:13  John Stowers <john.stowers@gmail.com>

	* Makefile.am: fetch NEWS and etc from site

2007-05-04 16:14  John Stowers <john.stowers@gmail.com>

	* AUTHORS, ChangeLog, Makefile.am, autogen.sh,
	  conduit/dataproviders/BackpackModule/Makefile.am,
	  conduit/dataproviders/FeedModule/Makefile.am,
	  conduit/dataproviders/FileModule/Makefile.am,
	  conduit/dataproviders/FlickrModule/Makefile.am,
	  conduit/dataproviders/FspotModule/Makefile.am,
	  conduit/dataproviders/GmailModule/Makefile.am,
	  conduit/dataproviders/SettingsModule/Makefile.am,
	  conduit/dataproviders/SettingsModule/settings/Makefile.am,
	  configure.ac, po/ChangeLog, scripts/run-tests.sh: Make distcheck
	  pass

2007-05-02 18:27  John Stowers <john.stowers@gmail.com>

	* conduit/Conduit.py: lessen the chance of hitting the segfault bug
	  in goocanvas

2007-05-02 18:06  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/TomboyModule.py: another dbus.String fix

2007-05-02 18:06  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/EvolutionModule.py: shush

2007-05-02 18:02  John Stowers <john.stowers@gmail.com>

	* conduit/Conflict.py: Create header rows better

2007-04-30 13:06  John Stowers <john.stowers@gmail.com>

	* conduit/Conflict.py, conduit/ModuleWrapper.py,
	  conduit/Synchronization.py: be smarter with the suggested
	  directions on conflict

2007-04-30 13:02  John Stowers <john.stowers@gmail.com>

	* data/conflict-left.png, data/conflict-right.png,
	  data/conflict-skip.png, data/conflict-twoway.png: refresh some
	  icons to be less garish

2007-04-30 13:01  John Stowers <john.stowers@gmail.com>

	* conduit/Conflict.py: Reduce the chance of conduit locking - this
	  is a thread bug I need to fix

2007-04-29 18:21  John Carr <john.carr@unrouted.co.uk>

	* conduit/Conduit.py: Tweak how _draw_path works so that data
	  property is never empty

2007-04-28 13:50  John Stowers <john.stowers@gmail.com>

	* conduit/Conduit.py: revert segfault fix that did nothing

2007-04-27 17:29  John Stowers <john.stowers@gmail.com>

	* m4/intltool.m4, test/python-tests/TestDBus.py: misc tidy ups

2007-04-27 17:29  John Stowers <john.stowers@gmail.com>

	* conduit/Conduit.py: Stop goocanvas segfault - needs debugging

2007-04-27 17:28  John Stowers <john.stowers@gmail.com>

	* conduit/Conflict.py: fix the cellrender for conflicts. (I am
	  using the wrong arrow for deletion. will fix later)

2007-04-27 17:27  John Stowers <john.stowers@gmail.com>

	* conduit/Synchronization.py: Fix bug where on oneway sync deltion
	  was reversed

2007-04-27 17:25  John Stowers <john.stowers@gmail.com>

	* tools/yaput/Yaput: add debug code to yaput

2007-04-27 17:23  John Stowers <john.stowers@gmail.com>

	* conduit/MainWindow.py: Fix compiz window raise bug

2007-04-26 13:45  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/TestModule.py: remove annoying snippet bug

2007-04-26 13:44  John Stowers <john.stowers@gmail.com>

	* tools/yaput/Yaput: Use the new DBus methods for configuration and
	  progress

2007-04-26 13:44  John Stowers <john.stowers@gmail.com>

	* configure.ac: Include settings module in build

2007-04-26 13:43  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/FileModule/FileModule.py: Implement add()

2007-04-26 13:43  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/SettingsModule/Makefile.am,
	  conduit/dataproviders/SettingsModule/settings,
	  conduit/dataproviders/SettingsModule/settings/Makefile.am:
	  Include settings module in build

2007-04-26 13:42  John Stowers <john.stowers@gmail.com>

	* conduit/MainWindow.py: connect to progress signal and also add
	  the ability to clear the mapping DB

2007-04-26 13:41  John Stowers <john.stowers@gmail.com>

	* conduit/DBus.py: expose set/get config methods and connect to
	  progress signal

2007-04-26 13:40  John Stowers <john.stowers@gmail.com>

	* conduit/Conflict.py: unthread conflict resolution and use the
	  put_data and delete_data methods

2007-04-26 13:39  John Stowers <john.stowers@gmail.com>

	* conduit/Synchronization.py: Move put_data and delete_data to
	  class methods and add error code to sync completed signal

2007-04-26 13:37  John Stowers <john.stowers@gmail.com>

	* conduit/DataProvider.py, conduit/Settings.py: Move the
	  dataprovider settings xml stuff into DataProviderBase so that it
	  can be exposed over DBus

2007-04-26 13:36  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/FspotModule/FspotModule.py: Tidy up Fspot
	  source

2007-04-25 19:20  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/TomboyModule.py: Force dbus.String to
	  string to prevent mappings db from getting muddled

2007-04-25 17:39  John Carr <john.carr@unrouted.co.uk>

	* conduit/Canvas.py, conduit/Conduit.py, conduit/DataProvider.py:
	  WARNING: Now depends on pygoocanvas 0.6

2007-04-24 17:26  John Stowers <john.stowers@gmail.com>

	* tools/yaput/Yaput: Connect to DBus signals

2007-04-24 09:48  John Stowers <john.stowers@gmail.com>

	* tools/yaput/Yaput: Improve Yafut to remove dead code and
	  implement Dbus comms with conduit

2007-04-24 09:48  John Stowers <john.stowers@gmail.com>

	* conduit/Conflict.py: s/mappingDB/conduit.mappingDB

2007-04-24 09:47  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/GmailModule/GmailModule.py,
	  conduit/dataproviders/NetworkModule.py,
	  conduit/dataproviders/SynceModule.py,
	  conduit/dataproviders/TestModule.py: Misc fixes and disable some
	  dps

2007-04-24 09:47  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/iPodModule.py: Implement delete()

2007-04-24 09:46  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/FlickrModule/FlickrModule.py: Require
	  configuration of the Flickr username

2007-04-24 09:44  John Stowers <john.stowers@gmail.com>

	* conduit/DBus.py, conduit/DataProvider.py: Add add(LUID) to
	  DataSource and DBus interface

2007-04-24 09:42  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/FileModule/FileModule.py: First attempt at
	  a USB auto source

2007-04-24 09:41  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py, conduit/Hal.py, conduit/MainWindow.py: unbreak
	  ipod support

2007-04-24 09:35  John Stowers <john.stowers@gmail.com>

	* conduit/Synchronization.py: 1)Add progress signal.
	  2)s/self.mappingDB/conduit.mappingDB 3)Fix conflict detection in
	  2way case 4)Catch StopSync

2007-04-24 09:32  John Stowers <john.stowers@gmail.com>

	* conduit/datatypes/File.py, test/python-tests/TestFile.py: Add
	  is_directory() to File datatype and improve the exists()
	  behaviour

2007-04-24 09:29  John Stowers <john.stowers@gmail.com>

	* test/python-tests/TestSyncFolderFolder.py: Fix delete policy for
	  test

2007-04-24 06:11  John Carr <john.carr@unrouted.co.uk>

	* conduit/dataproviders/TomboyModule.py: Can't compare tuple to
	  dbus.String..., for now compare two strings. May need to do a
	  split on the dbus.String so we can compare tuples though

2007-04-23 09:35  John Stowers <john.stowers@gmail.com>

	* conduit/DB.py, conduit/DataProvider.py, conduit/Module.py,
	  conduit/ModuleWrapper.py, conduit/Utils.py,
	  conduit/VolumeMonitor.py, data/conduit.glade: Misc logging fixes
	  and work done on the ferry from italy to greece

2007-04-23 09:34  John Stowers <john.stowers@gmail.com>

	* test/python-tests/TestMappingDB.py,
	  test/python-tests/TestSyncFolderFolder.py,
	  test/python-tests/TestSyncTomboyFolder.py: Fix some tests for
	  folder/tomboy sync

2007-04-23 09:34  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/BackpackModule/BackpackModule.py,
	  conduit/dataproviders/EvolutionModule.py,
	  conduit/dataproviders/FileModule/FileModule.py,
	  conduit/dataproviders/TestModule.py, conduit/datatypes/File.py:
	  Add delete support for files/folders

2007-04-23 09:33  John Stowers <john.stowers@gmail.com>

	* conduit/Conflict.py: fix reparent bug/warning

2007-04-23 09:31  John Stowers <john.stowers@gmail.com>

	* conduit/Settings.py: Fix settings retention for bools

2007-04-23 09:31  John Stowers <john.stowers@gmail.com>

	* conduit/Canvas.py, conduit/MainWindow.py,
	  conduit/Synchronization.py: Enable the improved two way sync code

2007-04-20 09:53  John Stowers <john.stowers@gmail.com>

	* conduit/dataproviders/FileModule/FileModule.py,
	  scripts/run-tests.sh, test/python-tests/TestBackpack.py,
	  test/python-tests/TestFile.py, test/python-tests/TestFlickr.py,
	  test/python-tests/TestGmail.py,
	  test/python-tests/TestSyncFolderFolder.py,
	  test/python-tests/common.py: Fix some tests to use the
	  FolderTwoWay

2007-04-15 15:41  John Stowers <john.stowers@gmail.com>

	* conduit/DBus.py, conduit/DataProvider.py,
	  conduit/Synchronization.py, conduit/dataproviders/TestModule.py:
	  Some threading and signalling fixes. Tidy up the change detected
	  stuff a little

2007-04-09 16:43  John Carr <john.carr@unrouted.co.uk>

	* conduit/DataProvider.py: Fix stupid stupid stupid typo. Sorry for
	  noise..

2007-04-09 16:40  John Carr <john.carr@unrouted.co.uk>

	* conduit/DataProvider.py,
	  conduit/dataproviders/EvolutionModule.py,
	  conduit/dataproviders/FeedModule/FeedModule.py,
	  conduit/dataproviders/FileModule/FileModule.py,
	  conduit/dataproviders/FspotModule/FspotModule.py,
	  conduit/dataproviders/GmailModule/GmailModule.py,
